(function(C, B) {
	var page = function() {}
	C.extend(page.prototype, B, {
		webshare: null,
		isShow: false,
		isAnimating: false,
		showMenu: false,
		NewsID: 0,
		NewsComment: 0,
		mainWebview: null,
		webshowPinglun: null,
		BeforeReady: function() {
			var that = this;
			//var wvs = plus.webview.all();
			that.mainWebview = plus.webview.getWebviewById("index");
			that.init(function() {});
			var thatwebpage = plus.webview.currentWebview();
			that.setNewsInfor(thatwebpage.NewsID);
			document.getElementById("pinglun").addEventListener("tap", function() {
				that.showRe();
			}, false);
			document.getElementById("pinglunlist").addEventListener("tap", function() {
				that.showPinglun();
			}, false);
		},
		setNewsInfor: function(newsid) {
			var that = this;
			that.NewsID = newsid;
			var url =that.jsonp_Server + "api/appuser.ashx?api=baoliaocount&nid=" + newsid;
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 60000, //超时时间设置为10秒；
				success: function(data) {
					if (data) {
						console.log(JSON.stringify(data));
						that.NewsComment = data.comment;
						if (data.comment > 0) {
							jQuery("#pinglunlist .mui-badge").remove();
							var comment = document.querySelector("#pinglunlist>.mui-icon");
							var span = document.createElement("span");
							span.className = "mui-badge";
							span.innerHTML = data.comment;
							comment.appendChild(span);
						}
					}
				}
			});
		},
		showPinglun: function() {
			var showpagesub = plus.webview.getWebviewById("biaoliao-showpagesub");
			if (showpagesub) {
				showpagesub.evalJS("gotopinglun();");
			}
		},
		refreshPinlun: function() {
			var that = this;
			var showpagesub = plus.webview.getWebviewById("biaoliao-showpagesub");
			if (showpagesub) {
				showpagesub.evalJS("refreshPinlun();");
			}
			that.setNewsInfor(that.NewsID);
		},
		//创建评论区
		showRe: function() {
				var that=this;
				if (that.isAnimating) return;
				if (!that.showMenu) {
					that.isAnimating = true;
					that.webshowPinglun = plus.webview.create("news-template-pinglun.html", "baoliao-template-pinglun", {
						zindex: 6,
						popGesture: "hide"
					}, {
						NewsID: that.NewsID //文章ID
					});
					that.showMenu = true;
					that.isAnimating = false;
					that.webshowPinglun.show('slide-in-right', 200);
				}
		},
		openUserMenu: function() {
			var that = this;
			that.mainWebview.evalJS("showotherPage('otherpage','home-login','user/home-login.html','会员登陆');");
		},
		closeView: function() {
			var that = this;
			if (that.isAnimating) return;
			if (that.showMenu) {
				that.isAnimating = true;
				that.webshowPinglun.hide("slide-out-right");
				that.showMenu = false;
				that.isAnimating = false;
			}
		},
		loadFont: function() {
			var that = this;
			if (that.floatw) {
				floatw.evalJS("window.page.loadFont();");
			}
		}
	});
	window.page = new page();
	mui.plusReady(function() {
		var thatweb = plus.webview.currentWebview();
		window.page.BeforeReady();
	});
})(lznews, lznews.basepage);