var shares = null,
	bhref = false,
	NewsID = 0,
	shareUrl = "http://www.lbnews.com.cn",
	shareTitle = encodeURI("来宾新闻网"),
	shareContent = encodeURI("源于来宾日报客户端"),
	shareThumbs = "images/logo.png",
	title = "lzrb";
(function(C, B) {
	var page = function() {};
	C.extend(page.prototype, B, {
		shares: {},
		BeforeReady: function() {
			var that = this,
				doc = document,
				thatweb = plus.webview.currentWebview();

			that.init(function() {});
			//绑定分享事件 
			that.initShare();
			mui("#bnt-login").on("tap", "a", function() {
				var id = this.getAttribute("lid");
				var ex = this.getAttribute("ex");
				switch (id) {
					case "copy":
						shareUrl = that.jsonp_Server + "epaper/show.aspx?id=" + NewsID;
						that.copy(shareUrl);
						break;
					default:
						if (!that.shares[id] || !that.shares[id].nativeClient) {
							return;
						}
						var isUseShare = that.getItem(that.cacheKey.isUseShare);
						if (isUseShare && isUseShare == 1) {
							that.shareAction(id, ex);
						} else {
							plus.nativeUI.confirm("是否要启用分享插件?", function(e) {
								if (e.index == 0) {
									that.setItem(that.cacheKey.isUseShare, 1);
									isUseShare = 1;
									that.shareAction(id, ex);
								}
							}, "", ["是", "否"]);
						}
						break;
				}
			});
		},
		initShare: function() {
			var that = this;
			//初使化列表
			plus.share.getServices(function(s) {
				that.shares = {};
				for (var i in s) {
					var t = s[i];
					if (t.nativeClient) {
						jQuery("a.bnt-login[lid='" + t.id + "']").show();
						that.shares[t.id] = t;
					} else {
						jQuery("a.bnt-login[lid='" + t.id + "']").addClass("grayscale");
					}
				}

			}, function(e) {
				mui.toast('获取分享服务列表失败');
				//alert("获取分享服务列表失败：" + e.message);
			});
		},
		shareAction: function(id, ex) {
			var that = this;

			var s = null;
			if (!id || !(s = that.shares[id]) || !that.shares[id].nativeClient) {
				//alert("无效的分享服务！");
				mui.toast('无效的分享服务');
				return;
			}
			if (s.authenticated) {
				//alert("---已授权---");
				that.shareMessage(s, ex);
			} else {
				//alert("---未授权---");
				s.authorize(function() {
					that.shareMessage(s, ex);
				}, function(e) {
					mui.toast('认证授权失败');
					//alert("认证授权失败：" + e.code + " - " + e.message);
				});
			}
		},
		shareMessage: function(s, ex) {
			var that = this;
			console.log(that.jsonp_Server +"epaper/show.aspx?id=" + NewsID);
			var msg = {
				href: that.jsonp_Server +"epaper/show.aspx?id=" + NewsID,
				title: decodeURI(shareTitle),
				content: decodeURI(shareContent),
				thumbs: [shareThumbs],
				extra: {
					scene: ex
				}
			};
			s.send(msg, function() {
				mui.toast('已成功分享到' + s.description);
			}, function(e) {
				mui.toast('分享到' + s.description + "时出现未知错误");
			});
		},
		shareHide: function() {

			plus.webview.getWebviewById(title + "-news-template").evalJS("window.page.closeShareWindows();");
		}
	});
	window.page = new page();
	mui.plusReady(function() {
		window.page.BeforeReady();
	});
})(lznews, lznews.basepage);