var menu = null,
	mask = null,
	isAnimating = false;
var showMenu = false;
(function(C, B) {
	var page = function() {}
	C.extend(page.prototype, B, {
		webshare: null,
		isShow: false,
		isAnimating: false,
		showMenu: false,
		NewsID: 0,
		NewsComment: 0,
		NewsTitle: null,
		mainWebview: null,
		webshowPinglun: null,
		thatBanmian: null,
		BeforeReady: function() {
			var that = this;
			that.init(function() {});
			//var wvs = plus.webview.all();
			that.mainWebview = plus.webview.getWebviewById("index");
			var thatwebpage = plus.webview.currentWebview();
			that.thatBanmian ="lzrb";
			that.webshare = mui.preload({
				id: "epaper-share-page",
				url: "news-show-share.html",
				styles: {
					width: '100%',
					height: '160px',
					margin: "auto",
					scrollIndicator: 'none',
					scalable: false,
					bottom: 0,
					popGesture: 'none',
					zindex: 9
				},
				extras: {
					title: thatwebpage.title == "lzrb"
				}
			});
			document.getElementById("Nshare").addEventListener("tap", function() {
				that.openShareWindows();
			});
			document.getElementById("favorites").addEventListener("tap", function() {
				var nid = that.NewsID;
				var ntitle = decodeURI(that.NewsTitle);
				var timestamp = Math.round(new Date().getTime() / 1000);
				console.log("NewsID=" + that.NewsID);
				console.log("NewsTitle=" + decodeURI(that.NewsTitle));
				var _data = {
					id: nid,
					catid: 0,
					ncatid: 0,
					title: ntitle,
					url: 0,
					inputtime: timestamp,
					type: 1
				};
				that.db.transaction(function(tx) {
					that.insertfavorites(tx, _data, function() {
						jQuery("#favorites").css("color", "#FFC600");
						plus.nativeUI.toast("收藏成功", {
							duration: "long"
						});
					});
				});
			}, false);
			document.getElementById("pinglun").addEventListener("tap", function() {
				that.showRe();
			}, false);
			document.getElementById("pinglunlist").addEventListener("tap", function() {
				that.showPinglun();
			}, false);
		},
		setNewsInfor: function(newsid) {
			var that = this;
			that.NewsID = newsid;
			var url = "http://api.lznews.gov.cn/api/mobileappapi.ashx?api=epaperplcount&nid=" + newsid;
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 60000, //超时时间设置为10秒；
				success: function(data) {
					if (data) {
						that.NewsComment = data.comment;
						if (data.comment > 0) {
							jQuery("#pinglunlist .mui-badge").remove();
							var comment = document.querySelector("#pinglunlist>.mui-icon");
							var span = document.createElement("span");
							span.className = "mui-badge";
							span.innerHTML = data.comment;
							comment.appendChild(span);
						}
					}
				}
			});
		},
		showPinglun: function() {
			var that = this;
			var showpagesub = plus.webview.getWebviewById(that.thatBanmian + "-showpagesub");
			if (showpagesub) {
				showpagesub.evalJS("gotopinglun();");
			}
		},
		refreshPinlun: function() {
			var that = this;
			var showpagesub = plus.webview.getWebviewById(that.thatBanmian + "-showpagesub");
			if (showpagesub) {
				showpagesub.evalJS("refreshPinlun();");
			}
			that.setNewsInfor(that.NewsID);
		},
		isFavorites: function(id, type) {
			var that = this;
			that.db.transaction(function(tx) {
				that.checkfavorites(tx, that.NewsID, 1, function() {
					jQuery("#favorites").css("color", "#FFC600");
					console.log("已经收藏过的文章");
				});
			});
		},
		loadPage: function(url) {
			var _url = document.getElementById("url");
			_url.value = url;
		},
		openShareWindows: function() {
			var that = this;
			that.isShow = true;
			plus.webview.currentWebview().setStyle({
				mask: "rgba(0,0,0,0.5)"
			});
			that.webshare.show('slide-in-bottom', 80);
		},
		closeShareWindows: function() {
			var that = this;
			that.webshare.hide('slide-out-bottom', 80);
			plus.webview.currentWebview().setStyle({
				mask: "none"
			});
			that.isShow = false;
		},
		//创建评论区
		showRe: function() {
			var that = this;
			if (that.getItem(that.cacheKey.access_uc_token) == null) {
				that.openUserMenu();
			} else {
				if (that.isAnimating) return;
				if (!that.showMenu) {
					console.log("show....")
					that.isAnimating = true;
					var thatwebpage = plus.webview.currentWebview();
					that.webshowPinglun = plus.webview.create("news-template-pinglun.html", "epaper-template-pinglun", {
						zindex: 6,
						popGesture: "hide"
					}, {
						NewsID: that.NewsID,
						title: that.thatBanmian
					});
					that.showMenu = true;
					that.isAnimating = false;
					that.webshowPinglun.show('slide-in-right', 200);
					that.webshowPinglun.evalJS("window.page.showKeyborad()"); //显示键盘
				}
			}
		},
		openUserMenu: function() {
			var that = this;
			that.mainWebview.evalJS("showotherPage('otherpage','home-login','user/home-login.html','会员登陆');");
		},
		closeView: function() {
			var that = this;
			if (that.isAnimating) return;
			if (that.showMenu) {
				that.isAnimating = true;
				that.webshowPinglun.hide();
				that.showMenu = false;
				that.isAnimating = false;
			}
		},
		setShareInfor: function(newsid, title, shareThumbs) {
			var that = this;
			that.NewsTitle = title;
			that.setNewsInfor(newsid);
			that.isFavorites(newsid, 1);
			that.webshare.evalJS("NewsID='" + newsid + "';shareTitle='" + title + "';shareThumbs='" + shareThumbs + "';");
		}
	});
	window.page = new page();
	mui.plusReady(function() {
		var thatweb = plus.webview.currentWebview();
		window.page.BeforeReady();
	});
})(lznews, lznews.basepage);

function setPageTitle(title) {
	document.getElementById("title").innerHTML = title;
}
mui.plusReady(function() {
	document.getElementById("title").innerHTML = plus.webview.currentWebview().title;
});
mui.back = function() {
	var that = window.page;
	if (that.isShow) {
		that.closeShareWindows();
	} else {
		jQuery("#pinglunlist .mui-badge").remove();
		jQuery("#favorites").css("color", "#929292");
		plus.webview.currentWebview().hide("slide-out-right", 200);
	}
	//plus.webview.currentWebview().close();			
}

function reload() {
	try {
		var subweb = plus.webview.getWebviewById(plus.webview.currentWebview().sub);
		subweb.reload();
	} catch (error) {}
}