(function(C, B) {
	var page = function() {}
	C.extend(page.prototype, B, {
		addImg: document.getElementById("addImg"),
		addAddress: document.getElementById("addAddress"),
		takeNewsAdd: document.getElementById("takeNewsAdd"),
		isAnimating: false,
		showMenu: false,
		history: document.getElementById("history"),
		record: document.getElementById("record"),
		recordObj: null,
		rtime: document.getElementById("rtime"),
		play: document.getElementById("play"),
		ptime: document.getElementById("ptime"),
		progress: document.getElementById("progress"),
		schedule: document.getElementById("schedule"),
		btrecord: document.getElementById("btrecord"),
		recordInterval: null,
		recordTime: 30,
		isRecord: false,
		menu: null,
		menuAddress: null,
		menuImage: null,
		isShowAddress: false,
		showAddressMan: false,
		recordPlayer: null,
		playerInterval: null,
		BeforeReady: function() {
			var that = this;
			that.addImg.addEventListener("tap", function() {
				that.floatWebview();
			}, false);
			that.addAddress.addEventListener("tap", function() {
				that.floatAddress();
			}, false);
			that.menu = mui.preload({
				id: 'take-news-item',
				url: 'take-news-item.html',
				styles: {
					width: '300px',
					height: '200px',
					margin: "auto",
					background: "rgba(0,0,0,0.8)",
					scrollIndicator: 'none',
					scalable: false,
					popGesture: 'none',
					zindex: 12
				},
				show: {
					aniShow: 'none'
				}
			});
			/*
			that.menuAddress = mui.preload({
				id: 'take-news-address',
				url: 'take-news-address.html',
				styles: {
					margin: "auto",
					background: "rgba(0,0,0,0.8)",
					scrollIndicator: 'none',
					scalable: false,
					popGesture: 'none',
					zindex: 12
				},
				show: {
					aniShow: 'none'
				}
			});
			*/
			that.menuImage = mui.preload({
				id: 'take-news-image',
				url: 'take-news-image.html',
				styles: {
					margin: "auto",
					background: "rgba(0,0,0,0.8)",
					scrollIndicator: 'none',
					scalable: false,
					popGesture: 'none',
					zindex: 12
				},
				show: {
					aniShow: 'none'
				}
			});
			mui("#imglist").on("tap", "img", function() {
				var canv = document.querySelectorAll("#imglist img");
				var num = 0;
				var s = "";
				for (var i = 0; i < canv.length; i++) {
					if (this == canv[i]) {
						num = i;
					}
				}
				//console.log("s:"+s);
				that.menuImage.show("none", 0, function() {
					that.menuImage.evalJS("getTitleList(" + num + ");showHtitle();");
				});
			});
			var sTime = 0,
				eTime = 0,
				startX = 0,
				startY = 0;
			document.getElementById("btrecord").addEventListener("touchstart", function(event) {
				console.log("longtap:346");
				jQuery(".rschedule").css({
					"-webkit-animation": "spin 1s infinite linear",
					"animation": "spin 1s infinite linear"
				});
				if (that.isRecord == true) {
					return;
				}
				that.isRecord = true;
				sTime = new Date().getTime();
				console.log("sTime:" + sTime);
				that.startRecord();
			});
			document.getElementById("btrecord").addEventListener("touchcancel", function(event) {
				if (that.isRecord == true) {
					that.stopRecord();
					that.isRecord = false;
				} else {
					return;
				}

			});
			document.getElementById("btrecord").addEventListener("touchend", function(event) {
				if (that.isRecord == true) {
					that.stopRecord();
					that.isRecord = false;
				} else {
					return;
				}
			});
			document.getElementById("btrecord").addEventListener("touchmove", function(event) {
				if (that.isRecord) {
					event.preventDefault();
				}
			});
			//上传
			document.getElementById("publish").addEventListener("tap", function(event) {
				var takeNewsTitle = document.getElementById("takeNewsTitle");
				var takeNewsMemo = document.getElementById("takeNewsMemo");
				var takeTName = document.getElementById("takeTName");
				var takeTel = document.getElementById("takeTel");
				var li = document.getElementById("ditem-audio");
				var audio = "";
				if (li && li.entry) {
					audio = "_doc/audio/" + li.entry.name;
				}
				var takeNewsAdd = document.getElementById("takeNewsAdd").innerHTML;
				var imglist = jQuery("#imglist img");
				if (jQuery.trim(takeNewsTitle.value) == "") {
					plus.nativeUI.alert("标题不能为空哟!", function() {
						takeNewsTitle.focus();
					}, "", "好");
					return;
				}
				if (takeTName.value == "") {
					plus.nativeUI.alert("您还没留下姓名哟!", function() {
						takeTName.focus();
					}, "", "好");
					return;
				}
				if (takeTel.value == "") {
					plus.nativeUI.alert("您还没留下联系电话呢!", function() {
						takeTel.focus();
					}, "", "好");
					return;
				}
				if (jQuery.trim(takeNewsMemo.value) == "" && jQuery.trim(audio) == "" && imglist.length <= 0) {
					plus.nativeUI.alert("你没有准备好材料哦!", function() {
						takeNewsMemo.focus();
					}, "", "好");
					return;
				}
				console.log("title=" + takeNewsTitle.value + ",content=" + takeNewsMemo.value + ",audio=" + audio + ",imglist=" + imglist.length)
				plus.nativeUI.confirm("您准备好要上传了吗?", function(e) {
					if (e.index == 0) {
						that.Update();
					}
				}, "", ["是", "否"]);
			});
		},
		clearForm: function() {
			document.getElementById("takeNewsTitle").value = "";
			document.getElementById("takeNewsMemo").value = "";
			document.getElementById("takeTName").value = "";
			document.getElementById("takeTel").value = "";
			var li = document.getElementById("ditem-audio");
			if (li && li.entry) {
				li.setAttribute("onclick", "none");
				li.querySelector(".aname").innerText = null;
				li.querySelector(".ainf").innerText = "";
				li.style.display = "none";
			}
			jQuery("#imglist img").each(function(i, item) {
				jQuery(item).parent().remove();
			});
		},
		//开始上传资料
		Update: function() {
			var that = this;
			console.log("开始上传");
			var wt = plus.nativeUI.showWaiting("正在处理，请稍候...");
			var token = that.getItem(that.cacheKey.access_uc_token);
			var imgstr = "";
			var imglist = jQuery("#imglist img");
			for (var i = 0; i < imglist.length; i++) {
				imgstr += imglist[i].src + "[==item==]";
				console.log(imglist[i].src.substr(0, 50));
			}
			if (imgstr != "") {
				imgstr = imgstr.substr(0, imgstr.length - "[==item==]".length);
				//console.log(imgstr);
			}
			var server =that.jsonp_Server + "api/appuser.ashx";
			var task = plus.uploader.createUpload(server, {
					method: "POST"
				},
				function(t, status) { //上传完成
					if (status == 200) {
						var jdata = JSON.parse(t.responseText);
						console.log(t.responseText);
						plus.nativeUI.alert(jdata.message, function() {}, "", "确定");
						if (jdata.status == 0) {
							that.clearForm();
						}
						console.log("上传成功!");
					} else {
						console.log(t.responseText);
						console.log("上传失败!");
					}
					wt.close();
				}
			);

			var takeNewsTitle = document.getElementById("takeNewsTitle");
			var takeNewsMemo = document.getElementById("takeNewsMemo");
			var takeTName = document.getElementById("takeTName");
			var takeTel = document.getElementById("takeTel");
			var takeNewsAdd = document.getElementById("takeNewsAdd").innerHTML;
			task.addData("api", "uploadfankui");
			task.addData("token", token);
			task.addData("title", takeNewsTitle.value);
			task.addData("content", takeNewsMemo.value);
			task.addData("TName", takeTName.value);
			task.addData("Tel", takeTel.value);
			task.addData("location", takeNewsAdd);
			task.addData("images", imgstr);
			var li = document.getElementById("ditem-audio");
			if (li && li.entry) {
				var audio = "_doc/audio/" + li.entry.name;
				console.log("audio=" + audio);
				task.addFile(audio, {
					key: li.entry.name
				});
			}
			task.start();
		},
		//设置定位信息
		setAddress: function(addtext) {
			this.takeNewsAdd.innerText = addtext;
		},
		// 拍照添加图片
		appendByCamera: function() {
			var that = this;
			that.closeView();
			var items = jQuery(".item");
			var il = items.length;
			//outSet("拍照添加爆料图片："); 
			var cmr = plus.camera.getCamera();
			var simgList = document.getElementById("imglist");
			cmr.captureImage(function(p) {
				plus.io.resolveLocalFileSystemURL(p, function(entry) {
					var li = document.createElement("li");
					var cvs = document.createElement("canvas");
					li.appendChild(cvs);
					var cxt = cvs.getContext("2d");
					li.className = "imgitem";
					var img = new Image();
					img.src = entry.toLocalURL();
					img.realUrl = img.src;
					img.onload = function() {
						var wd = plus.screen.resolutionWidth;
						var wh = plus.screen.resolutionHeight;
						cvs.width = wd;
						cvs.height = wh;
						var h = this.width < this.height ? wh : this.height / this.width * wd;
						var w = this.height < this.width ? wd : this.width / this.height * wh;
						var x = this.width < this.height ? (wd - w) / 2 : 0;
						var y = this.width < this.height ? 0 : (wh - h) / 2;
						var _w = parseInt(w < h ? 80 : w / h * 80);
						var _h = parseInt(h < w ? 80 : h / w * 80);
						console.log("w:" + _w + ",h:" + _h);
						var _x = parseInt(w < h ? 0 : -(_w - 80) / 2);
						var _y = parseInt(w < h ? -(_h - 80) / 2 : 0);
						cxt.drawImage(this, 0, 0, w, h);
						li.innerHTML = "<img src=\"" + cvs.toDataURL() + "\" style=\"width:" + _w + "px;max-height:auto;max-width:auto;margin-left:" + _x + "px;margin-top:" + _y + "px;\" />";
						console.log();
						simgList.insertBefore(li, simgList.firstChild);
						that.menuImage.evalJS("InsertItem('" + cvs.toDataURL() + "');");
					}
					simgList.insertBefore(li, simgList.firstChild);
					console.log(li.innerHTML);
					console.log("拍照图片：" + img.realUrl)
				}, function(e) {
					console.log("读取拍照文件错误：" + e.message);
				});
			}, function(e) {
				console.log("拍照失败：" + e.message);
			});
		},
		closeView: function() {
			var that = this;
			if (that.isAnimating) return;
			if (that.showMenu) {
				that.isAnimating = true;
				that.menu.hide("none", 120);
				setTimeout(function() {
					that.showMenu = false;
					that.isAnimating = false;
				}, 30);
			}
		},
		// 从相册中选择图片
		appendByGallery: function() {
			var that = this;
			that.closeView();
			console.log("从相册中选择多张图片:");
			var simgList = document.getElementById("imglist");
			plus.gallery.pick(function(p) {
				var l = p.files.length;
				var j = 0;
				var items = jQuery(".item");
				var il = items.length;
				console.log("items.length=" + il);
				console.log("p.files.length=" + l);
				plus.nativeUI.showWaiting("正在加载图片...");
				for (var i in p.files) {
					var img = new Image();
					img.src = p.files[i];
					img.realUrl = img.src;
					img.setAttribute("num", il + i);
					img.onload = function() {
						var li = document.createElement("li");
						li.className = "imgitem item";
						var cvs = document.createElement("canvas");
						var cxt = cvs.getContext("2d");
						var wd = plus.screen.resolutionWidth;
						var wh = plus.screen.resolutionHeight;
						cvs.width = wd;
						cvs.height = wh;
						var h = this.width < this.height ? wh : this.height / this.width * wd;
						var w = this.height < this.width ? wd : this.width / this.height * wh;
						var x = this.width < this.height ? (wd - w) / 2 : 0;
						var y = this.width < this.height ? 0 : (wh - h) / 2;
						var _w = parseInt(w < h ? 80 : w / h * 80);
						var _h = parseInt(h < w ? 80 : h / w * 80);
						console.log("w:" + _w + ",h:" + _h);
						var _x = parseInt(w < h ? 0 : -(_w - 80) / 2);
						var _y = parseInt(w < h ? -(_h - 80) / 2 : 0);
						cxt.drawImage(this, 0, 0, w, h);
						li.innerHTML = "<img src=\"" + cvs.toDataURL() + "\" style=\"width:" + _w + "px;max-height:auto;max-width:auto;margin-left:" + _x + "px;margin-top:" + _y + "px;\" />";
						console.log();
						simgList.insertBefore(li, simgList.firstChild);
						that.menuImage.evalJS("InsertItem('" + cvs.toDataURL() + "');");
						j++;
						if (j == l) {
							plus.nativeUI.closeWaiting();
						}
					}
				}
			}, function(p) {
				console.log("取消选择图片");
			}, {
				filter: "image",
				multiple: true
			});
		},
		//弹出录音层
		showRecord: function() {
			this.closeView();
			this.recordTime = 30;
			/*jQuery(".rschedule").css("animation-play-state","paused");*/
			jQuery(".rschedule").css({
				"-webkit-animation": "",
				"animation": ""
			});
			this.record.style.display = "block";
			console.log("showRecord");
		},
		//开始录音
		startRecord: function() {
			var that = this;
			console.log("开始录音：");
			that.btrecord.innerText = "松开 结束";
			that.recordObj = plus.audio.getRecorder();
			if (!that.recordObj) {
				console.log("录音对象未获取");
				return;
			}
			that.recordObj.record({
				filename: "_doc/audio/"
			}, function(p) {
				console.log("录音完成：" + p);
				plus.io.resolveLocalFileSystemURL(p, function(entry) {
					that.createItem(entry);
				}, function(e) {
					console.log("读取录音文件错误：" + e.message);
				});
			}, function(e) {
				console.log("录音失败：" + e.message);
			});
			if (that.recordInterval) {
				clearInterval(that.recordInterval);
				that.recordInterval = null;
			}
			that.recordInterval = setInterval(function() {
				that.recordTime--;
				that.rtime.innerText = that.timeToStr(that.recordTime);
				if (that.recordTime <= 0) {
					that.stopRecord();
				}
			}, 1000);
		},
		//结束录音
		stopRecord: function() {
			var that = this;
			console.log("停止录音");
			jQuery(".rschedule").css({
					"animation-duration": 0,
					"-webkit-animation-duration": 0
				})
				//jQuery(".rschedule").css("animation-play-state","paused");
			that.btrecord.innerText = "按住 说话";
			that.record.style.display = "none";
			that.rtime.innerText = "00:00:00";
			clearInterval(that.recordInterval);
			that.recordInterval = null;
			//console.log("rrrr" + r);
			if (that.recordObj == null) {
				console.log("未开始录音");
				return;
			}
			that.recordObj.stop();
			that.recordObj = null;
			that.recordTime = 0;
		},
		//更新录音列表
		updateInformation: function(li) {
			var that = this;
			if (!li || !li.entry) {
				return;
			}
			var entry = li.entry;
			entry.getMetadata(function(metadata) {
				li.querySelector(".ainf").innerText = that.dateToStr(metadata.modificationTime);
			}, function(e) {
				outLine("获取文件\"" + entry.name + "\"信息失败：" + e.message);
			});
		},
		//弹出上传类型菜单
		floatWebview: function() {
			var that = this;
			if (that.isAnimating) return;
			if (!that.showMenu) {
				console.log("show....")
				that.isAnimating = true;
				that.menu.show("none", 30, function() {
					that.showMenu = true;
					that.isAnimating = false;
				});
			}
		},
		//显示位置信息列表
		floatAddress: function() {
			var that = this;
			if (that.isShowAddress) return;
			if (!that.showAddressMan) {
				console.log("show....")
				that.isShowAddress = true;
				that.menuAddress.show("none", 30, function() {
					that.showAddressMan = true;
					that.isShowAddress = false;
				});
			}
		},
		//关闭地址列表
		closeAddress: function() {
			var that = this;
			if (that.showAddressMan) {
				that.menuAddress.hide("none", 120);
				setTimeout(function() {
					that.showAddressMan = false;
					that.isShowAddress = false;
					console.log("closepage");
				}, 30);
			}
		},
		// 插入语音
		createItem: function(entry) {
			var that = this;
			console.log("createItem****")
			var li = document.getElementById("ditem-audio");
			//li.setAttribute("onclick", "playAudio(this);");
			li.setAttribute("onclick", "window.page.showActionSheet('" + entry.name + "',1);");
			li.querySelector(".aname").innerText = entry.name;
			li.querySelector(".ainf").innerText = "...";
			li.entry = entry;
			that.updateInformation(li);
			li.style.display = "inline";
		},
		//删除图片
		deleteImage: function(activeTab) {
			jQuery('.imgitem').eq(activeTab).remove();
		},
		//播放语音文件
		playAudio: function(li) {
			if (!li || !li.entry) {
				console.log("无效的音频文件");
				return;
			}
			console.log("播放音频文件：" + li.entry.name);
			this.startPlay("_doc/audio/" + li.entry.name);
		},
		//开始播放
		startPlay: function(url) {
			var that = this;
			that.play.style.display = "block";
			var L = that.progress.clientWidth;
			that.recordPlayer = plus.audio.createPlayer(url);
			that.recordPlayer.play(function() {
				console.log("播放完成！");
				// 播放完成
				that.ptime.innerText = that.timeToStr(d) + "/" + that.timeToStr(d);
				that.schedule.style.webkitTransition = "all 0.3s linear";
				that.schedule.style.width = L + "px";
				that.stopPlay();
			}, function(e) {
				console.log("播放音频文件\"" + url + "\"失败：" + e.message);
			});
			// 获取总时长
			var d = that.recordPlayer.getDuration();
			if (!d) {
				that.ptime.innerText = "00:00:00/" + that.timeToStr(d);
			}
			that.playerInterval = setInterval(function() {
				if (!d) { // 兼容无法及时获取总时长的情况
					d = that.recordPlayer.getDuration();
				}
				var c = that.recordPlayer.getPosition();
				if (!c) { // 兼容无法及时获取当前播放位置的情况
					return;
				}
				that.ptime.innerText = that.timeToStr(c) + "/" + that.timeToStr(d);
				var pct = Math.round(L * c / d);
				if (pct < 8) {
					pct = 8;
				}
				that.schedule.style.width = pct + "px";
			}, 1000);
		},
		//停止播放
		stopPlay: function() {
			var that = this;
			clearInterval(that.playerInterval);
			that.playerInterval = null;
			setTimeout(that.resetPlay, 500);
			// 操作播放对象
			if (that.recordPlayer) {
				that.recordPlayer.stop();
				that.recordPlayer = null;
			}
		},
		//重置
		resetPlay: function() {
			var that = this;
			that.play.style.display = "none";
			that.schedule.style.width = "8px";
			that.schedule.style.webkitTransition = "all 1s linear";
			that.ptime.innerText = "00:00:00/00:00:00";
		},
		//录音文件操作菜单
		showActionSheet: function(titleText, type) {
			console.log("showActionSheet:705");
			var da = document.getElementById("ditem-audio");
			var dv = document.getElementById("ditem-video");
			console.log("弹出系统选择按钮框：" + titleText);
			var bts = [{
				title: "播放"
			}, {
				title: "删除"
			}];
			plus.nativeUI.actionSheet({
					title: titleText,
					cancel: "取消",
					buttons: bts
				},
				function(e) {
					var that = window.page;
					if (e.index == 1) {
						if (type == 1) {
							that.playAudio(da);
						} else {
							that.displayFile(dv);
						}
					} else if (e.index == 2) {
						plus.nativeUI.confirm("要删除这个录音文件吗?", function(e) {
							if (e.index == 0) {
								if (type == 1) {
									da.setAttribute("onclick", "none");
									da.querySelector(".aname").innerText = null;
									da.querySelector(".ainf").innerText = "";
									da.style.display = "none";
								} else {
									dv.setAttribute("onclick", "none");
									dv.querySelector(".aname").innerText = null;
									dv.querySelector(".ainf").innerText = "";
									dv.style.display = "none";
								}
								//that.cleanHistory();
							}
						}, "", ["是", "否"]);
					} else {
						console.log("取消");
					}
				}
			);
		},
		//日期转字符
		dateToStr: function(d) {
			var that = this;
			return (d.getFullYear() + "-" + that.ultZeroize(d.getMonth() + 1) + "-" + that.ultZeroize(d.getDate()) + " " + that.ultZeroize(d.getHours()) + ":" + that.ultZeroize(d.getMinutes()) + ":" + that.ultZeroize(d.getSeconds()));
		},
		//时间转字符
		timeToStr: function(ts) {
			var that = this;
			if (isNaN(ts)) {
				return "--:--:--";
			}
			var h = parseInt(ts / 3600);
			var m = parseInt((ts % 3600) / 60);
			var s = parseInt(ts % 60);
			return (that.ultZeroize(h) + ":" + that.ultZeroize(m) + ":" + that.ultZeroize(s));
		},
		ultZeroize: function(v, l) {
			var z = "";
			l = l || 2;
			v = String(v);
			for (var i = 0; i < l - v.length; i++) {
				z += "0";
			}
			return z + v;
		}
	});
	window.page = new page();
	document.addEventListener("plusready", function() {
		setTimeout(function() {
			window.page.BeforeReady();
		}, 100);
	});
})(lznews, lznews.basepage);