(function(C, B) {
	var page = function() {};
	C.extend(page.prototype, B, {
		activeTab: 0,
		categoryid: ["9", "11", "0", "0", "0"],
		showtype: ["news", "weixin", "baozi", "pindao", "bbs"],
		focusNews: null,
		_page: [],
		isMoreImg: 0,
		scro: [0, 0, 0, 0],
		isLoading: [0, 0, 0, 0],
		noImageStatus: false,
		winHeight: 0,
		width: 0,
		mainWebview: null,
		isFirst: true,
		usermenuWebview: null,
		isComplaints: false,
		compID: 0,
		compUid: 0,
		ClientInfo: null,
		isLoadWater:false,
		uLoadWater:null,
		OnReady: function() {
			var that = this,
				doc = document,
				webview = plus.webview,
				cacheKey = that.cacheKey,
				tiro = cacheKey.tiro,
				selfWin = webview.currentWebview();

			that.mainWebview = plus.webview.getWebviewById("index");
			//plus.navigator.closeSplashscreen();
			usermenuWebview = plus.webview.getWebviewById("user/index-menu");
			that.width = plus.screen.resolutionWidth;
			that.winHeight = plus.screen.resolutionHeight;
			that.ClientInfo = plus.push.getClientInfo();

			doc.onselectstart = function() {
				return false;
			}

			mui.init({
				swipeBack: false,
				pullRefresh: {
					container: '#pullrefresh',
					down: {
						callback: that.pulldownRefresh
					},
					up: {
						contentrefresh: '正在加载...',
						callback: that.pullupRefresh
					}
				},
				keyEventBind: {
					backbutton: false //关闭back按键监听
				},
				gestureConfig: {
					tap: true, //默认为true
					doubletap: false, //默认为false
					longtap: true, //默认为false
					swipe: true, //默认为true
					drag: true //默认为true
				}
			});

			that.on('scroll', window);
			that.on("resume", doc);
			that.on("netchange", doc);

			mui("#full-width-slider").on("tap", ".rsContent", function() {
				var nid = this.getAttribute("nid");
				var islink = this.getAttribute("islink");
				var surl = this.getAttribute("url");
				var thumbs = this.getAttribute("thumbs");
				var title = this.getAttribute("title");
				var content = "";
				if(islink==0){
					that.mainWebview.evalJS("showNews(\"" + surl + "\",\"" + nid + "\",\"" + encodeURI(title) + "\",\"" + encodeURI(content) + "\",\"" + thumbs + "\");");
				}
				else{
					if(surl.indexOf("[clientid]")>=0){
						surl= surl.replace("[clientid]",that.ClientInfo.clientid);
						that.mainWebview.evalJS('showotherPage("otherpage","link-'+ nid +'","'+ surl +'","'+ title +'",{});');
						return;
					}
					
					if (surl.indexOf("[token]") >= 0) {
						surl = surl.replace("[token]", that.getItem(that.cacheKey.access_uc_token));
						if (!that.getItem(that.cacheKey.access_uc_token)|| that.getItem(that.cacheKey.access_uc_token) == "") {
							that.mainWebview.evalJS("showotherPage('otherpage','home-login','user/home-login.html','会员登陆',{\"isLink\":1,\"nid\":\""+ nid +"\",\"title\":\""+ title +"\",\"url\":\""+ surl +"\"});");
							return;
						}
						else{
							that.mainWebview.evalJS('showotherPage("otherpage","link-' + nid + '","' + surl + '","' + title + '",{});');
							return;
						}
					}
					
					that.mainWebview.evalJS("showNews(\"" + surl + "\",\"" + nid + "\",\"" + encodeURI(title) + "\",\"" + encodeURI(content) + "\",\"" + thumbs + "\");");
				}
			});
			//绑定事件
			mui("#news").on("tap", "a", function() {
				var nid = this.getAttribute("nid");
				//var img = this.querySelector("img");
				var thumbs = this.getAttribute("thumbs");
				that.getNewsInfor(nid, function(data) {
					if (data) {
						var islink= data.list[0].islink||0;
						var surl = data.list[0].url;
						
						var title = data.list[0].title;
						var content = data.list[0].description;
						if(islink==0){
							that.mainWebview.evalJS("showNews(\"" + surl + "\",\"" + nid + "\",\"" + encodeURI(title) + "\",\"" + encodeURI(content) + "\",\"" + thumbs + "\");");
						}
						else{
							if(surl.indexOf("[clientid]")>=0){
							surl= surl.replace("[clientid]",that.ClientInfo.clientid);
							that.mainWebview.evalJS('showotherPage("otherpage","link-'+ nid +'","'+ surl +'","'+ title +'",{});');
							}
							else{
								that.mainWebview.evalJS("showNews(\"" + surl + "\",\"" + nid + "\",\"" + encodeURI(title) + "\",\"" + encodeURI(content) + "\",\"" + thumbs + "\");");
							}
						}
					}
				}, function() {});
				that.db.transaction(function(tx) {
					that._readNews(tx, nid, function() {});
				});
				jQuery(this).find("h1").addClass("readed");
				//var surl = "http://wap.lznews.gov.cn/index.php?a=show&catid=" + cid + "&typeid=10&id=" + nid;
				//mainWebview.evalJS("showNews(\"" + surl + "\");");
			}, true);
			mui("#weixin").on("tap", "a", function() {
				var nid = this.getAttribute("nid");
				var surl = this.getAttribute("surl");
				var title = this.getAttribute("title");
				that.mainWebview.evalJS("showNews(\"" + surl + "\",\"" + nid + "\",\"" + encodeURI(title) + "\",\"\");");
				//var surl = "http://wap.lznews.gov.cn/index.php?a=show&catid=" + cid + "&typeid=10&id=" + nid;
				//mainWebview.evalJS("showNews(\"" + surl + "\");");
			});

			mui("#viewbaozi").on("tap", "a", function() {
				var nid = this.getAttribute("nid");
				var cid = this.getAttribute("cid");
				var url = "dianzibao/ribao.html";
				var title="来宾日报" ;
				//alert("123");
				that.mainWebview.evalJS("showotherPage('dianzibao','" + cid + "','" + url + "','" + encodeURI(title) + "',{date:\"" + nid + "\"});");
				try {
					var sub = plus.webview.getWebviewById("otherpagesub-" + cid);
					sub.evalJS("plus.webview.currentWebview().date='" + nid + "';refpage();");
				} catch (error) {}
				//var surl = "http://wap.lznews.gov.cn/index.php?a=show&catid=" + cid + "&typeid=10&id=" + nid;
				//mainWebview.evalJS("showNews(\"" + surl + "\");");
			});

			mui("#pindao").on("tap", "a", function() {
				var id = this.getAttribute("id");
				var cid = this.getAttribute("cid");
				var path = this.getAttribute("path");
				var title = this.getAttribute("title");
				var url = this.getAttribute("url");
				if (cid) {
					that.mainWebview.evalJS("showotherPage(\"otherpage\",\"news-more-" + cid + "\",\"newsmore/page-news-index.html\",\"" + title + "\",{categoryid:" + cid + "});");
				} else {
					that.mainWebview.evalJS("showotherPage('" + path + "','" + id + "','" + url + "','" + title + "');");
				}
			});
			mui("#topcontainer").on("tap", ".mui-icon-compose", function(event) {
				that.mainWebview.evalJS("showBaoliao();");
			})
			mui("#bbs").on("tap", "ul", function() {
				if (!that.isComplaints) {
					var tid = this.getAttribute("tid");
					var title = "【龙城论坛】" + this.getAttribute("title");
					//var surl = "http://home.lznews.gov.cn/forum.php?mod=viewthread&tid=" + tid + "&mobile=2";
					var surl = "http://api.lznews.gov.cn/baoliao/show.aspx?id=" + tid;
					//console.log("url=" + surl);
					that.mainWebview.evalJS("showBBS(\"" + surl + "\"," + tid + ");");
				}
			});
			mui(".caCon").on("tap", ".iMore,.dynamicBtn", function() {
				var surl = this.getAttribute("tohref");
				var title = this.getAttribute("title");
				that.mainWebview.evalJS("showBBS(\"" + surl + "\",\"" + encodeURI(title) + "\");");
			})
			that.init(function() {
				setTimeout(function() {
					that.networkStatus = that.hasNetwork();
					mui('#pullrefresh').pullRefresh().pullupLoading();
				}, 200);
				/*
				that.loadLzWater();
				that.uLoadWater=setInterval(function(){
					that.loadLzWater();
				},60000);
				*/
			});
			//当前激活选项
			document.querySelector('.mui-slider').addEventListener('slide', function(event) {
				var targetTab = event.detail.slideNumber;
				if (targetTab == that.activeTab) {
					return;
				}
				if (that.showtype[targetTab] == "baozi" || that.showtype[targetTab] == "pindao") {
					mui('#pullrefresh').pullRefresh().setStopped(true);
					console.log("停止下拉更新。。。");
				} else {
					mui('#pullrefresh').pullRefresh().setStopped(false);
				}

				mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
				mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
				that.scro[that.activeTab] = document.documentElement.scrollTop || window.scrollY + "px";
				jQuery(".mui-slider-item").eq(that.activeTab).height(plus.screen.resolutionHeight);
				jQuery(".mui-slider-item").eq(targetTab).height("auto");
				jQuery('html,body').animate({
					scrollTop: (that.scro[targetTab] == null ? 0 : that.scro[targetTab])
				}, 500);
				that.activeTab = targetTab;
				if (jQuery(".mui-slider-item").eq(targetTab).find(".content-loadding").length > 0) {
					mui('#pullrefresh').pullRefresh().pullupLoading();
				}
				that.mainWebview.evalJS("slider.slider().gotoPage(" +that.activeTab + ");");
			});
			Date.prototype.format = function(format) {
				var o = {
					"M+": this.getMonth() + 1, //month 
					"d+": this.getDate(), //day 
					"h+": this.getHours(), //hour 
					"m+": this.getMinutes(), //minute 
					"s+": this.getSeconds(), //second 
					"q+": Math.floor((this.getMonth() + 3) / 3), //quarter 
					"S": this.getMilliseconds() //millisecond 
				}
				if (/(y+)/.test(format)) {
					format = format.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
				}
				for (var k in o) {
					if (new RegExp("(" + k + ")").test(format)) {
						format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
					}
				}
				return format;
			}
		},
		/**
		 * 下拉刷新具体业务实现
		 */
		pulldownRefresh: function() {
			var that = window.page;
			if (that._page[that.activeTab]) {
				that.loadNews(that.activeTab, that._page[that.activeTab].MaxInputtime, that._page[that.activeTab].MaxID, "up");
			} else {
				console.log("执行ajax获取数据");
				that.loadNews(that.activeTab, 0, 0, "up");
			}
		},
		/**
		 * 上拉加载具体业务实现
		 */
		pullupRefresh: function() {
			console.log("pullupRefresh()");
			var that = window.page;
			if (that.hasNetwork()) {
				if (that._page[that.activeTab]) {
					that.loadNews(that.activeTab, that._page[that.activeTab].MinInputtime, that._page[that.activeTab].MinID, "dw");
				} else {
					that.loadNews(that.activeTab, 0, 0, "dw");
				}
			} else {
				if (that._page[that.activeTab]) {
					that.loadPageData(that.activeTab, that._page[that.activeTab].MinInputtime, that._page[that.activeTab].MinID);
				} else {
					that.loadPageData(that.activeTab, 0, 0);
				}
			}
		},
		loadLzWater:function(){
			var that=this;
			var url = "http://api.lznews.gov.cn/api/mobileappapi.ashx?api=lzwater";
			if(that.isLoadWater){
				return;
			}
			that.isLoadWater=true;
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 30000, //超时时间设置为10秒；
				success: function(data) {
					console.log(JSON.stringify(data) );
					if(data.level>0){
						var mq_lzwater=document.getElementById("mq_lzwater");
						var iconclose=document.getElementById("icon-close");
						iconclose.style.display="inline-block";
						jQuery(".mui-slider-item").css("padding-top","30px");
						var _html=""
						if(data.level<80){
							_html="<font color='#00ff00'>截止"+ data.watertime +"，柳江水位"+ data.level +"米，";
							if(data.flow){
								_html+="流量"+ data.flow +"，";
							}
							_html+="处于安全水位下；</font>"
						}
						else if(data.level<=82.5){
							_html="<font color='#ffff00'>截止"+ data.watertime +"，柳江水位"+ data.level +"米，";
							if(data.flow){
								_html+="流量"+ data.flow +"，";
							}
							_html+="即将到达警戒水位；</font>";
						}
						else{
							_html="<font color='#ff0000'>截止"+ data.watertime +"，柳江水位"+ data.level +"米，";
							if(data.flow){
								_html+="流量"+ data.flow +"，";
							}
							_html+="高于警戒水位"+ (data.flow - 82.5)  +"米，请广大市民做好防汛抗灾工作，注意人员及财产安全；</font>";
						}
						if(data.AQI){
							switch(data.Quality){
								case "优":
									_html+="<font color='#01ff01'>实时空气质量指数(AQI)："+ data.AQI +"，一级（优），空气质量令人满意，基本无空气染污。</font>";
									break;
								case "良":
									_html+="<font color='#fdfe00'>实时空气质量指数(AQI)："+ data.AQI +"，二级（良），空气质量可接受，但某些染污物可能对极少数异常敏感人群健康有较弱影响。</font>";
									break;
								case "轻度污染":
									_html+="<font color='#ff7e00'>实时空气质量指数(AQI)："+ data.AQI +"，三级（轻度污染），空气质量可接受，但某些染污物可能对极少数异常敏感人群健康有较弱影响。</font>";
									break;
								case "中度污染":
									_html+="<font color='#fe0000'>实时空气质量指数(AQI)："+ data.AQI +"，四级（中度污染），空气质量可接受，但儿童、老年人及心脏病、呼吸系统疾病患者应避免长时间、高强度的户外锻炼，一般人群适量减少户外运动。</font>";
									break;
								case "重度污染":
									_html+="<font color='#9b004e'>实时空气质量指数(AQI)："+ data.AQI +"，五级（重度污染），空气质量比较糟糕，儿童、老年人及心脏病、肺病患者应停留在室内，停止户外运动，一般人群减少户外运动。</font>";
									break;
								case "严重污染":
									_html+="<font color='#7d0123'>实时空气质量指数(AQI)："+ data.AQI +"，六级（严重污染），空气质量糟糕，儿童、老年人及心脏病、肺病患者应停留在室内，避免体力消耗，一般人群应避免户外活动。</font>";
									break;
							}
							
						}
						
						mq_lzwater.innerHTML=_html;
						mq_lzwater.style.display="block";
					}
					that.isLoadWater=false;
				}
			});
						
		},
		loadFocus: function() {
			var that = this;
			if (that.focusNews) {
				that.focusNews.destroy();

			}
			var url =that.jsonp_Server + "api/mobileappapi.ashx?api=newsfocus";
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 30000, //超时时间设置为10秒；
				success: function(data) {
					if (data) {
						that._clearFocus();
						that.db.transaction(function(tx) {
							var _html = "";
							for (var i = 0; i < data.length; i++) {
								that._saveFocusToDb(tx, data[i], function() {

								});

								_html += "<div class=\"rsContent\" islink=\""+ data[i].islink +"\"  nid=\"" + data[i].id + "\" url=\"" + data[i].url + "\" title=\"" + data[i].title + "\" thumbs=\"" + data[i].thumbs + "\">";
								_html += "	<div class=\"infoBlock rsABlock infoBlockLeftBlack\" data-fade-effect=\"\" data-move-offset=\"10\" data-move-effect=\"bottom\" data-speed=\"200\">";
								_html += "		<p>" + data[i].title + "</p>";
								_html += "	</div>";
								_html += "	<img class=\"rsImg\" onload=\"\" src=\"" + data[i].images[0] + "\" alt=\"\" />";
								_html += "</div>";
							}
							jQuery("#full-width-slider").html(_html);
							jQuery('#full-width-slider').royalSlider({
								arrowsNav: false,
								loop: true,
								keyboardNavEnabled: false,
								controlsInside: false,
								imageScaleMode: 'fill',
								arrowsNavAutoHide: false,
								autoScaleSlider: true,
								autoScaleSliderWidth: 640,
								autoScaleSliderHeight: 150,
								controlNavigation: 'bullets',
								thumbsFitInViewport: false,
								navigateByClick: false,
								startSlideId: 0,
								autoPlay: false,
								transitionType: 'move',
								globalCaption: true,
								deeplinking: {
									enabled: true,
									change: false
								}
							});
							that.focusNews = jQuery('#full-width-slider').data('royalSlider');
						});
					}
				}
			});
		},
		/**
		 * ajax加载信息
		 */
		loadNews: function(_index, _inputtime, _newsid, _pullRefresh) {
			console.log("开始加载信息。。");
			var that = window.page;
			if (that.isLoading[_index] == 1) {
				return;
			}
			that.isLoading[_index] = 1;
			switch (that.showtype[_index]) {
				case "weixin":
					that.loadWeiXinGroup(_index, _inputtime, _pullRefresh);
					return;
				case "baozi":
					that.loadBaoZi(_index, _inputtime, _pullRefresh);
					return;
				case "pindao":
					return;
					that.loadPindaoGroup(_index);
					return
				case "bbs":
					that.loadBBS(_index, _inputtime, _newsid, _pullRefresh);
					return;
			}

			var url =that.jsonp_Server + "api/mobileappapi.ashx?api=news&cid=" + that.categoryid[_index] + "&nid=" + _newsid + "&ntime=" + _inputtime + "&d=" + _pullRefresh;
			//alert(url);
			console.log("从" + url + "加载数据");
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 60000, //超时时间设置为10秒；
				success: function(data) {
					var slideritem = document.querySelectorAll(".mui-slider-item");
					if (slideritem[_index].querySelector(".content-loadding")) {
						that.loadFocus();
						jQuery(".mui-slider-item").eq(_index).find(".content-loadding").remove();
					}
					if (data.data.length > 0) {
						if (that._page[_index]) {
							if (parseInt(data.MinInputtime) < that._page[_index].MinInputtime || that._page[_index].MinID == 0) {
								that._page[_index].MinID = parseInt(data.MinID);
								that._page[_index].MinInputtime = parseInt(data.MinInputtime);
							} else if (parseInt(data.MinInputtime) == that._page[_index].MinInputtime && parseInt(data.MinID) < that._page[_index].MinID) {
								that._page[_index].MinID = parseInt(data.MinID);
							}
							if (parseInt(data.MaxInputtime) > that._page[_index].MaxInputtime || that._page[_index].MaxID == 0) {
								that._page[_index].MaxID = parseInt(data.MaxID);
								that._page[_index].MaxInputtime = parseInt(data.MaxInputtime);
							} else if (parseInt(data.MaxInputtime) == that._page[_index].MaxInputtime && parseInt(data.MaxID) > that._page[_index].MaxID) {
								that._page[_index].MaxID = parseInt(data.MaxID);
							}
						} else {
							that._page[_index] = {
								MinID: parseInt(data.MinID),
								MinInputtime: parseInt(data.MinInputtime),
								MaxID: parseInt(data.MaxID),
								MaxInputtime: parseInt(data.MaxInputtime)
							}
						}
					}
					if (data.data.length <= 0) {
						mui.toast('暂时没有更新！');
						if (_pullRefresh == "up") {
							mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
						} else {
							mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
						}
						that.isLoading[_index] = 0;
					}
					console.log("开始存储到本地缓存中");
					var table = document.getElementById("news");
					//存储到本地缓存中
					that.db.transaction(function(tx) {
						for (var i = 0; i < data.data.length; i++) {
							that._saveNewToDb(tx, data.data[i], 1, function(result) {
									//console.log("导入数据"+ JSON.stringify(result));
									var li = document.createElement('li');
									li.className = 'mui-table-view-cell';
									li.innerHTML = that.getListHtml(result);
									if (_pullRefresh == "up") {
										table.insertBefore(li, table.firstChild);
										if (data.data[data.data.length-1].id == result.id) {
											mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
											that.isLoading[_index] = 0;
											that.checkLazyLoad(_index, 0);
										}
									} else {
										table.appendChild(li);
										if (data.data[0].id == result.id) {
											mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
										} else if (data.data[data.data.length-1].id ==result.id) {
											that.isLoading[_index] = 0;
											that.checkLazyLoad(_index, 0);
										}
									}
							});
						}
					});

				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					mui.toast('发生网络错误，请稍后重试!');
					mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
					that.isLoading[_index] = 0;
					if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
						that.loadPageData(_index, 0);
					}
				}
			});
		},
		//加载微信
		loadWeiXinGroup: function(_index, _inputtime, _pullRefresh) {
			var that = window.page;
			var url =that.jsonp_Server + "api/mobileappapi.ashx?api=weixingroup&ntime=" + _inputtime + "&d=" + _pullRefresh;
			//alert(url);
			console.log("url=" + url);
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 60000, //超时时间设置为10秒；
				success: function(data) {
					//删除加载标签
					that.isLoading[_index] = 0;
					if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
						jQuery(".mui-slider-item").eq(_index).find(".content-loadding").remove();
					}
					console.log(JSON.stringify(data));
					//记录最后的日期
					if (parseInt(data.fbdate) > 0) {
						if (that._page[_index]) {
							if (parseInt(data.fbdate) < that._page[_index].MinInputtime || that._page[_index].MinInputtime == 0) {
								that._page[_index].MinInputtime = parseInt(data.fbdate);
							}
							if (parseInt(data.fbdate) > that._page[_index].MaxInputtime || that._page[_index].MaxInputtime == 0) {
								that._page[_index].MaxInputtime = parseInt(data.fbdate);
							}
						} else {
							that._page[_index] = {
								MinID: 0,
								MinInputtime: parseInt(data.fbdate),
								MaxID: 0,
								MaxInputtime: parseInt(data.fbdate)
							}
						}
					} else {

						_pullRefresh == "up" && mui.toast('暂时没有更新！'), mui('#pullrefresh').pullRefresh().endPulldownToRefresh() || mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
						return;
					}
					//存储到本地缓存中
					that.db.transaction(function(tx) {
						that._saveWeiXinToDb(tx, data, function() {});
					});
					var table = document.getElementById(that.showtype[_index]);
					var h1 = document.createElement("h1");
					var h2_lbrb,ul_lbrb;
					if (data.data.lbrb.length > 0) {
						h1.innerHTML = that.getDateText(data.fbdate)
						if (data.data.lbrb.length > 0) {
							h2_lbrb = document.createElement("h2");
							//h2_lzwb.className = "lzwb";
							h2_lbrb.innerHTML = "微观来宾";
							ul_lbrb = document.createElement("ul");
							ul_lbrb.className = "mui-table-view";
							for (var i = 0; i < data.data.lbrb.length; i++) {
								var li = document.createElement('li');
								li.className = 'mui-table-view-cell';
								li.innerHTML = that.getListHtmlForWeiXin(data.data.lbrb[i]);
								ul_lbrb.appendChild(li);
							}
						}

						if (_pullRefresh == "up") {
							if (h2_lbrb) {
								table.insertBefore(ul_lbrb, table.firstChild);
								table.insertBefore(h2_lbrb, table.firstChild);
							}
							table.insertBefore(h1, table.firstChild);
							mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
						} else {
							table.appendChild(h1);
							if (h2_lbrb) {
								table.appendChild(h2_lbrb);
								table.appendChild(ul_lbrb);
							}

							mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
						}
					} else {
						if (data.data.length <= 0) {
							mui.toast('暂时没有更新！');
						}
					}
					setTimeout(function() {
						that.checkLazyLoad(_index, 1);
					}, 200);
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					mui.toast('发生网络错误，请稍后重试!');
					mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
					that.isLoading[_index] = 0;
					if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
						that.loadPageData(_index, 0);
					}
				}
			});
		},
		//加载报纸
		loadBaoZi: function(_index, _inputtime, _pullRefresh) {
			var that = this;
			var table = document.getElementById(that.showtype[_index]);
			var li = jQuery(table).find(".mui-table-view > li").eq(0);
			console.log("content-loadding=" + jQuery(li).find(".content-loadding").length);
			if (jQuery(li).find(".content-loadding").length <= 0 && _pullRefresh == "dw") {
				that.isLoading[_index] = 0;
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				console.log("没有更多数据。。");
				return;
			}
			//console.log(li.html());
			that.isLoading[_index] = 1;
			var url =that.epaper_server + "appapi/mpapi.ashx?api=baozi&execute=index&no-cache=" + Math.random();
			console.log(url);
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 60000, //超时时间设置为10秒；
				success: function(data) {
					if (jQuery(li).find(".content-loadding").length > 0) {
						jQuery(li).find(".content-loadding").find(".content-loadding").remove();
					}
					that._page[_index] = {
						MinID: 0,
						MinInputtime: 0,
						MaxID: 0,
						MaxInputtime: 0
					}
					li.html(that.getListHtmlForBaoZi(data, "lzrb"));
					if (_pullRefresh == "up") {
						console.log("endPulldownToRefresh()");
						mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
					} else {
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
					}
					that.isLoading[_index] = 0;
					that.checkLazyLoad(_index, 1);
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					mui.toast('发生网络错误，请稍后重试!');
					mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
					console.log(errorThrown);
					that.isLoading[_index] = 0;
				}
			});
		},
		//加载频道信息
		loadPindaoGroup: function(_index) {
			var that = this;
			if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length <= 0) {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				return;
			}
			var url =that.jsonp_Server + "api/mobileappapi.ashx?api=pindao";
			//alert(url);
			console.log("url=" + url);
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 60000, //超时时间设置为10秒；
				success: function(data) {
					//删除加载标签
					if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
						jQuery(".mui-slider-item").eq(_index).find(".content-loadding").remove();
					}
					console.log(JSON.stringify(data));
					//记录最后的日期
					if (!that._page[_index]) {
						that._page[_index] = {
							MinID: 0,
							MinInputtime: 0,
							MaxID: 0,
							MaxInputtime: 0
						}
					}
					//存储到本地缓存中
					that.db.transaction(function(tx) {
						for (var i = 0; i < data.length; i++) {
							that._savePindaoToDb(tx, data[i], function() {});
						}
					});
					var table = document.getElementById(that.showtype[_index]);
					for (var i = 0; i < data.length; i++) {
						if (data[i].list.length > 0) {
							var h2 = document.createElement("h2");
							h2.innerHTML = data[i].typeName;
							var a = document.createElement("a");
							a.setAttribute("cid", data[i].list[0].catid);
							a.setAttribute("title", data[i].typeName);
							a.setAttribute("isClass", "true");
							a.innerHTML = "<span class=\"mui-icon mui-icon-more\"></span>";
							h2.appendChild(a);
							var ul = document.createElement("ul");
							ul.className = "mui-table-view";
							for (var j = 0; j < data[i].list.length; j++) {
								var li = document.createElement('li');
								li.className = 'mui-table-view-cell';
								if (j == 0) {
									data[i].list[j].showtype = "b";
								}
								li.innerHTML = that.getListHtmlForWeiXin(data[i].list[j]);
								ul.appendChild(li);
							}
							table.appendChild(h2);
							table.appendChild(ul);
						}
					}
					that.isLoading[_index] = 0;
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
					setTimeout(function() {
						that.checkLazyLoad(_index, 1);
					}, 200);
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					mui.toast('发生网络错误，请稍后重试!');
					mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
					that.isLoading[_index] = 0;
					if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
						that.loadPageData(_index, 0);
					}
				}
			});
		},
		loadBBS: function(_index, _inputtime, _newsid, _pullRefresh) {
			var that = this;
			var url =that.jsonp_Server + "api/appuser.ashx?api=getbaoliao&clientid=" + that.ClientInfo.clientid + "&nid=" + _newsid + "&d=" + _pullRefresh;
			//alert(url);
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 60000, //超时时间设置为10秒；
				success: function(data) {
					console.log(JSON.stringify(data));
					if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
						jQuery(".mui-slider-item").eq(_index).find(".content-loadding").remove();
					}
					if (data.data.length > 0) {
						if (that._page[_index]) {
							if (that._page[_index].MinID == 0) {
								that._page[_index].MinID = parseInt(data.MinID);
							} else if (parseInt(data.MinID) < that._page[_index].MinID) {
								that._page[_index].MinID = parseInt(data.MinID);
							}
							if (that._page[_index].MaxID == 0) {
								that._page[_index].MaxID = parseInt(data.MaxID);
							} else if (parseInt(data.MaxID) > that._page[_index].MaxID) {
								that._page[_index].MaxID = parseInt(data.MaxID);
							}
						} else {
							that._page[_index] = {
								MinID: parseInt(data.MinID),
								MinInputtime: 0,
								MaxID: parseInt(data.MaxID),
								MaxInputtime: 0
							}
						}
					}

					if (data.data.length <= 0) {
						mui.toast('暂时没有更新！');
						if (_pullRefresh == "up") {
							mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
						} else {
							mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
						}
						that.isLoading[_index] = 0;
						return;
					}
					//存储到本地缓存中
					var table = document.getElementById(that.showtype[_index]);
					that.db.transaction(function(tx) {
						for (var i = 0; i < data.data.length; i++) {
							that._saveBaoliaoToDb(tx, data.data[i], function(result) {
								//alert(JSON.stringify(result));
								var ul = document.createElement('ul');
								ul.className = 'mui-table-view';
								ul.setAttribute("tid", result.id);
								ul.setAttribute("title", result.title);
								ul.innerHTML = that.getListHtmlForBBS(result);
								if (_pullRefresh == "up") {
									table.insertBefore(ul, table.firstChild);
									if (result.id == data.data[data.data.length - 1].id) {
										mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
									}
								} else {
									if (result.id == data.data[0].id) {
										mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
									}
									table.appendChild(ul);
								}
								if (result.id == data.data[data.data.length - 1].id) {
									that.isLoading[_index] = 0;
									setTimeout(function() {
										that.checkLazyLoad(_index, 1);
									}, 200);
								}

							});
						}
					});
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					mui.toast('发生网络错误，请稍后重试!');
					mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
					that.isLoading[_index] = 0;
					if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
						that.loadPageData(_index, 0);
					}
				}
			});
		},
		getTitleStyle: function(txtkey) {
			switch (txtkey) {
				case "大":
					return "a";
				case "小":
					return "c";
				default:
					return "b";
			}
		},
		/*获取列表模板*/
		getListHtml: function(data) {
			var that = window.page;
			var unixTimestamp = new Date(parseInt(data.inputtime) * 1000);
			var _html = "<a nid=\"" + data.id + "\" cid=\"" + data.ncatid + "\" class=\"" + this.getTitleStyle(this.getFontSize().text) + "\" thumbs=\"" + data.thumbs + "\">"
			if (data.showtype == "a") {
				if (data.images) {
					if (data.images.length > 2 && that.isMoreImg > 3) {
						//console.log(that.isMoreImg);
						_html += "<h1 class=\"mui-media-body" + (data.readflag == 1 ? " readed" : "") + "\">";
						_html += data.title;
						_html += "</h1>";
						_html += "<div class=\"mui-media-body\">"
						for (var i = 0; i < 3; i++) {
							_html += "<img class=\"news-img-more" + (i <= 0 ? " nomargin" : "") + " noimage\" sid=\"" + data.id + "_" + i + "\" src=\"../images/default.png\" lazyload=\"" + data.images[i] + "\">";
						}
						_html += "</div>"
						_html += "<div class=\"mui-media-em\">" + (data.copyfrom == "" ? "网络" : data.copyfrom) + (parseInt(data.comment) > 0 ? ("<span class=\"mui-icon mui-icon-chatboxes news-chat\">" + data.comment + "</span>") : "") + "<span class=\"news-time\">" + unixTimestamp.format("yyyy-MM-dd hh:mm:ss") + "</span>"
						_html += "</div>"
						that.isMoreImg = 0;
					} else if (data.images.length > 0) {
						_html += "<img class=\"news-s-img noimage\" src=\"../images/default.png\" sid=\"" + data.id + "_0\" lazyload=\"" + data.images[0] + "\">";
						_html += "<div class=\"mui-media-body\">"
						_html += "<h1 class=\"mui-media-body" + (data.readflag == 1 ? " readed" : "") + "\">";
						_html += data.title;
						_html += "</h1>";
						if (data.inputtime > 1431964800) {
							_html += "<p class='description'>" + data.description + "</p>"
						}
						_html += "<div class=\"mui-media-em\">" + (data.copyfrom == "" ? "网络" : data.copyfrom) + (parseInt(data.comment) > 0 ? ("<span class=\"mui-icon mui-icon-chatboxes news-chat\">" + data.comment + "</span>") : "") + "<span class=\"news-time\">" + unixTimestamp.format("yyyy-MM-dd hh:mm:ss") + "</span>"
						_html += "</div>"
						_html += "</div>"
						that.isMoreImg++;
					} else {
						_html += "<div class=\"mui-media-body\">";
						_html += "<h1 class=\"mui-media-body" + (data.readflag == 1 ? " readed" : "") + "\">";
						_html += data.title;
						_html += "</h1>";
						_html += "<p class='mui-ellipsis'>" + data.description + "</p>"
						_html += "</div>"
						_html += "<div class=\"mui-media-em\">" + (data.copyfrom == "" ? "网络" : data.copyfrom) + (parseInt(data.comment) > 0 ? ("<span class=\"mui-icon mui-icon-chatboxes news-chat\">" + data.comment + "</span>") : "") + "<span class=\"news-time\">" + unixTimestamp.format("yyyy-MM-dd hh:mm:ss") + "</span>"
						_html += "</div>"
						that.isMoreImg++;
					}
					//alert(data.images[0]);
				} else {
					_html += "<div class=\"mui-media-body\">";
					_html += "<h1 class=\"mui-media-body" + (data.readflag == 1 ? " readed" : "") + "\">";
					_html += data.title;
					_html += "</h1>";
					_html += "<p class='mui-ellipsis'>" + data.description + "</p>"
					_html += "</div>"
					_html += "<div class=\"mui-media-em\">" + (data.copyfrom == "" ? "网络" : data.copyfrom) + (parseInt(data.comment) > 0 ? ("<span class=\"mui-icon mui-icon-chatboxes news-chat\">" + data.comment + "</span>") : "") + "<span class=\"news-time\">" + unixTimestamp.format("yyyy-MM-dd hh:mm:ss") + "</span>"
					_html += "</div>"
					that.isMoreImg++;
				}
			} else {
				_html += "<h1 class=\"mui-media-body" + (data.readflag == 1 ? " readed" : "") + "\">";
				_html += data.title;
				_html += "</h1>";
				_html += "<img class=\"news-big-img noimage\" sid=\"" + data.id + "_0\" src=\"../images/default.png\"  lazyload=\"" + data.images[0] + "\">";
				_html += "<div class=\"mui-media-em\">" + (data.copyfrom == "" ? "网络" : data.copyfrom) + (parseInt(data.comment) > 0 ? ("<span class=\"mui-icon mui-icon-chatboxes news-chat\">" + data.comment + "</span>") : "") + "<span class=\"news-time\">" + unixTimestamp.format("yyyy-MM-dd hh:mm:ss") + "</span>"
				_html += "</div>"
				that.isMoreImg++;
			}
			_html += "</a>";
			return _html;
		},
		getListHtmlForWeiXin: function(data) {
			var that = window.page;
			var _html = "";
			if (data.showtype == "a") {
				_html += "<a nid=\"" + data.id + "\" title=\"" + data.title + "\" surl=\"" + data.url + "\" cid=\"" + data.ncatid + "\" class=\"" + this.getTitleStyle(this.getFontSize().text) + "\" >";
				_html += "<img sid=\"" + data.id + "_0\"  class=\"mui-media-object mui-pull-right noimage\" src=\"../images/default.png\" lazyload=\"" + (data.images ? data.images[0] : "") + "\" >"
				_html += "<div class=\"mui-media-body\">"
				_html += "	<p>" + data.title + "</p>"
				_html += "</div>"
				_html += "</a>";
			} else {
				_html += "<a nid=\"" + data.id + "\" title=\"" + data.title + "\"  surl=\"" + data.url + "\" cid=\"" + data.ncatid + "\" class=\"" + this.getTitleStyle(this.getFontSize().text) + "\" style=\"position: relative; max-height: 130px;padding-top:0px; margin:7px;\">";
				_html += "<img src=\"../images/default.png\"  class=\"noimage\" sid=\"" + data.id + "_0\" style=\"width: 100%;\" lazyload=\"" + (data.images ? data.images[0] : "") + "\">";
				_html += "<p class='mui-ellipsis-first'>" + data.title + "</p>";
				_html += "</a>";
			}
			return _html;
		},
		getListHtmlForBaoZi: function(data, cid) {
			var that = this;
			var _html = "";
			var unixTimestamp = new Date(data.pubdate.replace(/-/g, "\/"));
			console.log(unixTimestamp);
			_html += "<a nid=\"" + data.pubdate + "\" cid=\"" + cid + "\" class=\"" + this.getTitleStyle(this.getFontSize().text) + "\" style=\"position: relative; margin:10px;\">";
			_html += "<img  sid=\"" + cid + data.pubdate + "_0\" style=\"width: 100%;\" src=\""+ that.epaper_server + data.PAGEIMGLINK  +"\">";
			_html += "</a>";
			console.log(_html);
			return _html;
		},
		getListHtmlForBBS: function(data) {
			var that = this;
			var _html = "";
			var unixTimestamp = new Date(parseInt(data.adddate) * 1000);
			_html += "<div class=\"topicBox threadList\" tid=\"" + data.id + "\" uid=\"" + data.uid + "\">";
			_html += "<div class=\"topicCon\">";
			_html += "<p class=\"personImgDate\">";
			_html += "<span class=\"perImg db\">";
			_html += "<img class=\"avatar\" data-original=\""+ that.jsonp_Server +"api/avatar.ashx?uid=" + data.uid + "&amp;size=small\" onerror=\"javascript:this.src='../cdn/discuz/images/personImg.jpg'\" class=\"bImg lazy\" width=\"35\" height=\"35\" uid=\"56767\" alt=\"头像\" src=\""+ that.jsonp_Server +"api/avatar.ashx?uid=" + data.uid + "&amp;size=small\" >"
			_html += "<span class=\"timeT\">"
			_html += data.nickname
			_html += "<i>" + that.getDateText(data.adddate) + "</i>";
			_html += "</span>";
			_html += "</span>";
			_html += "<span class=\"perPop\" style=\"display:none\"></span>";
			_html += "</p>"
			_html += "<div class=\"detailCon\">"
			_html += "<p>"
			_html += "<a href=\"javascript:;\" class=\"studioBtn db\">爆料</a> "
			_html += data.title
			if (data.photos && data.photos.length > 0) {
				_html += "<a class=\"photoInco db\" href=\"javascript:;\">图</a>";
			}
			_html += "</p>"
			if (data.photos && data.photos.length > 0) {
				_html += "<img class=\"attachment\" src=\""+ that.jsonp_Server + data.photos[0] + "\" /><br/>";
			}
			_html += data.content;
			_html += "<span class=\"replyShare db fr\">";
			_html += "<a href=\"javascript:;\" class=\"incoRBtn\" ><i class=\"incoR spr\"></i>" + data.comment + "</a>";
			_html += "</span>"
			_html += "</div>"
			_html += "</div>"
			_html += "</div>"
			return _html;
		},
		getDateText: function(timespan) {
			var time = Math.round(new Date().getTime() / 1000) - parseInt(timespan);
			if (time < 60) {
				return time + "刚刚"
			}
			if (time < 60 * 60) {
				return Math.floor(time / 60) + "分前"
			}
			if (time < 60 * 60 * 24) {
				return Math.floor(time / 60 / 60) + "小时前"
			}
			if (time < 60 * 60 * 48) {
				return "昨天"
			}
			var unixTimestamp = new Date(parseInt(timespan) * 1000);
			return unixTimestamp.format("yyyy-MM-dd");
		},
		/**
		 * @作者：
		 * @时间：2013/04/15 10:40:45
		 * @param lazyPath:css path
		 * @param  top:
		 * @描述：延迟加载图片
		 */
		checkLazyLoad: function(_index, top) {
			var that = this;
			//if (that.isLoading[_index] == 1) return;
			if (that.lazyTimeout) clearTimeout(that.lazyTimeout);
			that.lazyTimeout = setTimeout(function() {
				try {

					var doc = document,
						_pl = doc.getElementById(that.showtype[_index]),
						lazyObjs = _pl.querySelectorAll("img[lazyload]"),
						len = lazyObjs.length,
						index = 0,
						winheight = window.innerHeight * 1.1;
					if (len <= 0) return;
					for (; index < len; index++) {
						var obj = lazyObjs[index];
						var o = jQuery(obj);
						var _top = o.offset().top - top;
						if (_top >= 0 && _top < winheight) {
							var srcImg = obj.getAttribute("lazyload");
							var dstImg = obj.getAttribute("sid") + srcImg.substr(srcImg.lastIndexOf("."));
							that.downLoadFile({
								"imgObj": obj,
								"folderPath": "ArticleImg/",
								"srcImg": srcImg,
								"dstImg": dstImg,
								"success": function(options, flag, d) {
									var imgObj = options.imgObj;
									
									var url = that.fileSystemAPI.root.fullPath + (that.isIOS() ? "/" : "") + options.folderPath + options.dstImg;
									//var url="/downloads/"+ options.folderPath + options.dstImg
									var _eurl=imgObj.src;
									imgObj.src = url;
									imgObj.onerror=function(){
										console.log("error:"+this.src);
										var _url=this.src;
										this.src=_eurl;										
										setTimeout(function(){											
											this.src = _url;
										})
									}
									imgObj.onload=function(){
										this.removeAttribute("lazyload");
									}
									
									var o = jQuery(imgObj);
									if (that.showtype[_index] == "news" && o.attr("class").indexOf("news-big-img") < 0) {
										o.css("height", (o.width() / 4 * 3) + "px");
									}
									if (that.showtype[_index] == "baozi") {
										o.css("width", (that.width - 50) + "px");
									}
									imgObj = null;
								},
								"error": function() {
									console.log("加载图片出错：" + dstImg);
								}
							});
						}
					}
					lazyObjs = null;
				} catch (ex) {
					console.log(ex);
				}
			}, 600);
		},
		handleEvent: function(e) {
			try {
				var that = this,
					t = e.target;
				//console.log("e.type="+ e.type);
				switch (e.type) {
					case "scroll":
						if (that.isLoading[that.activeTab] != 0) {
							return;
						}
						if (that.scrollTimer) clearTimeout(that.scrollTimer);
						that.scrollTimer = setTimeout(function() {
							var w = window,
								pageYOffset = w.pageYOffset;
							var diffY = that._scrollY - pageYOffset;
							that._scrollY = pageYOffset;
							var scrollY = document.documentElement.scrollTop || window.scrollY;
							var scrollH = Math.max(document.body.scrollHeight, document.documentElement.scrollHeight);
							console.log("滚动条位置：" + scrollY + ",窗口高：" + w.innerHeight + ",滚动条高：" + scrollH);

							switch (that.showtype[that.activeTab]) {
								case "news":
									jQuery(".xinwen .sliderContainer,#news > li.mui-table-view-cell").each(function(i, item) {
										var _item = jQuery(item);
										var p = _item.offset();
										if (scrollY > parseInt(p.top) + parseInt(w.innerHeight) * 1.5 || scrollY + parseInt(w.innerHeight) * 2 < parseInt(p.top)) {
											_item.css({
												"opacity": 0
											});
										} else {
											_item.css({
												"opacity": 1
											});
										}
									});
									break;
								case "weixin":
									jQuery("#weixin > h1,#weixin > h2,#weixin > ul.mui-table-view").each(function(i, item) {
										var _item = jQuery(item);
										var p = _item.offset();
										if (scrollY > parseInt(p.top) + parseInt(w.innerHeight) * 2 || scrollY + parseInt(w.innerHeight) * 2 < parseInt(p.top)) {
											_item.css({
												"opacity": 0
											});
										} else {
											_item.css({
												"opacity": 1
											});
										}
									});
									break;
								case "baozi":

									break;
								case "pindao":

									break;
								case "bbs":
									jQuery("#bbs > ul.mui-table-view").each(function(i, item) {
										var _item = jQuery(item);
										var p = _item.offset();
										if (scrollY > parseInt(p.top) + parseInt(w.innerHeight) * 2 || scrollY + parseInt(w.innerHeight) * 2 < parseInt(p.top)) {
											_item.css({
												"opacity": 0
											});
										} else {
											_item.css({
												"opacity": 1
											});
										}
									});
									break;
							}

							that.checkLazyLoad(that.activeTab, window.pageYOffset);
						}, 200);
						break;
					case "resume":
						that.onResume();
						break;
					case "netchange":
						//that.onNetChange();
						that.networkStatus = that.hasNetwork();
						that.onResume();
						break;
					case "touchstart":
						break;
					case "touchmove":
						//						that.touchmoved = true;
						//that.on('scroll', window);
						break;
						//					case "touchcancel":
					case "touchend":
						break;
					case 'click':
						break;
				}
				t = null;
			} catch (ex) {
				console.log(ex);
				//C.showErr(ex, 'handelevent');
			}
		},
		/// <summary>
		/// 程序从后台恢复到前台事件
		/// </summary>
		onResume: function() {
			var that = this;
			that.resumeTime = new Date().getTime();
			if (that.hasError) {
				that.hasError = false;
				if (!that.hasNetwork()) {
					that.hasError = true;
					that.alert("网络不给力", 2000);
					return;
				}
				that.pulldownRefresh()
			}
			//that.isPause = false;
		},
		/// <summary>
		/// 程序从前台恢复到后台事件
		/// </summary>
		onPause: function() {
			//var that = this;
			this.isPause = true;
			//plus.console.log("onPause");
		},
		/// <summary>
		/// 网络状态改变
		/// </summary>
		onNetChange: function() {
			var that = this;
			this.isNetChange = true;
			if (that.hasNetwork()) {
				that.pulldownRefresh();
			}
		},
		/*加载第一页*/
		loadPageData: function(index, inputtime, newsid) {
			var that = this;
			switch (that.showtype[index]) {
				case "news":
					break;
				case "weixin":
					//console.log("loadPageDataFoxWeiXin();");
					that.loadPageDataFoxWeiXin(index, inputtime, newsid);
					return;
				case "baozi":
					return;
				case "pindao":
					return;
					that.loadPageDataFoxPindao(index);
					return;
				case "bbs":
					that.loadPageDataFoxBBS(index, inputtime, newsid);
					return;
			}
			that.loadCategoryByPageDB(that.categoryid[index], inputtime, newsid,
				function(data) {
					if (data) {
						if (that._page[index]) {
							if (parseInt(data.list[data.list.length - 1].inputtime) < that._page[index].MinInputtime || that._page[index].MinID == 0) {
								that._page[index].MinID = parseInt(data.list[data.list.length - 1].id);
								that._page[index].MinInputtime = parseInt(data.list[data.list.length - 1].inputtime);
							} else if (parseInt(data.list[data.list.length - 1].inputtime) == that._page[index].MinInputtime && parseInt(data.list[data.list.length - 1].id) < that._page[index].MinID) {
								that._page[index].MinID = parseInt(data.list[data.list.length - 1].id);
							}
							if (parseInt(data.list[0].inputtime) > that._page[index].MaxInputtime || that._page[index].MaxID == 0) {
								that._page[index].MaxID = parseInt(data.list[0].id);
								that._page[index].MaxInputtime = parseInt(data.list[0].inputtime);
							} else if (parseInt(data.list[0].inputtime) == that._page[index].MaxInputtime && parseInt(data.list[0].id) > that._page[index].MaxID) {
								that._page[index].MaxID = parseInt(data.list[0].id);
							}
							//that._page[index].MinID = (parseInt(data.list[data.list.length - 1].id) < that._page[index].MinID || that._page[index].MinID == 0) ? parseInt(data.list[data.list.length - 1].id) : that._page[index].MinID;
							//that._page[index].MaxID = parseInt(data.list[0].id) > that._page[index].MaxID ? parseInt(data.list[0].id) : that._page[index].MaxID;
						} else {
							that._page[index] = {
								MinID: parseInt(data.list[data.list.length - 1].id),
								MinInputtime: parseInt(data.list[data.list.length - 1].inputtime),
								MaxID: parseInt(data.list[0].id),
								MaxInputtime: parseInt(data.list[0].inputtime)
							}
						}
						var slideritem = document.querySelectorAll(".mui-slider-item");
						if (slideritem[index].querySelector(".content-loadding")) {
							//jQuery(".mui-slider-item").eq(index).find(".content-loadding").remove();
							slideritem[index].removeChild(slideritem[index].childNodes[0]);
						}
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
						that.showData(data.list, index);
						//mui('#pullrefresh').pullRefresh().pullupLoading();
						if (data.list.length <= 0 && !that.isFirst) {
							mui.toast('没有数据了!');
						}
					} else {
						that._page[index] = {
							MinID: 0,
							MaxID: 0
						}
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
						//mui('#pullrefresh').pullRefresh().pullupLoading();
						//mui.toast('没有数据了!');
					}
				},
				function() {
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
				});
			if (that.isFirst) {
				that.isFirst = false;
				setTimeout(function() {
					console.log("开始从网络更新信息");
					that.pulldownRefresh();
				}, 500);
			}
		},
		//从数据库加载微信
		loadPageDataFoxWeiXin: function(_index, inputtime) {
			var that = this;
			that.loadCategoryByDBFoxWeiXin(inputtime,
				function(data) {
					if (data) {
						data = data.data;
						console.log(JSON.stringify(data));
						if (parseInt(data.fbdate) > 0) {
							if (that._page[_index]) {
								if (parseInt(data.fbdate) < that._page[_index].MinInputtime || that._page[_index].MinInputtime == 0) {
									that._page[_index].MinInputtime = parseInt(data.fbdate);
								}
								if (parseInt(data.fbdate) > that._page[_index].MaxInputtime || that._page[_index].MaxInputtime == 0) {
									that._page[_index].MaxInputtime = parseInt(data.fbdate);
								}
							} else {
								that._page[_index] = {
									MinID: 0,
									MinInputtime: parseInt(data.fbdate),
									MaxID: 0,
									MaxInputtime: parseInt(data.fbdate)
								}
							}
						}
						if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
							jQuery(".mui-slider-item").eq(_index).find(".content-loadding").remove();
						}
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
						var table = document.getElementById(that.showtype[_index]);
						var h1 = document.createElement("h1");
						var h2_lzrb, h2_lzwb, h2_lbcm, h2_wbxjz, h2_lccb, h2_lbcmmmb, h2_lzm, ul_lzrb, ul_lzwb, ul_lbcm, ul_wbxjz, ul_lccb, ul_lbcmmmb, ul_lzm;
						if (data.data.lzrb.length > 0 || data.data.lzwb.length > 0 || data.data.lbcm.length > 0 || data.data.wbxjz.length > 0 || (data.data.lccb && data.data.lccb.length > 0) || (data.data.lbcmmmb && data.data.lbcmmmb.length > 0) || (data.data.lzm && data.data.lzm.length > 0)) {
							h1.innerHTML = that.getDateText(data.fbdate)
							if (data.data.lzrb.length > 0) {
								h2_lzrb = document.createElement("h2");
								//h2_lzrb.className = "lzrb";
								h2_lzrb.innerHTML = "柳州日报微信";
								ul_lzrb = document.createElement("ul");
								ul_lzrb.className = "mui-table-view";
								for (var i = 0; i < data.data.lzrb.length; i++) {
									var li = document.createElement('li');
									li.className = 'mui-table-view-cell';
									li.innerHTML = that.getListHtmlForWeiXin(data.data.lzrb[i]);
									ul_lzrb.appendChild(li);
								}
							}
							if (data.data.lzwb.length > 0) {
								h2_lzwb = document.createElement("h2");
								//h2_lzwb.className = "lzwb";
								h2_lzwb.innerHTML = "柳州晚报微信";
								ul_lzwb = document.createElement("ul");
								ul_lzwb.className = "mui-table-view";
								for (var i = 0; i < data.data.lzwb.length; i++) {
									var li = document.createElement('li');
									li.className = 'mui-table-view-cell';
									li.innerHTML = that.getListHtmlForWeiXin(data.data.lzwb[i]);
									ul_lzwb.appendChild(li);
								}
							}
							if (data.data.lbcm.length > 0) {
								h2_lbcm = document.createElement("h2");
								//h2_lbcm.className = "lbcm";
								h2_lbcm.innerHTML = "柳报微报微信";
								ul_lbcm = document.createElement("ul");
								ul_lbcm.className = "mui-table-view";
								for (var i = 0; i < data.data.lbcm.length; i++) {
									var li = document.createElement('li');
									li.className = 'mui-table-view-cell';
									li.innerHTML = that.getListHtmlForWeiXin(data.data.lbcm[i]);
									ul_lbcm.appendChild(li);
								}
							}
							if (data.data.wbxjz.length > 0) {
								h2_wbxjz = document.createElement("h2");
								//h2_wbxjz.className = "wbxjz";
								h2_wbxjz.innerHTML = "晚报小记者微信";
								ul_wbxjz = document.createElement("ul");
								ul_wbxjz.className = "mui-table-view";
								for (var i = 0; i < data.data.wbxjz.length; i++) {
									var li = document.createElement('li');
									li.className = 'mui-table-view-cell';
									li.innerHTML = that.getListHtmlForWeiXin(data.data.wbxjz[i]);
									ul_wbxjz.appendChild(li);
								}
							}
							if (data.data.wbxjz.length > 0) {
								h2_wbxjz = document.createElement("h2");
								//h2_wbxjz.className = "wbxjz";
								h2_wbxjz.innerHTML = "晚报小记者微信";
								ul_wbxjz = document.createElement("ul");
								ul_wbxjz.className = "mui-table-view";
								for (var i = 0; i < data.data.wbxjz.length; i++) {
									var li = document.createElement('li');
									li.className = 'mui-table-view-cell';
									li.innerHTML = that.getListHtmlForWeiXin(data.data.wbxjz[i]);
									ul_wbxjz.appendChild(li);
								}
							}
							if (data.data.lccb && data.data.lccb.length > 0) {
								h2_lccb = document.createElement("h2");
								//h2_wbxjz.className = "wbxjz";
								h2_lccb.innerHTML = "龙城财报微信";
								ul_lccb = document.createElement("ul");
								ul_lccb.className = "mui-table-view";
								for (var i = 0; i < data.data.lccb.length; i++) {
									var li = document.createElement('li');
									li.className = 'mui-table-view-cell';
									li.innerHTML = that.getListHtmlForWeiXin(data.data.lccb[i]);
									ul_lccb.appendChild(li);
								}
							}
							if (data.data.lbcmmmb && data.data.lbcmmmb.length > 0) {
								h2_lbcmmmb = document.createElement("h2");
								//h2_wbxjz.className = "wbxjz";
								h2_lbcmmmb.innerHTML = "柳报妈妈帮微信";
								ul_lbcmmmb = document.createElement("ul");
								ul_lbcmmmb.className = "mui-table-view";
								for (var i = 0; i < data.data.lbcmmmb.length; i++) {
									var li = document.createElement('li');
									li.className = 'mui-table-view-cell';
									li.innerHTML = that.getListHtmlForWeiXin(data.data.lbcmmmb[i]);
									ul_lbcmmmb.appendChild(li);
								}
							}
							if (data.data.lzm && data.data.lzm.length > 0) {
								h2_lzm = document.createElement("h2");
								//h2_wbxjz.className = "wbxjz";
								h2_lzm.innerHTML = "柳州猫微信";
								ul_lzm = document.createElement("ul");
								ul_lzm.className = "mui-table-view";
								for (var i = 0; i < data.data.lzm.length; i++) {
									var li = document.createElement('li');
									li.className = 'mui-table-view-cell';
									li.innerHTML = that.getListHtmlForWeiXin(data.data.lzm[i]);
									ul_lzm.appendChild(li);
								}
							}
							table.appendChild(h1);
							if (h2_lzwb) {
								table.appendChild(h2_lzwb);
								table.appendChild(ul_lzwb);
							}
							if (h2_lbcm) {
								table.appendChild(h2_lbcm);
								table.appendChild(ul_lbcm);
							}
							if (h2_lzrb) {
								table.appendChild(h2_lzrb);
								table.appendChild(ul_lzrb);
							}
							if (h2_wbxjz) {
								table.appendChild(h2_wbxjz);
								table.appendChild(ul_wbxjz);
							}
							if (h2_lzm) {
								table.appendChild(h2_lzm);
								table.appendChild(ul_lzm);
							}
							if (h2_lccb) {
								table.appendChild(h2_lccb);
								table.appendChild(ul_lccb);
							}
							if (h2_lbcmmmb) {
								table.appendChild(h2_lbcmmmb);
								table.appendChild(ul_lbcmmmb);
							}
						} else {
							mui.toast('没有数据了!');
						}
					} else {
						that._page[index] = {
							MinID: 0,
							MaxID: 0
						}
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
						mui.toast('没有数据了!');
					}
				},
				function() {});
		},
		//从数据库加载分类
		loadPageDataFoxPindao: function(_index) {
			var that = this;
			that.loadCategoryByDBFoxPindao(
				function(data) {
					if (data) {
						console.log(JSON.stringify(data));
						if (!that._page[_index]) {
							that._page[_index] = {
								MinID: 0,
								MinInputtime: parseInt(data.fbdate),
								MaxID: 0,
								MaxInputtime: parseInt(data.fbdate)
							}
						}
						if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
							jQuery(".mui-slider-item").eq(_index).find(".content-loadding").remove();
						}
						data = data.data;
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
						var table = document.getElementById(that.showtype[_index]);
						for (var i = 0; i < data.length; i++) {
							if (data[i].list.length > 0) {
								var h2 = document.createElement("h2");
								h2.innerHTML = data[i].typeName;
								var a = document.createElement("a");
								a.innerHTML = "<span class=\"mui-icon mui-icon-more\"></span>";
								h2.appendChild(a);
								var ul = document.createElement("ul");
								ul.className = "mui-table-view";
								for (var j = 0; j < data[i].list.length; j++) {
									var li = document.createElement('li');
									li.className = 'mui-table-view-cell';
									if (j == 0) {
										data[i].list[j].showtype = "b";
									}
									li.innerHTML = that.getListHtmlForWeiXin(data[i].list[j]);
									ul.appendChild(li);
								}
								table.appendChild(h2);
								table.appendChild(ul);
							}
						}
					} else {
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
					}
				},
				function() {});
		},
		loadPageDataFoxBBS: function(index, inputtime, newsid) {
			var that = this;
			that.loadBaoliaoDB(that.categoryid[index], inputtime, newsid,
				function(data) {
					if (data) {
						if (that._page[index]) {
							if (that._page[index].MinID == 0) {
								that._page[index].MinID = parseInt(data.list[data.list.length - 1].tid);
							} else if (parseInt(data.list[data.list.length - 1].tid) < that._page[index].MinID) {
								that._page[index].MinID = parseInt(data.list[data.list.length - 1].tid);
							}
							if (that._page[index].MaxID == 0) {
								that._page[index].MaxID = parseInt(data.list[0].tid);
							} else if (parseInt(data.list[0].tid) > that._page[index].MaxID) {
								that._page[index].MaxID = parseInt(data.list[0].tid);
							}
						} else {
							that._page[index] = {
								MinID: parseInt(data.list[data.list.length - 1].tid),
								MinInputtime: 0,
								MaxID: parseInt(data.list[0].tid),
								MaxInputtime: 0
							}
						}
						if (jQuery(".mui-slider-item").eq(index).find(".content-loadding").length > 0) {
							jQuery(".mui-slider-item").eq(index).find(".content-loadding").remove();
						}
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
						//data = data.data;
						var table = document.getElementById(that.showtype[index]);
						for (var i = 0; i < data.list.length; i++) {
							var ul = document.createElement('ul');
							ul.className = 'mui-table-view';
							ul.setAttribute("tid", data.list[i].id);
							ul.setAttribute("title", data.list[i].title);
							ul.innerHTML = that.getListHtmlForBBS(data.list[i]);
							table.appendChild(ul);
						}
						if (data.list.length <= 0) {
							mui.toast('没有数据了!');
						}
					} else {
						that._page[index] = {
							MinID: 0,
							MaxID: 0
						}
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
						mui.toast('没有数据了!');
					}
				},
				function() {});
		},
		showData: function(data, index) {
			var that = this;
			var slideritem = document.querySelectorAll(".mui-slider-item");
			if (slideritem[index].querySelector(".content-loadding")) {
				//slideritem[index].removeChild(slideritem[index].childNodes[0]);
				jQuery(".mui-slider-item").eq(index).find(".content-loadding").remove();
			}
			var table = document.getElementById(that.showtype[index]);
			var ul = document.createElement("ul");
			ul.className = "mui-table-view";
			var h1 = document.createElement("h1");
			for (var i = 0; i < data.length; i++) {
				var li = document.createElement('li');
				li.className = 'mui-table-view-cell';
				li.innerHTML = that.getListHtml(data[i]);
				table.appendChild(li);
				//下拉刷新，新纪录插到最前面；
			}
			that.checkLazyLoad(index, 1);
		}
	});
	window.page = new page();
	if (window.plus) {
		window.page.OnReady();
		return;
	}
	mui.plusReady(function() {
		window.page.OnReady();
	});
	/*
	document.addEventListener("plusready", function() {
		
	});
	*/
})(lznews, lznews.basepage);