//上传
(function(C, B) {
	var page = function() {}
	C.extend(page.prototype, B, {
		NewsId: 0,
		parentweb: null,
		ClientInfo: null,
		BeforeReady: function() {
			var that = this;
			var thatwebpage = plus.webview.currentWebview();
			that.parentweb = plus.webview.getWebviewById("news/news-template");
			that.NewsID = thatwebpage.NewsID;
			that.ClientInfo = plus.push.getClientInfo();
			console.log("上传.." + that.NewsID);
			document.getElementById("publish").addEventListener("tap", function(event) {
				var takePinglun = document.getElementById("takePinglun");
				if (jQuery.trim(takePinglun.value) == "") {
					plus.nativeUI.alert("评论内容不能为空!", function() {
						takePinglun.focus();
					}, "", "确定");
					return;
				}
				plus.nativeUI.confirm("是否确认提交评论?", function(e) {
					if (e.index == 0) {
						that.Update();
					}
				}, "", ["是", "否"]);
			});
		},
		//开始上传资料
		Update: function() {
			var that = this;
			console.log("开始上传:" + that.getItem(that.cacheKey.access_uc_token));
			var wt = plus.nativeUI.showWaiting("正在处理，请稍候...");
			var token = that.getItem(that.cacheKey.access_uc_token);
			var server =that.jsonp_Server + "api/appuser.ashx";
			
			var task = plus.uploader.createUpload(server, {
					method: "POST",blocksize:204800,priority:100
				},
				function(t, status) { //上传完成
					wt.close();
					if (status == 200) {
						console.log("t.responseText=" + t.responseText);
						var jdata = JSON.parse(t.responseText);
						
						//plus.nativeUI.alert(jdata.message, function() {}, "", "确定");
						plus.nativeUI.toast(jdata.message, {
							duration: "long"
						});
						if (jdata.status == 0) {
							that.clearPinglun();
							//that.parentweb.evalJS("window.page.refreshPinlun();")
						}
						task=null;
						console.log("上传成功!");
					} else {
						console.log(status);
						console.log("t.responseText=" + t.responseText);
						plus.nativeUI.toast("网络异常，上传失败", {
							duration: "long"
						});
					}
					
				}
				
			);
			var takePinglun = document.getElementById("takePinglun");
			task.addData("api", "uploadPinglun");
			task.addData("newsid", that.NewsID.toString().toString());
			task.addData("clientid", that.ClientInfo.clientid);
			if(token){
				task.addData("token", token);
			}			
			task.addData("Pinglun", takePinglun.value);
			console.log("newsid:"+ that.NewsID);
			task.start();

		},
		showKeyborad: function() {
			//jQuery('#takePinglun').focus();
			var Context = plus.android.importClass("android.content.Context");
			var InputMethodManager = plus.android.importClass("android.view.inputmethod.InputMethodManager");
			var main = plus.android.runtimeMainActivity();
			var imm = main.getSystemService(Context.INPUT_METHOD_SERVICE);
			imm.toggleSoftInput(0, InputMethodManager.SHOW_FORCED);
		},
		clearPinglun: function() {
			//document.getElementById("takePinglun").value = "";
			var mainWebview = plus.webview.getWebviewById("news/news-template");
			mainWebview.evalJS("window.page.closeView('none');");
		}
	});
	window.page = new page();
     
	document.addEventListener("plusready", function() {
		setTimeout(function() {
			window.page.BeforeReady();
		}, 100);
	});
})(lznews, lznews.basepage);