(function(C, B) {
	var page = function() {}
	C.extend(page.prototype, B, {
		webshare: null,
		isShow: false,
		isAnimating: false,
		showMenu: false,
		NewsID: 0,
		NewsComment: 0,
		mainWebview: null,
		webshowPinglun: null,
		BeforeReady: function() {
			var that = this;
			//var wvs = plus.webview.all();
			that.mainWebview = plus.webview.getWebviewById("index");
			that.init(function() {});
			var thatwebpage = plus.webview.currentWebview();
			that.setNewsInfor(thatwebpage.NewsID);
			document.getElementById("Nshare").addEventListener("tap", function() {
				that.openShareWindows();
			});
			document.getElementById("pinglun").addEventListener("tap", function() {
				that.showRe();
			}, false);
			document.getElementById("favorites").addEventListener("tap", function() {
				console.log("点击收藏！");
				var nid = that.NewsID;
				console.log("点击收藏！that.NewsID=" + that.NewsID);
				that.getNewsInfor(nid, function(data) {
					if (data) {
						//console.log("点击收藏！data=" + data.length);
						var _data = {
							id: data.list[0].id,
							catid: data.list[0].catid,
							ncatid: data.list[0].ncatid,
							title: data.list[0].title,
							url: data.list[0].url,
							inputtime: data.list[0].inputtime,
							type: 0
						};
						that.db.transaction(function(tx) {
							that.insertfavorites(tx, _data, function() {
								console.log("id" + data.list[0].id);
								jQuery("#favorites").css("color", "#FFC600");
								plus.nativeUI.toast("收藏成功", {
									duration: "long"
								});
							});
						});
					} else {
						plus.nativeUI.toast("收藏异常错误", {
							duration: "long"
						});
					}
				}, function() {});
			}, false);
			document.getElementById("pinglunlist").addEventListener("tap", function() {
				that.showPinglun();
			}, false);
		},
		setNewsInfor: function(newsid) {
			var that = this;
			that.NewsID = newsid;
			var url =that.jsonp_Server + "api/mobileappapi.ashx?api=newspinluncount&nid=" + newsid;
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 60000, //超时时间设置为10秒；
				success: function(data) {
					if (data) {
						that.NewsComment = data.comment;
						if (data.comment > 0) {
							jQuery("#pinglunlist .mui-badge").remove();
							var comment = document.querySelector("#pinglunlist>.mui-icon");
							var span = document.createElement("span");
							span.className = "mui-badge";
							span.innerHTML = data.comment;
							comment.appendChild(span);
						}
					}
				}
			});
		},
		showPinglun: function() {
			var showpagesub = plus.webview.getWebviewById("showpagesub");
			if (showpagesub) {
				showpagesub.evalJS("gotopinglun();");
			}
		},
		refreshPinlun: function() {
			var that = this;
			var showpagesub = plus.webview.getWebviewById("showpagesub");
			if (showpagesub) {
				showpagesub.evalJS("refreshPinlun();");
			}
			that.setNewsInfor(that.NewsID);
		},
		isFavorites: function(id, type) {
			var that = this;
			setTimeout(function() {
				that.db.transaction(function(tx) {
					that.checkfavorites(tx, that.NewsID, 0, function() {
						jQuery("#favorites").css("color", "#FFC600");
						console.log("已经收藏过的文章" + that.NewsID);
					});
				});
			}, 200)
		},
		/*系统分享*/
		shareSystem: function() {
			if (plus.os.name !== "Android") {
				plus.nativeUI.alert("此平台暂不支持系统分享功能!");
				return;
			}

			Intent = plus.android.importClass("android.content.Intent");
			File = plus.android.importClass("java.io.File");
			Uri = plus.android.importClass("android.net.Uri");
			main = plus.android.runtimeMainActivity();
			var intent = new Intent(Intent.ACTION_SEND);
			var p = "";
			if (pic && pic.realUrl) {
				p = pic.realUrl;
				if (p.substr(0, 7) === "file://") {
					p = p.substr(7);
				} else if (p.sub(0) !== "/") {
					p = plus.io.convertLocalFileSystemURL(p);
				}
			}
			var f = new File(p);
			var uri = Uri.fromFile(f);
			if (f.exists() && f.isFile()) {
				console.log("image/*");
				intent.setType("image/*");
				intent.putExtra(Intent.EXTRA_STREAM, uri);
			} else {
				console.log("text/plain");
				intent.setType("text/plain");
			}
			intent.putExtra(Intent.EXTRA_SUBJECT, "HBuilder");
			intent.putExtra(Intent.EXTRA_TEXT, sharecontent.value);
			intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
			main.startActivity(Intent.createChooser(intent, "系统分享"));
		},
		loadPage: function(url) {
			var _url = document.getElementById("url");
			_url.value = url;
		},
		openShareWindows: function() {
			var that = this;
			that.isShow = true;
			plus.webview.currentWebview().setStyle({
				mask: "rgba(0,0,0,0.5)"
			});
			webshare.show('slide-in-bottom', 80);
		},
		closeShareWindows: function() {
			var that = this;
			webshare.hide('slide-out-bottom', 80);
			plus.webview.currentWebview().setStyle({
				mask: "none"
			});
			that.isShow = false;
		},
		//创建评论区
		showRe: function() {
			var that = this;

			if (that.isAnimating) return;
			if (!that.showMenu) {
				console.log("show....")
				that.isAnimating = true;

				console.log(that.NewsID);
				that.webshowPinglun = plus.webview.create("news-template-pinglun.html", "news-template-pinglun", {
					zindex: 6,
					popGesture: "hide"
				}, {
					NewsID: that.NewsID //文章ID
				});
				that.showMenu = true;
				that.isAnimating = false;
				that.webshowPinglun.show('pop-in', 200);
			}

		},
		openUserMenu: function() {
			var that = this;
			that.mainWebview.evalJS("showotherPage('otherpage','home-login','user/home-login.html','会员登陆');");
		},
		closeView: function(stype) {
			var that = this;
			if (that.isAnimating) return;
			if (that.showMenu) {
				that.isAnimating = true;
				that.webshowPinglun.hide(stype?stype:"pop-out");
				that.webshowPinglun.close();
				that.webshowPinglun=null;
				that.showMenu = false;
				that.isAnimating = false;
			}
		},
		loadFont: function() {
			var that = this;
			if (that.floatw) {
				floatw.evalJS("window.page.loadFont();");
			}
		}
	});
	window.page = new page();
	mui.plusReady(function() {
		var thatweb = plus.webview.currentWebview();
		webshare = mui.preload({
			id: "news-show-share.html",
			url: "news-show-share.html",
			styles: {
				width: '100%',
				height: '160px',
				margin: "auto",
				scrollIndicator: 'none',
				scalable: false,
				bottom: 0,
				popGesture: 'none',
				zindex: 9
			},
			extras: {
				NewsID: thatweb.NewsID,
				shareUrl: thatweb.shareUrl,
				shareTitle: thatweb.shareTitle,
				shareContent: thatweb.shareContent,
				shareThumbs: thatweb.shareThumbs
			}
		});
		window.page.BeforeReady();
	});
})(lznews, lznews.basepage);