var ws = null;
var em = null,
	map = null;
var mapzoom = 17;
var flang = 0;
var ClientInfo=null;
mui.plusReady(function() {
	document.addEventListener("netchange", onNetChange, false);
	em = document.getElementById("map");
	ClientInfo = plus.push.getClientInfo();
	var u = null;
	// 获取窗口对象
	ws = plus.webview.currentWebview();
	if (!hasNetwork()) {
		plus.nativeUI.alert("网络无法链接，请检查网络设置!", function() {

		}, "", "确定");
	} else {

		map = new plus.maps.Map("map", {
			center: new plus.maps.Point(109.41, 24.32),
			zoom: 17
		});
		map.showUserLocation(true);
		userLocation();

		map.onstatuschanged = function(event) {
			console.log("event=" + JSON.stringify(event));
			mapzoom = event.zoom;
			var Bounds = map.getBounds();
			getnetpoints(Bounds.getNorthEase().getLat(), Bounds.getNorthEase().getLng(), Bounds.getSouthWest().getLat(), Bounds.getSouthWest().getLng());
		}

		u = setInterval(function() {
			var Bounds = map.getBounds();
			getnetpoints(Bounds.getNorthEase().getLat(), Bounds.getNorthEase().getLng(), Bounds.getSouthWest().getLat(), Bounds.getSouthWest().getLng());
		}, 60000);

	}

	function hasNetwork() {
		if (!plus.networkinfo) {
			//alert("基座版本不对");
			return true;
		};

		var netinfo = plus.networkinfo,
			type = netinfo.getCurrentType();
		return type == netinfo.CONNECTION_ETHERNET || type == netinfo.CONNECTION_WIFI || type == netinfo.CONNECTION_CELL2G || type == netinfo.CONNECTION_CELL3G || type == netinfo.CONNECTION_CELL4G;
	};

	function onNetChange() {
		if (hasNetwork() && !map) {
			map = new plus.maps.Map("map", {
				center: new plus.maps.Point(109.41, 24.32),
				zoom: 17
			});
			map.showUserLocation(true);
			userLocation();
			map.onstatuschanged = function(event) {
				console.log("event=" + JSON.stringify(event));
				mapzoom = event.zoom;
				var Bounds = map.getBounds();
				getnetpoints(Bounds.getNorthEase().getLat(), Bounds.getNorthEase().getLng(), Bounds.getSouthWest().getLat(), Bounds.getSouthWest().getLng());
			}
			if (!u) {
				clearInterval(u);
			}
			u = setInterval(function() {
				var Bounds = map.getBounds();
				getnetpoints(Bounds.getNorthEase().getLat(), Bounds.getNorthEase().getLng(), Bounds.getSouthWest().getLat(), Bounds.getSouthWest().getLng());
			}, 60000);
		}
	};
});

function userLocation() {
	map.getUserLocation(function(state, pos) {
		if (0 == state) {
			if((pos.getLat()<23.9 || pos.getLat()>26.05 || pos.getLng()<108.53 || pos.getLng()>110.46) && flang==0){
				plus.nativeUI.alert("目前系统只支持查询柳州地区的公共自行车数据!", function() {
					flang=1;
				}, "", "确定");
			}
			else{
				map.centerAndZoom(pos, 17);
			}

			setTimeout(function() {
				var Bounds = map.getBounds();
				getnetpoints(Bounds.getNorthEase().getLat(), Bounds.getNorthEase().getLng(), Bounds.getSouthWest().getLat(), Bounds.getSouthWest().getLng());
			}, 1000);
		}
	});
}
var usermarker;

function getCurrentPosition() {
	plus.geolocation.getCurrentPosition(function(p) {
		console.log("latitude:" + p.coords.latitude + ",longitude:" + p.coords.longitude);
		var point = new plus.maps.Point(p.coords.longitude, p.coords.latitude);

		plus.maps.Map.convertCoordinates(point, {coordType:"wgs84"}, function(event) {
			var pos = new plus.maps.Point(event.coord.longitude, event.coord.latitude);
			if((pos.getLat()<23.9 || pos.getLat()>26.05 || pos.getLng()<108.53 || pos.getLng()>110.46)&&flang==0){
				plus.nativeUI.alert("目前系统只支持查询柳州地区的公共自行车数据!", function() {
					flang=1;
				}, "", "确定");
			}
			else{
				map.centerAndZoom(pos, 17);
			}
			
			if (!usermarker) {
				usermarker = new plus.maps.Marker(pos);
				usermarker.setIcon("../images/UserLocation.png");
				usermarker.setLabel("当前位置");
				map.addOverlay(usermarker);
			} else {
				map.removeOverlay(usermarker);
				usermarker = new plus.maps.Marker(pos);
				usermarker.setIcon("../images/UserLocation.png");
				usermarker.setLabel("当前位置");
				map.addOverlay(usermarker);
			}
			setTimeout(function() {
				var Bounds = map.getBounds();
				getnetpoints(Bounds.getNorthEase().getLat(), Bounds.getNorthEase().getLng(), Bounds.getSouthWest().getLat(), Bounds.getSouthWest().getLng());
			}, 1000);
		});

	}, function(e) {
		alert("Geolocation error: " + e.message);
	}, {
		provider: 'system'
	});
}
var netpoints = [];
var isloading = 0;
var poinstatus = "all"

function getnetpoints(lat, lng, lat2, lng2) {
	console.log("http://api.lznews.gov.cn/api/appuser.ashx?api=getnetpoints&lat=" + lat + "&lng=" + lng + "&lat2=" + lat2 + "&lng2=" + lng2);
	var url = "http://api.lznews.gov.cn/api/appuser.ashx";
	console.log(url);
	if (isloading == 1) return;
	isloading = 1;
	mui.ajax(url, {
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		data: {
			api: "getnetpoints",
			lat: lat,
			lng: lng,
			lat2: lat2,
			lng2: lng2,
			clientid:ClientInfo.clientid
		},
		timeout: 30000, //超时时间设置为10秒；
		success: function(jsdata) {
			if (jsdata.status == 0) {
				console.log("zoom=" + mapzoom);
				for (var i = 0; i < jsdata.data.length; i++) {
					var item = jsdata.data[i];
					console.log(JSON.stringify(item));
					if (!netpoints[item.number]) {
						var img = navigator.userAgent.match(/Android/i) ? "abicycle" : "bicycle";
						var _marker = new plus.maps.Marker(new plus.maps.Point(item.lon, item.lat));
						if (item.rentcount <= 0 && item.restorecount <= 0) {
							_marker.setIcon("../images/" + img + "0.png");
						} else if (item.rentcount > 1 && item.restorecount > 1) {
							_marker.setIcon("../images/" + img + "2.png");
						} else {
							_marker.setIcon("../images/" + img + "1.png");
						}
						if (mapzoom >= 16) {
							_marker.setLabel(item.name);
						}
						var bubble = new plus.maps.Bubble("可租数量：" + item.rentcount + ",可还数量：" + item.restorecount);
						_marker.setBubble(bubble);
						switch (poinstatus) {
							case "all":
								map.addOverlay(_marker);
								break;
							case "idle":
								if (item.rentcount > 1 && item.restorecount > 1) {
									map.addOverlay(_marker);
								}
								break;
							case "full":
								if (item.rentcount > 0 || item.restorecount > 0) {
									map.addOverlay(_marker);
								}
								break;
						}
						netpoints[item.number] = {
							number: item.number,
							title: item.name,
							lon: item.lon,
							lat: item.lat,
							rentcount: item.rentcount,
							restorecount: item.restorecount,
							marker: _marker
						};
					} else {
						var img = navigator.userAgent.match(/Android/i) ? "abicycle" : "bicycle";
						var _marker = new plus.maps.Marker(new plus.maps.Point(item.lon, item.lat));
						if (item.rentcount <= 0 && item.restorecount <= 0) {
							_marker.setIcon("../images/" + img + "0.png");
						} else if (item.rentcount > 1 && item.restorecount > 1) {
							_marker.setIcon("../images/" + img + "2.png");
						} else {
							_marker.setIcon("../images/" + img + "1.png");
						}
						if (mapzoom >= 16) {
							_marker.setLabel(item.name);
						}
						var bubble = new plus.maps.Bubble("可租数量：" + item.rentcount + ",可还数据：" + item.restorecount);
						_marker.setBubble(bubble);

						switch (poinstatus) {
							case "all":
								map.addOverlay(_marker);
								break;
							case "idle":
								if (item.rentcount > 1 && item.restorecount > 1) {
									map.addOverlay(_marker);
								}
								break;
							case "full":
								if (item.rentcount > 0 || item.restorecount > 0) {
									map.addOverlay(_marker);
								}
								break;
						}
						map.removeOverlay(netpoints[item.number].marker);
						netpoints[item.number].number = item.number;
						netpoints[item.number].title = item.name;
						netpoints[item.number].lon = item.lon;
						netpoints[item.number].lat = item.lat;
						netpoints[item.number].rentcount = item.rentcount;
						netpoints[item.number].restorecount = item.restorecount;
						netpoints[item.number].marker = _marker;
					};
				}
				isloading = 0;
			}
		},
		error: function(e, type, message) {
			//alert(message);
		}
	});
}

function setnetpoints(status) {
	netpoints.forEach(function(item) {
		map.removeOverlay(item.marker);
		switch (status) {
			case "all":
				map.addOverlay(item.marker);
				break;
			case "idle":
				if (item.rentcount > 1 && item.restorecount > 1) {
					map.addOverlay(item.marker);
				}
				break;
			case "full":
				if (item.rentcount > 0 || item.restorecount > 0) {
					map.addOverlay(item.marker);
				}
				break;
		}
	});
	poinstatus = status;
	var Bounds = map.getBounds();
	getnetpoints(Bounds.getNorthEase().getLat(), Bounds.getNorthEase().getLng(), Bounds.getSouthWest().getLat(), Bounds.getSouthWest().getLng());
}