(function(C, B) {
	var page = function() {}
	C.extend(page.prototype, B, {
		showWaiting: null,
		UpdateDtask: null,
		isUpdate: false,
		isplus: false,
		plusTitle: "",
		plusContent: "",
		plusShowtype: "",
		plusID: 0,
		index: null,
		PushMessage:[],
		BeforeReady: function() {
			var that = this;
			plus.screen.lockOrientation("portrait-primary");
			that.index = plus.webview.create("index.html", "index", {
				top: 0,
				bottom: 0,
				popGesture:"none"
			});
			
			that.index.addEventListener("loaded", function() {
				jQuery("#close").show();
			});
			console.log(plus.push.getClientInfo().clientid);
			console.log(plus.push.getClientInfo().token);
			// 监听点击消息事件
			plus.push.addEventListener("click", function(msg) {
				that.isplus = true;
				if (plus.os.name == "iOS") {
					that.plusTitle = msg.title;
					that.plusContent = msg.content;
					that.plusShowtype = msg.payload.showtype;
					that.plusID = msg.payload.id
					
				} else {
					that.plusTitle = msg.title;
					that.plusContent = msg.content;
					var payload = JSON.parse(msg.payload);
					that.plusShowtype = payload.showtype;
					that.plusID = payload.id
				}
			}, false);
			// 监听在线消息事件
			plus.push.addEventListener("receive", function(msg) {
				that.isplus = true;
				if (plus.os.name == "iOS") {
					that.plusTitle = msg.title;
					that.plusContent = msg.content;
					
					that.plusShowtype = msg.payload.showtype;
					that.plusID = msg.payload.id
				} else {
					that.plusTitle = msg.title;
					that.plusContent = msg.content;
					var payload = JSON.parse(msg.payload);
					that.plusShowtype = payload.showtype;
					that.plusID = payload.id
				}
				that.index.evalJS("plushCommand('" + that.plusTitle + "','" + that.plusContent + "','" + that.plusShowtype + "'," + that.plusID + ");");
			}, false);

			plus.runtime.getProperty(plus.runtime.appid, function(inf) {
				that.DB_VERSION = inf.version;
				console.log("当前应用版本：" + that.DB_VERSION);
				if (that.isWIFI()) {
					that.checkUpdate();
				} else {
					that.ready();
				}
			});
		},
		checkUpdate: function() {
			var that = this;			
			mui.ajax(that.jsonp_Server+"api/mobileappapi.ashx?api=update", {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				data: {
					DB_VERSION: that.DB_VERSION,
					OS: plus.os.name
				},
				timeout: 2000, //超时时间设置为10秒；
				success: function(jsonData) {
					var JumpOverUpdate =  that.getItem(that.cacheKey.JumpOverUpdate)||0;
					if(that.isIOS()){
						that.setItem(that.cacheKey.isAutoLogin,jsonData.isShowQQ&&jsonData.isShowQQ==1?1:0);
					}
					if (JumpOverUpdate!=jsonData.VERSION && parseFloat(jsonData.VERSION.replace(/\./ig,"")) > parseFloat(that.DB_VERSION.replace(/\./ig,"")) ) {
						plus.nativeUI.confirm("检测到柳州1号有新的版本，是否现在更新?", function(e) {
							if (e.index == 0) {
								if (that.isAndroid()) {
									that.isUpdate = true;
									if(that.cacheKey.isUpdateError&&that.getItem(that.cacheKey.isUpdateError)&&that.getItem(that.cacheKey.isUpdateError)==1){
										plus.runtime.openURL("http://a.app.qq.com/o/simple.jsp?pkgname=cn.com.lbnews.lbrb");
										that.showWaiting.close();										
									}
									else{
										that.downUpdatePack(jsonData.Update);
									}
								} else {									
									plus.runtime.openURL("https://itunes.apple.com/us/app/lai-bin-ri-bao/id1093384832?l=zh&ls=1&mt=8");
									that.ready();
								}
							} else if(e.index == 1) {
								that.ready();
							}
							else{
								that.setItem(that.cacheKey.JumpOverUpdate,jsonData.VERSION);
								that.ready();
							}
						}, "", ["立即更新", "下次更新","跳过此版本"]);
					} else {
						that.ready();
					}
				},
				error: function(xhr, type, errorThrown) {
					that.ready();
				}
			});
		},
		downUpdatePack: function(fileurl) {
			var that = this;
			//plus.nativeUI.showWaiting("下载wgt文件...");
			plus.io.requestFileSystem(plus.io.PUBLIC_DOWNLOADS, function(fs) {
				that.fileSystemAPI = fs;
				//alert(fs.root.fullPath + "update/H523CBA8D.wgt");
				that.UpdateDtask = plus.downloader.createDownload(fileurl, {
					filename: "_doc/update/",
					timeout: 600,
					priority: 9
				}, function(d, status) {
					if (status == 200) {
						d.abort();
						console.log("下载wgt成功：" + d.filename);
						plus.cache.clear(function() {
							if (!that.fileSystemAPI) {
								plus.io.requestFileSystem(plus.io.PUBLIC_DOWNLOADS, function(fs) {
									that.fileSystemAPI = fs;
									that.fileSystemAPI.root.removeRecursively(function(entry) {});
								});
							} else {
								that.fileSystemAPI.root.removeRecursively(function(entry) {});
							}
							that.installWgt(d.filename); // 安装wgt包
						});
						
					} else {
						that.showWaiting.close();
					}
				});
				that.UpdateDtask.addEventListener("statechanged", function(task, status) {
					if (!that.UpdateDtask) {
						return;
					}
					switch (task.state) {
						case 1: // 开始
							that.showWaiting.setTitle("开始下载");
							break;
						case 2: // 已连接到服务器
							that.showWaiting.setTitle("已连接到服务器");
							break;
						case 3: // 已接收到数据
							that.showWaiting.setTitle("已接收到数据" + Math.ceil(task.downloadedSize * 100 / task.totalSize) + "%");
							break;
						case 4: // 下载完成
							that.isUpdate = false;
							that.showWaiting.close();
							break;
					}
				});
				that.UpdateDtask.start();
				that.showWaiting = plus.nativeUI.showWaiting("开始下载", {
					"background": "rgba(0,0,0,0.8)",
					"modal": false
				});
				that.showWaiting.onclose = function() {
					if (that.isUpdate) {
						that.UpdateDtask.pause();
						that.UpdateDtask.abort();
						that.UpdateDtask = null;
						that.isUpdate = false;
						that.ready();
					}
				}
			});
		},
		// 更新应用资源
		installWgt: function(path) {
			var that=this;
			plus.runtime.install(path, {}, function() {
				//plus.runtime.restart();
			}, function(err) {
				that.setItem(that.isUpdateError,1);
				plus.runtime.openURL("http://a.app.qq.com/o/simple.jsp?pkgname=cn.com.lbnews.lbrb");
				that.showWaiting.close();
			});
		},
		ready: function() {
			var that = this;
			var _time = null;
			jQuery("body").addClass("image");
			
			jQuery("body").css("background-image","url("+ that.jsonp_Server +"images/splashscreen.jpg?no-cache="+ Math.random() +")");
			_time = setTimeout(function() {
				that.index.show("slide-in-right", 500, function() {
					if (that.isplus) {		
						console.log('plushCommand("' + that.plusTitle + '","' + that.plusContent + '","' + that.plusShowtype + '","' + that.plusID + '");');
						alert(123);
						that.index.evalJS('plushCommand("' + that.plusTitle + '","' + that.plusContent + '","' + that.plusShowtype + '","' + that.plusID + '");');
						
					}
					else{
						that.index.evalJS("window.page.plusDaily();");
					}
				});
			}, 3500);
			document.getElementById("close").addEventListener("tap", function() {
				if (_time) {
					clearTimeout(_time);
				}
				that.index.show("slide-in-right", 500, function() {
					if (that.isplus) {
						that.index.evalJS("plushCommand('" + that.plusTitle + "','" + that.plusContent + "','" + that.plusShowtype + "'," + that.plusID + ");");
					}
					else{
						that.index.evalJS("window.page.plusDaily();");
					}
				});
			});
		}
	});
	window.page = new page();
	if (window.plus) {
		window.page.BeforeReady();
		return;
	}
	mui.plusReady(function() {
		window.page.BeforeReady();
	})
})(lznews, lznews.basepage);