(function(C, B) {
	var page = function() {}
	C.extend(page.prototype, B, {
		mobile: null,
		showmobile: null,
		txtCode: null,
		bntCode: null,
		txtPassword: null,
		txtNickname: null,
		isClick: true,
		ClickTime: 0,
		_interval: null,
		formpage: [],
		ClientInfo: null,
		token: null,
		websynlogin: null,
		webparent: null,
		BeforeReady: function() {
			var that = this;
			that.formpage = document.querySelectorAll(".page");
			that.mobile = document.getElementById("txtMobile");
			that.showmobile = document.querySelector(".showmobile");
			that.txtCode = document.getElementById("txtCode");
			that.bntCode = document.getElementById("bntCode");
			that.txtPassword = document.getElementById("txtPassword");
			that.txtNickname = document.getElementById("txtNickname");
			that.ClientInfo = plus.push.getClientInfo();
			if (plus.webview.currentWebview().parentPage) {
				that.webparent = plus.webview.getWebviewById(plus.webview.currentWebview().parentPage);
			}

			//获取验证码
			that.bntCode.addEventListener("tap", function() {
				if (that.isClick) {
					that.isClick = false;
					that.ClickTime = 60;
					that._interval = setInterval(function() {
						if (that.ClickTime > 0) {
							that.ClickTime--;
							that.bntCode.innerHTML = "获取邀请码(" + that.ClickTime + ")";
						} else {
							that.isClick = true;
							clearInterval(that._interval);
							that.bntCode.innerHTML = "获取邀请码";
						}
					}, 1000);
					that.getSMSCode();
				} else {
					return;
				}
			}, false);
			document.getElementById("register").addEventListener("tap", function() {
				that.createMobile();
			});
		},
		_goto: function(num) {
			var that = this;
			if (num == 1) {
				that.checkMobile();
			} else if (num == 0) {
				that.formpage[0].style.display = "block";
				that.formpage[1].style.display = "none";
			} else if (num == 2) {
				that.checkSMSCode();
			}
		},
		checkMobile: function() {
			var that = this;
			if (that.mobile.value == "") {
				plus.nativeUI.alert("请输入您的手机号码!", function() {
					that.mobile.focus();
				}, "", "确定");
				return false;
			}
			var myreg = /^(((13[0-9]{1})|(14[0-9]{1})|(15[0-9]{1})|(18[0-9]{1}))+\d{8})$/;
			if (!myreg.test(that.mobile.value)) {
				plus.nativeUI.alert("输入的手机号码格式不正确!", function() {
					that.mobile.focus();
				}, "", "确定");
				return false;
			}
			var waiting = plus.nativeUI.showWaiting("验证信息...");
			mui.ajax(that.jsonp_Server + "api/appuser.ashx", {
				data: {
					api: "checkmobile",
					mobile: that.mobile.value
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 30000, //超时时间设置为10秒；
				success: function(data) {
					if (data.status == 0) {
						waiting.setTitle("手机号码可以注册！");
						setTimeout(function() {
							waiting.close();
							that.formpage[0].style.display = "none";
							that.showmobile.innerHTML = that.mobile.value;
							that.formpage[1].style.display = "block";
						}, 500)
					} else {
						waiting.setTitle(data.error);
						setTimeout(function() {
							waiting.close();
						}, 500)
					}
				},
				error: function(xhr, type, errorThrown) {
					waiting.setTitle("服务器未知错误");
					setTimeout(function() {
						waiting.close();
					}, 500)
				}
			})
		},
		//获取手机邀请码
		getSMSCode: function() {
			var that = this;
			that.token = null;
			mui.ajax(that.jsonp_Server + "api/appuser.ashx", {
				data: {
					api: "getmobilesms",
					mobile: that.mobile.value,
					clientid: that.ClientInfo.clientid
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 30000, //超时时间设置为10秒；
				success: function(data) {
					console.log(JSON.stringify(data));
					if (data.status == 0) {
						that.token = data.token;
						console.log(that.token);
					} else {
						plus.nativeUI.alert(data.error, function() {}, "", "确定");
						that.isClick = true;
						clearInterval(that._interval);
						that.bntCode.innerHTML = "获取邀请码";
					}
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.alert("未知的服务器错误!", function() {}, "", "确定");
					that.isClick = true;
					clearInterval(that._interval);
					that.bntCode.innerHTML = "获取邀请码";
				}
			});
		},
		//验证手机邀请码
		checkSMSCode: function() {
			var that = this;
			if (!that.token) {
				plus.nativeUI.alert("请先获取手机邀请码", function() {}, "", "确定");
				return;
			}
			if (that.txtCode.value == "") {
				plus.nativeUI.alert("请输入注册邀请码", function() {}, "", "确定");
				return;
			}
			mui.ajax(that.jsonp_Server + "api/appuser.ashx", {
				data: {
					api: "checkmobilesms",
					mobile: that.mobile.value,
					clientid: that.ClientInfo.clientid,
					code: that.txtCode.value,
					token: that.token
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 30000, //超时时间设置为10秒；
				success: function(data) {
					if (data.status == 0) {
						that.formpage[1].style.display = "none";
						that.formpage[2].style.display = "block";
					} else {
						that.token = null;
						plus.nativeUI.alert(data.error, function() {}, "", "确定");
					}
				},
				error: function(xhr, type, errorThrown) {
					plus.nativeUI.alert("未知的服务器错误!", function() {}, "", "确定");
					that.isClick = true;
					clearInterval(that._interval);
					that.bntCode.innerHTML = "获取邀请码";
				}
			});
		},
		createMobile: function() {
			var that = this;
			if (that.txtPassword.value == "") {
				plus.nativeUI.alert("请输入登陆密码!", function() {}, "", "确定");
				return false;
			}
			if (that.txtPassword.value.length < 6) {
				plus.nativeUI.alert("密码长度不能小于6位!", function() {}, "", "确定");
				return false;
			}
			var waiting = plus.nativeUI.showWaiting("正在保存信息...");
			mui.ajax(that.jsonp_Server + "api/appuser.ashx", {
				data: {
					api: "createmobile",
					mobile: that.mobile.value,
					clientid: that.ClientInfo.clientid,
					code: that.txtCode.value,
					token: that.token,
					nickname: that.txtNickname.value,
					password: that.txtPassword.value
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 30000, //超时时间设置为10秒；
				success: function(data) {
					if (data.status == 0) {
						that.reload();
						that.setItem(that.cacheKey.access_type, "mobile");
						that.setItem(that.cacheKey.access_token, "");
						that.setItem(that.cacheKey.access_code, "");
						that.setItem(that.cacheKey.access_expires_in, 9999);
						that.setItem(that.cacheKey.access_uc_token, data.token);
						that.setItem(that.cacheKey.access_uc_loginName, that.mobile.value);
						waiting.setTitle("登陆成功");
						that.synlogin(data.token, data.userinfor.nickname, data.userinfor.figureurl);
					} else {
						waiting.setTitle(data.error);
						setTimeout(function() {
							waiting.close();
						}, 500);
					}
				},
				error: function() {
					waiting.setTitle("服务器未知错误");
					setTimeout(function() {
						waiting.close();
					}, 500)
				}
			});
		},
		synlogin: function(token, nickname, figureurl) {
			var that = this;
			if (that.websynlogin) {
				that.websynlogin.close();
				that.websynlogin = null;
			}
			plus.nativeUI.closeWaiting();
			var usermanu = plus.webview.getWebviewById("user/index-menu");
			figureurl=figureurl==""?"../images/noavatar_middle.gif":figureurl;
			usermanu.evalJS("window.page.setUserInfor('" + nickname + "','" + figureurl + "');");
			if (that.webparent) {
				that.webparent.hide("none", 0);
			}
			plus.webview.currentWebview().hide("slide-out-right");
		},
		reload: function() {
			var that = this;
			for (var i = 1; i < that.formpage.length; i++) {
				that.formpage[i].style.display = "none";
			}
			that.formpage[0].style.display = "block";
			that.mobile.value = "";
			that.txtCode.value = "";
			that.txtNickname.value = "";
			that.txtPassword.value = "";
			that.token = null;
		}
	});
	window.page = new page();
	document.addEventListener("plusready", function() {
		setTimeout(function() {
			window.page.BeforeReady();
		}, 100);
	});
})(lznews, lznews.basepage);