(function(C, B) {
	var page = function() {}
	C.extend(page.prototype, B, {
		mainWebview: null,
		auths: {},
		websynlogout: null,
		websynlogin: null,
		userICO: null,
		userNickname: null,
		bntLogout: null,
		cLogin: null,
		ClientInfo: null,
		isSignining:false,
		BeforeReady: function() {
			var that = this;
			that.ClientInfo = plus.push.getClientInfo();
			var span = jQuery(".userinfor span");
			that.userICO = span.eq(0);
			that.userNickname = span.eq(1);
			that.mainWebview = plus.webview.getWebviewById("index");
			//初使化第三方登陆验证
			that.initAuths();

			mui(".userinfor").on("tap", "span", function() {
					if (!that.getItem(that.cacheKey.access_uc_token) || that.getItem(that.cacheKey.access_uc_token) == "") {
						that.mainWebview.evalJS("showotherPage('otherpage','home-login','user/home-login.html','会员登陆');");
					}
				})
				//添加用户菜单事件
			mui("#menubtn").on("tap", "a", function() {
				var to = this.getAttribute("to");
				switch (to) {
					case "shouchang":
						setTimeout(function() {
							that.mainWebview.evalJS("showshouchang();");
						}, 200);
						break;
					case "baoliao":
						setTimeout(function() {
							that.mainWebview.evalJS("showBaoliao();");
						}, 200);
						break;
					case "chengguan":
						setTimeout(function() {
							that.mainWebview.evalJS("showChengGuan();");
						}, 200);
						break;
					case "fankui":
						setTimeout(function() {
							that.mainWebview.evalJS("showFanKui();");
						}, 200);
						break;
					case "search":
						setTimeout(function() {
							that.mainWebview.evalJS("showsearch();");
						}, 200);
						break;
				}
			});
			that.bntLogout = document.getElementById("bntlogout");
			that.bntLogout.addEventListener("tap", function() {
				that.logout();
			}, false);
		},
		initAuths: function() {
			var that = this;
			var isUseAauth = that.getItem(that.cacheKey.isUseAauth);
			var access_type = that.getItem(that.cacheKey.access_type);
			if (isUseAauth && isUseAauth == 1 && access_type && (access_type == "qq" || access_type == "weixin" || access_type == "sinaweibo")) {
				that.auths = {};
				plus.oauth.getServices(function(services) {
					for (var i in services) {
						var service = services[i];
						that.auths[service.id] = service;
					}
					that.login(access_type);
				});
			} else {
				var access_uc_token = that.getItem(that.cacheKey.access_uc_token);
				if ((access_type == "home" || access_type == "mobile") && access_uc_token) {
					that.loginhomefortoken();
				} else {
					that.logout();
				}
			}
		},
		login: function(id) {
			var that = this;
			var auth = that.auths[id];
			if (auth) {
				try {
					auth.login(function() {
							console.log("登录认证成功：" + id);
							//console.log(auth.authResult);
							if (auth.authResult) {
								console.log(JSON.stringify(auth.authResult));
								//that.access_type = id;
								that.setItem(that.cacheKey.access_type, id);
								if (id == "sinaweibo") {
									that.setItem(that.cacheKey.access_token, auth.authResult.token);
									that.setItem(that.cacheKey.access_expires_in, auth.authResult.expires_time);
								} else {
									that.setItem(that.cacheKey.access_token, auth.authResult.access_token);
									that.setItem(that.cacheKey.access_expires_in, auth.authResult.expires_in);
									if (auth.authResult.code) {
										that.setItem(that.cacheKey.access_code, auth.authResult.code);
									}
								}
							}
							var access_token = that.getItem(that.cacheKey.access_token);
							var url = that.jsonp_Server + "api/appuser.ashx";
							auth.getUserInfo(function() {
								if (auth.id == "qq") {
									//that.setUserInfor(auth.userInfo.nickname, auth.userInfo.figureurl_1);
									console.log(JSON.stringify(auth.userInfo));
									mui.ajax(url, {
										data: {
											api: "qqregister",
											access_token: access_token,
											nickname: auth.userInfo.nickname,
											figureurl: auth.userInfo.figureurl_1,
											clientid: that.ClientInfo.clientid
										},
										dataType: 'json', //服务器返回json格式数据
										type: 'post', //HTTP请求类型
										timeout: 60000, //超时时间设置为10秒；
										success: function(data) {
											console.log(JSON.stringify(data));
											if (data.status == 0) {
												that.setItem(that.cacheKey.access_uc_token, data.token);
												that.synlogin(data.token, auth.userInfo.nickname, auth.userInfo.figureurl_1);
											} else {
												clearTimeout(that.cLogin);
												plus.nativeUI.closeWaiting();
												that.clearAccesstoken();
												that.showAlert(data.error);
											}
										},
										error: function(xhr, type, errorThrown) {
											console.log(errorThrown);
											that.clearAccesstoken();
											clearTimeout(that.cLogin);
											plus.nativeUI.closeWaiting();
										}
									});
								} else if (auth.id == "weixin") {
									console.log(JSON.stringify(auth.userInfo));
									//that.setUserInfor(auth.userInfo.nickname, auth.userInfo.headimgurl);
									mui.ajax(url, {
										data: {
											api: "weixinregister",
											access_token: auth.authResult.access_token,
											openid: auth.userInfo.openid,
											clientid: that.ClientInfo.clientid
										},
										dataType: 'json', //服务器返回json格式数据
										type: 'post', //HTTP请求类型
										timeout: 60000, //超时时间设置为10秒；
										success: function(data) {
											console.log(JSON.stringify(data));
											if (data.status == 0) {
												that.setItem(that.cacheKey.access_uc_token, data.token);
												that.synlogin(data.token, auth.userInfo.nickname, auth.userInfo.headimgurl);
											} else {
												clearTimeout(that.cLogin);
												plus.nativeUI.closeWaiting();
												that.clearAccesstoken();
												that.showAlert(data.error);
											}
										},
										error: function(xhr, type, errorThrown) {
											console.log(errorThrown);
											clearTimeout(that.cLogin);
											that.clearAccesstoken();
											plus.nativeUI.closeWaiting();
										}
									});
								} else if (auth.id == "sinaweibo") {
									console.log(JSON.stringify(auth.userInfo));
									//that.setUserInfor(auth.userInfo.nickname, auth.userInfo.headimgurl);
									mui.ajax(url, {
										data: {
											api: "sinaweiboregister",
											access_token: auth.authResult.token,
											openid: auth.authResult.uid,
											clientid: that.ClientInfo.clientid
										},
										dataType: 'json', //服务器返回json格式数据
										type: 'post', //HTTP请求类型
										timeout: 60000, //超时时间设置为10秒；
										success: function(data) {
											console.log(JSON.stringify(data));
											if (data.status == 0) {
												that.setItem(that.cacheKey.access_uc_token, data.token);
												that.synlogin(data.token, auth.userInfo.name, auth.userInfo.avatar_hd);
											} else {
												clearTimeout(that.cLogin);
												plus.nativeUI.closeWaiting();
												that.clearAccesstoken();
												that.showAlert(data.error);
											}
										},
										error: function(xhr, type, errorThrown) {
											console.log(errorThrown);
											clearTimeout(that.cLogin);
											that.clearAccesstoken();
											plus.nativeUI.closeWaiting();
										}
									});
								}
							});
							//userinfo(auth);
						},
						function(e) {
							console.log("登录认证失败：");
							console.log("[" + e.code + "]：" + e.message);
							clearTimeout(that.cLogin);
							that.clearAccesstoken();
							plus.nativeUI.closeWaiting();
						});
				} catch (ex) {
					plus.nativeUI.closeWaiting();
					clearTimeout(that.cLogin);
					that.clearAccesstoken();
					console.log(ex);
				}
			} else {
				clearTimeout(that.cLogin);
				plus.nativeUI.closeWaiting();
				console.log("无效的登录认证通道！");
				console.log("无效的登录认证通道！", null, "登录");
				that.clearAccesstoken();
			}
		},
		clearAccesstoken: function() {
			var that = this;
			that.remove(that.cacheKey.access_type);
			that.remove(that.cacheKey.access_token);
			that.remove(that.cacheKey.access_code);
			that.remove(that.cacheKey.access_expires_in);
			that.remove(that.cacheKey.access_uc_token);
		},
		loginhomefortoken: function() {
			var that = this;
			var url = that.jsonp_Server + "api/appuser.ashx";
			var access_uc_token = that.getItem(that.cacheKey.access_uc_token);
			if (access_uc_token && access_uc_token != "") {
				console.log(access_uc_token);
				mui.getJSON(url, {
					api: "homeloginfortoken",
					token: access_uc_token,
					clientid: that.ClientInfo.clientid
				}, function(data) {
					console.log(JSON.stringify(data));
					if (data.status == 0) {
						console.log("uc令牌登陆成功");
						that.synlogin(access_uc_token, data.userInfo.nickname, data.userInfo.figureurl);
					} else {
						that.clearAccesstoken();
					}
				});
			}
		},
		setUserInfor: function(nickname, figureurl) {
			var that = this;
			that.userICO.removeClass("mui-icon");
			that.userICO.removeClass("mui-icon-contact");
			that.userICO.html("<img src='" + figureurl + "' onerror=\"this.onerror=null;this.src='../images/user-photo.png';\"  width='80'>");
			that.userNickname.html(nickname);

			jQuery(".bnt-login-label").hide();
			jQuery(".bnt-login").hide();
			jQuery(".figureurl").addClass("margin120");
			jQuery(".nickname").addClass("margin120");			
			jQuery(that.bntLogout).show();		
			that.loadSignin();
		},
		loadSignin:function(){
			var that = this;
			var access_uc_token = that.getItem(that.cacheKey.access_uc_token);
			var url =that.jsonp_Server + "api/appuser.ashx";
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				data: {
					api: "checksignin",
					token: access_uc_token
				},
				timeout: 30000, //超时时间设置为10秒；
				success: function(data) {
					console.log(JSON.stringify(data));
					if(data.status==0){
						jQuery(".Signin").show();
						that.isSignining=false;
						jQuery(".Signin").bind("click",function(){
							if(that.isSignining){
								return;
							}							
							that.isSignining=true;
							jQuery(".Signin").addClass("SigninAnimation");
							that.Signin();
						})
					}
					if(data.status>=0){
						jQuery(".myintegral span").html(data.integral.toString());
						jQuery(".myintegral").show();
					}
				}
			});
		},
		Signin:function(){			
			var that = this;
			var access_uc_token = that.getItem(that.cacheKey.access_uc_token);
			var url =that.jsonp_Server + "api/appuser.ashx";
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				data: {
					api: "signin",
					token: access_uc_token
				},
				timeout: 30000, //超时时间设置为10秒；
				success: function(data) {
					console.log(JSON.stringify(data));
					if(data.status==0){
						jQuery(".Signin").unbind("click");
						jQuery(".integral").html("+"+data.integral.toString());
						jQuery(".integral").show();
						setTimeout(function(){
							jQuery(".integral").hide();
							jQuery(".Signin").removeClass("SigninAnimation");
							jQuery(".Signin").hide();
						},1000);
						var integral=parseInt(jQuery(".myintegral span").html());
						jQuery(".myintegral span").html((integral + data.integral).toString());
					}
					else{
						mui.toast(data.message);
						jQuery(".Signin").removeClass("SigninAnimation");
					}
					that.isSignining=false;
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					mui.toast('发生网络错误，请稍后重试!');
				}
			});
		},
		synlogin: function(token, nickname, figureurl) {
			var that = this;
			if (that.websynlogin) {
				that.websynlogin.close();
				that.websynlogin = null;
			}
			clearTimeout(that.cLogin);
			plus.nativeUI.closeWaiting();
			figureurl = figureurl == "" ? "../images/noavatar_middle.gif" : figureurl;
			that.setUserInfor(nickname, figureurl,0);
		},
		logout: function() {
			var that = this;
			var access_uc_token = that.getItem(that.cacheKey.access_uc_token);
			if (access_uc_token && access_uc_token != "") {
				plus.nativeUI.showWaiting("正在注销登陆凭证");
				plus.nativeUI.closeWaiting();
				that.clearAccesstoken();
				that.userICO.addClass("mui-icon");
				that.userICO.addClass("mui-icon-contact");
				that.userICO.html("");
				that.userNickname.html("未登陆");
				jQuery(".bnt-login-label").show();
				jQuery(".bnt-login").show();
				jQuery(that.bntLogout).hide();
				jQuery(".Signin").hide();
				jQuery(".Signin").unbind("click");
				jQuery(".figureurl").removeClass("margin120");
				jQuery(".nickname").removeClass("margin120");	
				jQuery(".myintegral span").html("0");
				jQuery(".myintegral").hide();
			} else {
				that.remove(that.cacheKey.access_type);
				that.remove(that.cacheKey.access_token);
				that.remove(that.cacheKey.access_code);
				that.remove(that.cacheKey.access_expires_in);
				that.remove(that.cacheKey.access_uc_token);
				that.userICO.addClass("mui-icon");
				that.userICO.addClass("mui-icon-contact");
				that.userICO.html("");
				that.userNickname.html("未登陆");
				jQuery(".bnt-login-label").show();
				jQuery(".bnt-login").show();
				jQuery(that.bntLogout).hide();
			}
		},
		close: function() {
			mui.currentWebview.opener().evalJS("closeUserMenu();");
		}
	});
	window.page = new page();
	document.addEventListener("plusready", function() {
		setTimeout(function() {
			window.page.BeforeReady();
		}, 100);
	});
})(lznews, lznews.basepage);
//回退事件
mui.back = function() {
	window.page.close();
}