var slider,
	theDate,
	theBaokan,
	serverUrl,
	showpage = null,
	showpagesub = null,
	pageJsonData;
(function(C, B) {
	var page = function() {};
	C.extend(page.prototype, B, {
		ClientInfo: null,
		OnReady: function() {
			var that = this,
				doc = document,
				webview = plus.webview;

			that.ClientInfo = plus.push.getClientInfo();
			//显示页模板
			showpage = mui.preload({
				id: "lzrb-news-template",
				url: "news-template.html",
				extras: {
					title: "来宾日报",
					name: plus.webview.currentWebview().name,
					sub: "lzrb-showpagesub",
					theDate: theDate
				},
				styles: {
					zindex: 6,
					popGesture: "hide"
				}
			});
			slider = mui("#slider");
			document.querySelector('.mui-slider').addEventListener('slide', function(event) {
				jQuery(".mui-table-view a.active").removeClass("active");
				jQuery(".mui-table-view a").eq(event.detail.slideNumber).addClass("active");
			});
			mui("#slider").on("tap", "a", function() {
				openBanMian(this.getAttribute("banmian"), this.getAttribute("channel"), "", this.getAttribute("newsid"), this.getAttribute("title"));
			});
			that.init(function() {
				var _date = plus.webview.currentWebview().date;
				var _fdate = "";
				if (_date) {
					//var unixTimestamp = new Date(parseInt(_date) * 1000);
					var unixTimestamp = new Date(_date.replace(/-/g, "\/"));
					_fdate = unixTimestamp.format("yyyy-MM-dd");
				}
				setTimeout(function() {
					getDzbImgList(_fdate);
				}, 200);
			});
			//jQuery(".mui-popover .mui-table-view").css("max-height", win_height - 100);
		}
	});
	window.page = new page();
	if (window.plus) {
		window.page.OnReady();
		return;
	}
	document.addEventListener("plusready", function() {
		window.page.OnReady();
	});
})(lznews, lznews.basepage);
Date.prototype.format = function(format) {
	var o = {
		"M+": this.getMonth() + 1, //month 
		"d+": this.getDate(), //day 
		"h+": this.getHours(), //hour 
		"m+": this.getMinutes(), //minute 
		"s+": this.getSeconds(), //second 
		"q+": Math.floor((this.getMonth() + 3) / 3), //quarter 
		"S": this.getMilliseconds() //millisecond 
	}
	if (/(y+)/.test(format)) {
		format = format.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
	}
	for (var k in o) {
		if (new RegExp("(" + k + ")").test(format)) {
			format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
		}
	}
	return format;
}
var win_width = jQuery(window).width();
var win_height = (jQuery(window).height() - 50);
var imgList;

function refpage() {
	var _date = plus.webview.currentWebview().date;
	//var unixTimestamp = new Date(parseInt(_date) * 1000);
	var unixTimestamp = new Date(_date.replace(/-/g, "\/"));
	var _fdate = unixTimestamp.format("yyyy-MM-dd");
	if (theDate != "" && theDate != _fdate) {
		getDzbImgList(_fdate);
	}
}
// 根据日期获取电子报的列表图片
// 参数:riqi  日期格式2014-11-18

function getDzbImgList(riqi) {
	var that = window.page;
	console.log("riqi=" + riqi);
	document.getElementById("more").style.display = "none";
	plus.webview.currentWebview().setStyle({
		opacity: 0
	});
	console.log("开始请求日报" + riqi)
	var url = that.epaper_server + "appapi/mpapi.ashx";
	console.log("开始请求日报" + url);
	var data = {
		api: "baozi",
		execute: "bmlist",
		pubdate: riqi,
		cache:Math.random()
	};
	mui.getJSON(url, data, function(jsondata) {
		console.log("数据：" +JSON.stringify(jsondata) );
		pageJsonData = jsondata;
		var tempHtml = '';
		var result = '';
		var bl = '';
		if (jsondata) {
			theDate = jsondata.pubdate;
			plus.webview.getWebviewById("dzbindex-menu").evalJS("setDate('" + jsondata.pubdate + "');");
			for (i in jsondata.pages) {
				var item = jsondata.pages[i];
				var stitle = item.channel;
				var thumb = that.epaper_server + item.PAGEIMGLINK;
				var imgid = 'images' + i;
				tempHtml = '<div id="' + imgid + '" class="mui-slider-item mui-control-content"><div style="position:relative;overflow: hidden;">';
				tempHtml += '<img page="' + i + '"  lazyload="' +  thumb + '" riqi="' + jsondata.pubdate + '" banmian="' + item.pagename + '" src="../images/default.png" class="noImage" title="' + stitle + '"  style="width:auto;"  usemap="#PagePicMap"  border="0">';
				tempHtml += '</div></div>';
				result += tempHtml;
				bl += "<li class=\"mui-table-view-cell\"><a href=\"#\" num=\"" + i + "\" class=\"" + (i == 0 ? "active" : "") + "\">" + item.pagename + "</a></li>"
			}
			//console.log(result);
			document.getElementById("sliderlist").innerHTML = result;
			document.getElementById("popoverItems").innerHTML = bl;
			imgList = jQuery("#sliderlist img");
			plus.webview.currentWebview().setStyle({
				opacity: 1
			});
			slider.slider().gotoItem(0);
			getData(0);
		}
	});
}

function getData(i) {
	if(i==imgList.length){
		plus.webview.getWebviewById("dzbindex-menu").evalJS("refresh();");
		return;
	}
	var obj = imgList.eq(i);
	var srcImg = obj.attr("lazyload") + '';
	var riqi = obj.attr("riqi") + '';
	var dstImg =  riqi.replace(/-/ig, '') + "_" + obj.attr("banmian") + "_small" + srcImg.substr(srcImg.lastIndexOf("."));
	console.log(dstImg);
	window.page.downLoadFile({
		"imgObj": obj,
		"folderPath": "NewspaperImg/",
		"srcImg": srcImg,
		"dstImg": dstImg,
		"success": function(options, flag, d) {
			var imgObj = options.imgObj;
			imgObj.removeAttr("lazyload");
			var url = window.page.fileSystemAPI.root.fullPath + (window.page.isIOS() ? "/" : "") + options.folderPath + options.dstImg;
			imgObj.attr("src", url);

			//imgObj.css("opacity",0);
			imgObj.on("load", function() {				
				imgObj.width(win_width);
				var sheight = parseInt(imgObj.height());
				console.log(win_width+","+sheight);
				var clist = "";
				var i = parseInt(imgObj.attr("page"));
				var jdata = pageJsonData.pages[i].News;
				//console.log(JSON.stringify(jdata));
				for (var k in jdata) {
					var it = jdata[k];            

		            var _x = Math.floor((win_width * it.poinX) / 100);
		            var _y = Math.floor((sheight * it.poinY) / 100)
		            var _w = Math.ceil((win_width * it.width) / 100) - _x;
		            var _h = Math.ceil((sheight * it.height) / 100)-_y;
					clist += "<a  newsid='" + it.id + "'  banmian='" + imgObj.attr("banmian") + "' title='" + it.title + "' channel='" + imgObj.attr("title") + "'  style='left:" + _x + "px;top:" + _y + "px;width:" + _w +"px;height:" + _h + "px;z-index:" +_h + ";'></a>"
				}
				imgObj.after(clist);
				//imgObj.css("opacity",1);
				if (i == 1) {
					document.getElementById("more").style.display = "block";
					jQuery(".mui-popover .mui-table-view").css("max-height", win_height - 100);
				}
				if (i < imgList.length) {
					getData(i + 1);
				}
				
			});
		},
		"error": function() {}
	});
}
// 初始化数据
/**
 * 转化为数字小于10的就为0+数字，大于10的那么就
 * @param Object data
 */

function openBanMian(banmian, channel, url, newsid, title) {
	if (showpagesub) {
		showpagesub.close();
		showpagesub = null;
	}
	var that=window.page;
	
	showpage.evalJS("setPageTitle('来宾日报-" + channel + "');");
	showpage.evalJS("window.page.setShareInfor('" + newsid + "','" + encodeURI(title + "-来宾日报-" + theDate) + "','/images/logo.png');");
	//console.log("url="+ url);
	showpagesub = plus.webview.create(that.jsonp_Server + "epaper/show.aspx?id=" + newsid + "&formapp=1", "lzrb-showpagesub", {
		top: "45px",
		bottom: "55px",
		opacity: 0
	}, {
		baokan: "lzrb",
		banmian: banmian,
		riqi: theDate,
		url: url
	});
	showpagesub.addEventListener("loaded", onBrowserLoading, false);
	showpage.append(showpagesub);
	showpagesub.setStyle({
		opacity: 0,
		transition: {
			duration: 0
		}
	});
	showpage.show('slide-in-right', 200);
}

function onBrowserLoading() {
	showpagesub.setStyle({
		opacity: 1,
		transition: {
			duration: 0
		}
	});
}
mui("#popover").on("tap", "a", function() {
	var num = parseInt(this.getAttribute("num"));
	slider.slider().gotoItem(num);
	jQuery("a.active").removeClass("active");
	jQuery(this).addClass("active");
});
document.getElementById("more").addEventListener("touchmove", function(event) {
	var point = event.touches ? event.touches[0] : event;
	if (point.pageX > 25 && point.pageX < jQuery(window).width() - 25) {
		jQuery(this).css("left", parseFloat(point.pageX) - 25);
	}
	if (point.pageY > 25 && point.pageY < jQuery(window).height() - 25) {
		jQuery(this).css("top", parseFloat(point.pageY) - 25);
	}
	//jQuery(this).css("right",parseInt(r)-parseInt(event.detail.deltaX));
});