(function(C, B) {
	var page = function() {}
	C.extend(page.prototype, B, {
		activeTab: 0,
		focusNews: null,
		categoryids: ["9", "11", "0", "0", "0"],
		showtype: ["news", "weixin", "baozi", "pindao", "bbs"],
		_page: [],
		isMoreImg: 0,
		isLoading: [0, 0, 0, 0],
		/// <summary>
		/// 每个栏目的iscroll实例
		/// </summary>
		subScroll: {
			news: null,
			weixin: null,
			baozi: null,
			pindao: null,
			bbs: null
		},
		hasPushup: false,
		/// <summary>
		/// 当前显示的category id
		/// </summary>
		categoryId: "6",
		isFirst: true,
		mainWebview: null,
		isShowUser: false,
		firstLoad: true,
		subScrollMoved: false,
		subMoving: null,
		loadednews: {
			news: {},
			industry: {},
			cloud: {},
			mobile: {},
			sd: {}
		},
		firstnewsid: null,
		/// <summary>
		/// 当前窗口是否处于动画之中
		/// </summary>
		isAnimating: false,
		/**
		 * @作者：
		 * @时间：2013/04/15 10:38:39
		 * @描述： 是否显示新手提示
		 */
		isRito: false,
		venable: true,
		henable: false,
		_isIOS: true,
		winHeight: 0,
		winWidth: 0,
		isComplaints: false,
		compID: 0,
		compUid: 0,
		ClientInfo: null,
		isLoadWater: false,
		uLoadWater: null,
		OnReady: function() {
			var that = this,
				doc = document,
				webview = plus.webview,
				cacheKey = that.cacheKey,
				tiro = cacheKey.tiro;

			that.winWidth = plus.screen.resolutionWidth;
			that.winHeight = plus.screen.resolutionHeight;

			that.ClientInfo = plus.push.getClientInfo();
			that.mainWebview = plus.webview.getWebviewById("index");
			doc.getElementById('wrapper').classList.add(C.getVendor());
			that.on("touchstart", doc);
			that.on("touchend", doc);
			that.on("resume", doc);
			that.on("netchange", doc);
			that.on("MSPointerDown", doc);

			if (plus.runtime.arguments && plus.runtime.arguments.length > 0) {
				try {
					setTimeout(function() {


						var nid = plus.runtime.arguments[0];
						that.getNewsInfor(nid, function(data) {
							if (data) {
								var surl = data.list[0].url;
								var title = data.list[0].title;
								var content = data.list[0].description;
								that.mainWebview.evalJS("showNews(\"" + surl + "\",\"" + nid + "\",\"" + encodeURI(title) + "\",\"" + encodeURI(content) + "\");");
							}
						}, function() {});
						that.db.transaction(function(tx) {
							that._readNews(tx, nid, function() {});
						});
					}, 500)
				} catch (err) {

				}
			}
			mui("#full-width-slider").on("tap", ".rsContent", function() {
				var nid = this.getAttribute("nid");
				var islink = this.getAttribute("islink");
				var surl = this.getAttribute("url");
				var thumbs = this.getAttribute("thumbs");
				var title = this.getAttribute("title");
				var content = "";
				if (islink == 0) {
					that.mainWebview.evalJS("showNews(\"" + surl + "\",\"" + nid + "\",\"" + encodeURI(title) + "\",\"" + encodeURI(content) + "\",\"" + thumbs + "\");");
				} else {
					if (surl.indexOf("[clientid]") >= 0) {
						surl = surl.replace("[clientid]", that.ClientInfo.clientid);
						that.mainWebview.evalJS('showotherPage("otherpage","link-' + nid + '","' + surl + '","' + title + '",{});');
						return;
					}

					if (surl.indexOf("[token]") >= 0) {
						surl = surl.replace("[token]", that.getItem(that.cacheKey.access_uc_token));
						if (!that.getItem(that.cacheKey.access_uc_token)|| that.getItem(that.cacheKey.access_uc_token) == "") {
							that.mainWebview.evalJS("showotherPage('otherpage','home-login','user/home-login.html','会员登陆',{\"isLink\":1,\"nid\":\""+ nid +"\",\"title\":\""+ title +"\",\"url\":\""+ surl +"\"});");
							return;
						}
						else{
							that.mainWebview.evalJS('showotherPage("otherpage","link-' + nid + '","' + surl + '","' + title + '",{});');
							return;
						}
					}
					that.mainWebview.evalJS("showNews(\"" + surl + "\",\"" + nid + "\",\"" + encodeURI(title) + "\",\"" + encodeURI(content) + "\",\"" + thumbs + "\");");
				}
			});
			//绑定事件
			mui("#container_news").on("tap", "a", function() {
				if (that.subScrollMoved == true) {
					return;
				}
				var nid = this.getAttribute("nid");
				var thumbs = this.getAttribute("thumbs");
				console.log(thumbs);
				that.getNewsInfor(nid, function(data) {
					if (data) {
						var islink = data.list[0].islink || 0;
						var surl = data.list[0].url;
						var title = data.list[0].title;
						var content = data.list[0].description;
						if (islink == 0) {
							that.mainWebview.evalJS("showNews(\"" + surl + "\",\"" + nid + "\",\"" + encodeURI(title) + "\",\"" + encodeURI(content) + "\",\"" + thumbs + "\");");
						} else {
							if (surl.indexOf("[clientid]") >= 0) {
								surl = surl.replace("[clientid]", that.ClientInfo.clientid);
								that.mainWebview.evalJS('showotherPage("otherpage","link-' + nid + '","' + surl + '","' + title + '",{});');
							} else {
								that.mainWebview.evalJS("showNews(\"" + surl + "\",\"" + nid + "\",\"" + encodeURI(title) + "\",\"" + encodeURI(content) + "\",\"" + thumbs + "\");");
							}
						}
					}
				}, function() {});
				that.db.transaction(function(tx) {
					that._readNews(tx, nid, function() {});
				});
				jQuery(this).find("h1").addClass("readed");
			});

			mui("#container_weixin").on("tap", "a", function() {
				if (that.subScrollMoved == true) {
					return;
				}
				var nid = this.getAttribute("nid");
				var surl = this.getAttribute("surl");
				var title = this.getAttribute("title");
				that.mainWebview.evalJS("showNews(\"" + surl + "\",\"" + nid + "\",\"" + encodeURI(title) + "\",\"\");");

			});
			jQuery(".bzmenu a").height((that.winHeight - 200) / 2);
			mui("#viewbaozi").on("tap", "a", function() {
				var nid = this.getAttribute("nid");
				var cid = this.getAttribute("cid");
				var url = "dianzibao/ribao.html" 
				var title ="来宾日报";
				//alert("123");
				that.mainWebview.evalJS("showotherPage('dianzibao','" + cid + "','" + url + "','" + encodeURI(title) + "',{date:\"" + nid + "\"});");
				try {
					var sub = plus.webview.getWebviewById("otherpagesub-" + cid);
					sub.evalJS("plus.webview.currentWebview().date='" + nid + "';refpage();");
				} catch (error) {}
				//var surl = "http://wap.lznews.gov.cn/index.php?a=show&catid=" + cid + "&typeid=10&id=" + nid;
				//mainWebview.evalJS("showNews(\"" + surl + "\");");
			});
			mui("#container_pindao").on("tap", "a", function() {
				var id = this.getAttribute("id");
				var cid = this.getAttribute("cid");
				var path = this.getAttribute("path");
				var title = this.getAttribute("title");
				var url = this.getAttribute("url");
				if (cid) {
					that.mainWebview.evalJS("showotherPage(\"otherpage\",\"news-more-" + cid + "\",\"newsmore/page-news-index.html\",\"" + title + "\",{categoryid:" + cid + "});");
				} else {
					that.mainWebview.evalJS("showotherPage('" + path + "','" + id + "','" + url + "','" + title + "');");
				}
			});
			mui("#topcontainer").on("tap", ".mui-icon-compose", function(event) {
				that.mainWebview.evalJS("showBaoliao();");
			})
			mui("#container_bbs").on("tap", ".bntComplaints", function(event) {
				that.isComplaints = true;
				var tid = this.getAttribute("tid");
				var uid = this.getAttribute("uid");
				if (tid != that.compID) {
					that.compID = tid;
					that.compUid = uid;
					jQuery("input[name='cbComp']:checked").removeAttr("checked");
				}
				mui('.mui-popover').popover('toggle');
				setTimeout(function() {
					that.isComplaints = false;
				}, 200);
			});
			mui("#container_bbs").on("tap", ".mui-table-view", function() {
				if (that.subScrollMoved == true) {
					return;
				}
				if (!that.isComplaints) {
					var tid = this.getAttribute("tid");
					//var surl = "http://home.lznews.gov.cn/forum.php?mod=viewthread&tid=" + tid + "&mobile=2";
					var surl =that.jsonp_Server + "baoliao/show.aspx?id=" + tid;
					//console.log("url=" + surl);

					that.mainWebview.evalJS("showBBS(\"" + surl + "\"," + tid + ");");
				}
			});
			document.getElementById("bntComp").addEventListener("tap", function() {
				var _reason = "";
				var isClear = false;
				var tab = jQuery("input[name='cbComp']:checked");
				for (var i = 0; i < tab.length; i++) {
					if (jQuery(tab[i]).val() != "clear") {
						_reason += jQuery(tab[i]).val();
					} else {
						isClear = true;
					}
				}
				mui('.mui-popover').popover('hide');
				var cid = that.getItem(that.cacheKey.complaints_baoliao_ID);
				if (("," + cid + ",").indexOf("," + that.compID + ",") < 0) {
					cid = cid == "" ? that.compID : (cid + "," + that.compID);
					that.setItem(that.cacheKey.complaints_baoliao_ID, cid);
				}
				jQuery("div[tid='" + that.compID + "']").fadeOut(200, function() {
					jQuery(this).remove();
				})
				if (isClear) {
					var uid = that.getItem(that.cacheKey.complaints_uid);
					if (("," + uid + ",").indexOf(that.compUid) < 0) {
						uid = uid == "" ? that.compUid : (uid + "," + that.compUid);
						that.setItem(that.cacheKey.complaints_uid, uid);
					}
					jQuery("div[uid='" + that.compUid + "']").fadeOut(200, function() {
						jQuery("div[uid='" + that.compUid + "']").remove();
					});
				}
				var token = that.getItem(that.cacheKey.access_uc_token);
				mui.ajax(that.jsonp_Server + "api/mobileappapi.ashx", {
					data: {
						api: "complaints",
						tb: "bbs",
						cid: that.compID,
						reason: _reason,
						token: token
					},
					dataType: 'json', //服务器返回json格式数据
					type: 'post', //HTTP请求类型
					timeout: 30000, //超时时间设置为10秒；
					success: function(data) {
						console.log(JSON.stringify(data));
						/*
						if(data.status==0){
							plus.nativeUI.alert(data.message, function() {}, "", "确定");
						}
						*/
					},
					error: function(xhr, type, errorThrown) {
						console.log(errorThrown);
					}
				});

			});

			mui(".caCon").on("tap", ".iMore,.dynamicBtn", function() {
				var surl = this.getAttribute("tohref");
				var title = this.getAttribute("title");
				that.mainWebview.evalJS("showBBS(\"" + surl + "\",\"" + encodeURI(title) + "\");");
			})

			Date.prototype.format = function(format) {
				var o = {
					"M+": this.getMonth() + 1, //month 
					"d+": this.getDate(), //day 
					"h+": this.getHours(), //hour 
					"m+": this.getMinutes(), //minute 
					"s+": this.getSeconds(), //second 
					"q+": Math.floor((this.getMonth() + 3) / 3), //quarter 
					"S": this.getMilliseconds() //millisecond 
				}
				if (/(y+)/.test(format)) {
					format = format.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
				}
				for (var k in o) {
					if (new RegExp("(" + k + ")").test(format)) {
						format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
					}
				}
				return format;
			}
			that.init(function() {
				var updateTime = that.getItem(cacheKey.updateTime),
					time = new Date().getTime();
				that.networkStatus = that.hasNetwork();
				that.addScroll(); //添加左右滑动
				//that.loadPageData(that.activeTab, 0, 0);
				that.pullupRefresh();
			});

			//webview.create('/app/show.html','ShowWin', {zindex:3, left:'100%'});

		},
		/**
		 * 下拉刷新具体业务实现
		 */
		pulldownRefresh: function() {
			var that = window.page;
			if (that._page[that.activeTab]) {
				that.loadNews(that.activeTab, that._page[that.activeTab].MaxInputtime, that._page[that.activeTab].MaxID, "up");
			} else {
				that.loadNews(that.activeTab, 0, 0, "up");
			}
		},
		/**
		 * 上拉加载具体业务实现
		 */
		pullupRefresh: function() {
			var that = window.page;
			if (that.hasNetwork()) {
				if (that._page[that.activeTab]) {
					that.loadNews(that.activeTab, that._page[that.activeTab].MinInputtime, that._page[that.activeTab].MinID, "dw");
				} else {
					that.loadNews(that.activeTab, 0, 0, "dw");
				}
			} else {
				if (that._page[that.activeTab]) {
					that.loadPageData(that.activeTab, that._page[that.activeTab].MinInputtime, that._page[that.activeTab].MinID);
				} else {
					that.loadPageData(that.activeTab, 0, 0);
				}
			}
		},
		loadFocus: function() {
			var that = this;
			if (that.focusNews) {
				that.focusNews.destroy();

			}
			var url =that.jsonp_Server + "api/mobileappapi.ashx?api=newsfocus";
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 30000, //超时时间设置为10秒；
				success: function(data) {
					if (data) {
						var _html = "";
						for (var i = 0; i < data.length; i++) {
							if (data[i].images) {
								_html += "<div class=\"rsContent\" islink=\"" + data[i].islink + "\"  nid=\"" + data[i].id + "\" url=\"" + data[i].url + "\" title=\"" + data[i].title + "\" thumbs=\"" + data[i].thumbs + "\">";
								_html += "	<div class=\"infoBlock rsABlock infoBlockLeftBlack\" data-fade-effect=\"\" data-move-offset=\"10\" data-move-effect=\"bottom\" data-speed=\"200\">";
								_html += "		<p>" + data[i].title + "</p>";
								_html += "	</div>";
								_html += "	<img class=\"rsImg\" src=\"" + data[i].images[0] + "\" alt=\"\" />";
								_html += "</div>";
							}
						}
						jQuery("#full-width-slider").html(_html);
						jQuery('#full-width-slider').royalSlider({
							arrowsNav: false,
							loop: true,
							keyboardNavEnabled: false,
							controlsInside: false,
							imageScaleMode: 'fill',
							arrowsNavAutoHide: false,
							autoScaleSlider: true,
							autoScaleSliderWidth: 640,
							autoScaleSliderHeight: 150,
							controlNavigation: 'bullets',
							thumbsFitInViewport: false,
							navigateByClick: false,
							startSlideId: 0,
							autoPlay: false,
							transitionType: 'move',
							globalCaption: true,
							deeplinking: {
								enabled: true,
								change: false
							}
						});
						that.focusNews = jQuery('#full-width-slider').data('royalSlider');
					}
				}
			});
		},
		loadNews: function(_index, _inputtime, _newsid, _pullRefresh) {
			var that = window.page

			switch (that.showtype[_index]) {
				case "weixin":
					that.loadWeiXinGroup(_index, _inputtime, _pullRefresh);
					return;
				case "baozi":
					that.loadBaoZi(_index, _inputtime, _pullRefresh);
					return;
				case "pindao":
					that.loadPindaoGroup(_index);
					return
				case "bbs":
					that.loadBBS(_index, _inputtime, _newsid, _pullRefresh);
					return;
			}
			if (that.isLoading[_index] == 1) {
				return;
			}

			var scroll = that.subScroll[that.showtype[_index]];
			that.isLoading[_index] = 1;
			var url =that.jsonp_Server + "api/mobileappapi.ashx?api=" + that.showtype[_index] + "&cid=" + that.categoryids[_index] + "&nid=" + _newsid + "&ntime=" + _inputtime + "&d=" + _pullRefresh;
			//alert(url);
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 30000, //超时时间设置为10秒；
				success: function(data) {
					//return;
					if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
						jQuery(".mui-slider-item").eq(_index).find(".content-loadding").remove();
					}

					if (data.data.length > 0) {
						if (that._page[_index]) {
							if (parseInt(data.MinInputtime) < that._page[_index].MinInputtime || that._page[_index].MinID == 0) {
								that._page[_index].MinID = parseInt(data.MinID);
								that._page[_index].MinInputtime = parseInt(data.MinInputtime);
							} else if (parseInt(data.MinInputtime) == that._page[_index].MinInputtime && parseInt(data.MinID) < that._page[_index].MinID) {
								that._page[_index].MinID = parseInt(data.MinID);
							}
							if (parseInt(data.MaxInputtime) > that._page[_index].MaxInputtime || that._page[_index].MaxID == 0) {
								that._page[_index].MaxID = parseInt(data.MaxID);
								that._page[_index].MaxInputtime = parseInt(data.MaxInputtime);
							} else if (parseInt(data.MaxInputtime) == that._page[_index].MaxInputtime && parseInt(data.MaxID) > that._page[index].MaxID) {
								that._page[_index].MaxID = parseInt(data.MaxID);
							}
							//that._page[_index].MinID = (parseInt(data.MinID) < that._page[_index].MinID || that._page[_index].MinID == 0) ? parseInt(data.MinID) : that._page[_index].MinID;
							//that._page[_index].MaxID = (parseInt(data.MaxID) > that._page[_index].MaxID || that._page[_index].MaxID == 0) ? parseInt(data.MaxID) : that._page[_index].MaxID;
						} else {
							that._page[_index] = {
								MinID: parseInt(data.MinID),
								MinInputtime: parseInt(data.MinInputtime),
								MaxID: parseInt(data.MaxID),
								MaxInputtime: parseInt(data.MaxInputtime)
							}
						}
					}
					//存储到本地缓存中
					that.db.transaction(function(tx) {
						for (var i = 0; i < data.data.length; i++) {
							that._saveNewToDb(tx, data.data[i], 1, function() {});
						}
					});

					if (!scroll) {
						that.addSubScroll(that.showtype[_index]);
						scroll = that.subScroll[that.showtype[_index]];
					}
					//var table = document.body.querySelectorAll('.ios-panel')[_index];
					var table = document.getElementById("news_list");
					var _wt = document.createElement('div');
					_wt.className = "mui-table-view";
					//var cells = document.body.querySelectorAll('.mui-table-view-cell');	
					//alert(pullRefresh);
					switch (_pullRefresh) {
						case "up":
							if (data.OP == "clear") {
								table.innerHTML = "";
							}
							var l = data.data.length;

							for (var i = l - 1; i >= 0; i--) {
								that.getNewsInfor(data.data[i].id, function(_data) {
									if (_data) {
										var li = document.createElement('div');
										li.className = 'mui-table-view-cell';
										li.innerHTML = that.getListHtml(_data.list[0]);
										table.insertBefore(li, table.firstChild);
										if (data.data[0].id == _data.list[0].id) {
											scroll.refresh();
											scroll.refreshing = false;
											that.checkLazyLoad(_index, 1);
											//console.log(table.innerHTML);
										}

									}
								}, function() {});
								//li.innerHTML = '<a class="mui-navigate-right">Item ' + (i + 1) + '</a>';
								//下拉刷新，新纪录插到最前面；											
								//list.html
							}
							if (scroll) {
								setTimeout(function() {
									scroll.pullImg.className = '';
									scroll.pullImg.src = '../images/pull_arrow.png';

								}, 500)
								scroll.scrollTo(0, -48, 400);
								scroll.refresh();
								scroll.pullDownLabel.innerHTML = "下拉可以刷新...";
								scroll.pullImg.className = 'touch';

							}
							//mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); //refresh completed
							if (data.data.length <= 0) {
								mui.toast('暂时没有更新！');
							}
							break;
						case "dw":
							for (var i = 0; i < data.data.length; i++) {
								//li.innerHTML = '<a class="mui-navigate-right">Item ' + (i + 1) + '</a>';
								that.getNewsInfor(data.data[i].id, function(_data) {
									if (_data) {
										var li = document.createElement('div');
										li.className = 'mui-table-view-cell';
										li.innerHTML = that.getListHtml(_data.list[0]);
										table.appendChild(li);

										if (data.data[data.data.length - 1].id == _data.list[0].id) {
											scroll.refresh();
											scroll.refreshing = false;
											that.checkLazyLoad(_index, 1);
											that.loadFocus();
											//console.log(table.innerHTML);
										}
									}
								}, function() {});
								//下拉刷新，新纪录插到最前面；
								//list.html
							}
							if (data.data.length <= 0) {
								mui.toast('暂时没有更新！');
							}
							break;
					}
					that.isLoading[_index] = 0;

				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					mui.toast('发生网络错误，请稍后重试!');
					if (scroll) {
						if (_pullRefresh == "up") {
							setTimeout(function() {
								scroll.pullImg.className = '';
								scroll.pullImg.src = '../images/pull_arrow.png';

							}, 500)
							scroll.scrollTo(0, -48, 400);
							scroll.refresh();
							scroll.pullDownLabel.innerHTML = "下拉可以刷新...";
							scroll.pullImg.className = 'touch';
						}
						scroll.refresh();
					}
					that.isLoading[_index] = 0;
					if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
						that.loadPageData(_index, 0);
					}
				}
			});
		},
		//加载微信
		loadWeiXinGroup: function(_index, _inputtime, _pullRefresh) {
			var that = window.page;
			if (that.isLoading[_index] == 1) {
				return;
			}
			that.isLoading[_index] = 1;
			var scroll = that.subScroll[that.showtype[_index]];
			var url =that.jsonp_Server + "api/mobileappapi.ashx?api=weixingroup&ntime=" + _inputtime + "&d=" + _pullRefresh;
			//alert(url);
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 60000, //超时时间设置为10秒；
				success: function(data) {
					//删除加载标签
					if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
						jQuery(".mui-slider-item").eq(_index).find(".content-loadding").remove();
					}
					if (!scroll) {
						that.addSubScroll(that.showtype[_index]);
						scroll = that.subScroll[that.showtype[_index]];
					}
					console.log(JSON.stringify(data));
					//记录最后的日期
					if (parseInt(data.fbdate) > 0) {
						if (that._page[_index]) {
							if (parseInt(data.fbdate) < that._page[_index].MinInputtime || that._page[_index].MinInputtime == 0) {
								that._page[_index].MinInputtime = parseInt(data.fbdate);
							}
							if (parseInt(data.fbdate) > that._page[_index].MaxInputtime || that._page[_index].MaxInputtime == 0) {
								that._page[_index].MaxInputtime = parseInt(data.fbdate);
							}
						} else {
							that._page[_index] = {
								MinID: 0,
								MinInputtime: parseInt(data.fbdate),
								MaxID: 0,
								MaxInputtime: parseInt(data.fbdate)
							}
						}
					} else {
						that.isLoading[_index] = 0;
						if (_pullRefresh == "up") {
							mui.toast('暂时没有更新！');
							if (scroll) {
								setTimeout(function() {
									scroll.pullImg.className = '';
									scroll.pullImg.src = '../images/pull_arrow.png';

								}, 500)
								scroll.scrollTo(0, -48, 400);
								scroll.refresh();
								scroll.pullDownLabel.innerHTML = "下拉可以刷新...";
								scroll.pullImg.className = 'touch';
							}
						}

						return;
					}
					//存储到本地缓存中
					that.db.transaction(function(tx) {
						that._saveWeiXinToDb(tx, data, function() {});
					});

					var table = document.getElementById("container_weixin");

					var h1 = document.createElement("h1");
					var h2_lbrb, ul_lbrb;
					if (data.data.lbrb.length > 0) {
						h1.innerHTML = that.getDateText(data.fbdate)
						if (data.data.lbrb.length > 0) {
							h2_lbrb = document.createElement("h2");
							//h2_lzwb.className = "lzwb";
							h2_lbrb.innerHTML = "来宾日报微信";
							ul_lbrb = document.createElement("div");
							ul_lbrb.className = "mui-table-view";
							for (var i = 0; i < data.data.lbrb.length; i++) {
								var li = document.createElement('div');
								li.className = 'mui-table-view-cell';
								li.innerHTML = that.getListHtmlForWeiXin(data.data.lbrb[i]);
								ul_lbrb.appendChild(li);
							}

						}
						
						
						if (_pullRefresh == "up") {
							if (h2_lbrb) {
								table.insertBefore(ul_lbrb, table.firstChild);
								table.insertBefore(h2_lbrb, table.firstChild);
							}
							table.insertBefore(h1, table.firstChild);
							if (scroll) {
								setTimeout(function() {
									scroll.pullImg.className = '';
									scroll.pullImg.src = '../images/pull_arrow.png';

								}, 500)
								scroll.scrollTo(0, -48, 400);
								scroll.refresh();
								scroll.pullDownLabel.innerHTML = "下拉可以刷新...";
								scroll.pullImg.className = 'touch';
							}
						} else {
							table.appendChild(h1);
							if (h2_lbrb) {
								table.appendChild(h2_lbrb);
								table.appendChild(ul_lbrb);
							}
							scroll.refresh();
							scroll.refreshing = false;
						}
					} else {
						if (data.data.length <= 0) {
							mui.toast('暂时没有更新！');
						}
					}
					that.isLoading[_index] = 0;
					setTimeout(function() {
						that.checkLazyLoad(_index, 1);
					}, 200);
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					mui.toast('发生网络错误，请稍后重试!');
					if (scroll) {
						if (_pullRefresh == "up") {
							setTimeout(function() {
								scroll.pullImg.className = '';
								scroll.pullImg.src = '../images/pull_arrow.png';

							}, 500)
							scroll.scrollTo(0, -48, 400);
							scroll.refresh();
							scroll.pullDownLabel.innerHTML = "下拉可以刷新...";
							scroll.pullImg.className = 'touch';
						}
						scroll.refresh();
					}
					that.isLoading[_index] = 0;
					if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
						that.loadPageData(_index, 0);
					}
				}
			});
		},
		//加载报纸
		loadBaoZi: function(_index, _inputtime, _pullRefresh) {
			var that = this;
			if (that.isLoading[_index] == 1) {
				return;
			}
			that.isLoading[_index] = 1;
			var table = document.getElementById("container_baozi");
			var baozi = jQuery(".bzmenu a.hover").attr("baozi") || "lzrb";
			console.log("baozi():" + baozi);
			var li = jQuery(table).find(".mui-table-view > div[baozi='" + baozi + "']").eq(0);
			console.log("content-loadding=" + jQuery(li).find(".content-loadding").length);
			if (jQuery(li).find(".content-loadding").length <= 0 && _pullRefresh == "dw") {
				that.isLoading[_index] = 0;
				console.log("没有更多数据。。");
				return;
			}
			//console.log(li.html());

			var url =that.epaper_server + "appapi/mpapi.ashx?api=baozi&execute=index&no-cache=" + Math.random();
			console.log(url);
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 15000, //超时时间设置为10秒；
				success: function(data) {
					console.log(JSON.stringify(data));
					if (jQuery(li).find(".content-loadding").length > 0) {
						jQuery(li).find(".content-loadding").find(".content-loadding").remove();
					}

					that._page[_index] = {
							MinID: 0,
							MinInputtime: 0,
							MaxID: 0,
							MaxInputtime: 0
						}
						//console.log(JSON.stringify(data));
					li.html(that.getListHtmlForBaoZi(data, baozi));

					that.isLoading[_index] = 0;
					that.checkLazyLoad(_index, 1);
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					mui.toast('发生网络错误，请稍后重试!');
					console.log(errorThrown);
					that.isLoading[_index] = 0;
				}
			});
		},
		//加载频道信息
		loadPindaoGroup: function(_index) {
			var that = this;

			var scroll = that.subScroll[that.showtype[_index]];
			if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length <= 0) {
				if (scroll) {
					setTimeout(function() {
						scroll.pullImg.className = '';
						scroll.pullImg.src = '../images/pull_arrow.png';

					}, 500)
					scroll.scrollTo(0, -48, 400);
					scroll.refresh();
					scroll.pullDownLabel.innerHTML = "下拉可以刷新...";
					scroll.pullImg.className = 'touch';
					//that.setStatus(false, scroll);
				}
				return;
			}
			if (that.isLoading[_index] == 1) {
				return;
			}
			that.isLoading[_index] = 1;
			var url =that.jsonp_Server + "api/mobileappapi.ashx?api=pindao";
			//alert(url);
			console.log("url=" + url);
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 60000, //超时时间设置为10秒；
				success: function(data) {
					//删除加载标签
					if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
						jQuery(".mui-slider-item").eq(_index).find(".content-loadding").remove();
					}
					//console.log(JSON.stringify(data));
					//记录最后的日期
					if (!that._page[_index]) {
						that._page[_index] = {
							MinID: 0,
							MinInputtime: 0,
							MaxID: 0,
							MaxInputtime: 0
						}
					}
					//存储到本地缓存中
					that.db.transaction(function(tx) {
						for (var i = 0; i < data.length; i++) {
							that._savePindaoToDb(tx, data[i], function() {});
						}
					});
					if (!scroll) {
						that.addSubScroll(that.showtype[_index]);
						scroll = that.subScroll[that.showtype[_index]];
					}
					var table = document.getElementById("container_pindao");
					for (var i = 0; i < data.length; i++) {
						if (data[i].list.length > 0) {
							var h2 = document.createElement("h2");
							h2.innerHTML = data[i].typeName;
							var a = document.createElement("a");
							a.setAttribute("cid", data[i].list[0].catid);
							a.setAttribute("title", data[i].typeName);
							a.setAttribute("isClass", "true");
							a.innerHTML = "<span class=\"mui-icon mui-icon-more\"></span>";
							h2.appendChild(a);
							var ul = document.createElement("div");
							ul.className = "mui-table-view";
							for (var j = 0; j < data[i].list.length; j++) {
								var li = document.createElement('div');
								li.className = 'mui-table-view-cell';
								if (j == 0) {
									data[i].list[j].showtype = "b";
								}
								li.innerHTML = that.getListHtmlForWeiXin(data[i].list[j]);
								ul.appendChild(li);
							}
							table.appendChild(h2);
							table.appendChild(ul);
						}
					}

					scroll.refresh();
					scroll.refreshing = true;
					//that.setStatus(false, scroll);
					that.isLoading[_index] = 0;
					setTimeout(function() {
						that.checkLazyLoad(_index, 1);
					}, 200);
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					mui.toast('发生网络错误，请稍后重试!');
					that.isLoading[_index] = 0;
					if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
						that.loadPageData(_index, 0);
					}
				}
			});
		},
		loadBBS: function(_index, _inputtime, _newsid, _pullRefresh) {
			var that = this;
			if (that.isLoading[_index] == 1) {
				return;
			}

			that.isLoading[_index] = 1;
			var scroll = that.subScroll[that.showtype[_index]];
			var url =that.jsonp_Server + "api/appuser.ashx?api=getbaoliao&clientid=" + that.ClientInfo.clientid + "&nid=" + _newsid + "&d=" + _pullRefresh;
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 15000, //超时时间设置为10秒；
				success: function(data) {
					console.log(JSON.stringify(data));
					if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
						jQuery(".mui-slider-item").eq(_index).find(".content-loadding").remove();
					}
					if (data.data.length > 0) {
						if (that._page[_index]) {
							if (that._page[_index].MinID == 0) {
								that._page[_index].MinID = parseInt(data.MinID);
							} else if (parseInt(data.MinID) < that._page[_index].MinID) {
								that._page[_index].MinID = parseInt(data.MinID);
							}
							if (that._page[_index].MaxID == 0) {
								that._page[_index].MaxID = parseInt(data.MaxID);
							} else if (parseInt(data.MaxID) > that._page[_index].MaxID) {
								that._page[_index].MaxID = parseInt(data.MaxID);
							}
						} else {
							that._page[_index] = {
								MinID: parseInt(data.MinID),
								MinInputtime: 0,
								MaxID: parseInt(data.MaxID),
								MaxInputtime: 0
							}
						}
					}
					if (!scroll) {
						that.addSubScroll(that.showtype[_index]);
						scroll = that.subScroll[that.showtype[_index]];
					}
					//存储到本地缓存中
					var table = document.getElementById("bbslisttable");
					var cid = that.getItem(that.cacheKey.complaints_baoliao_ID);
					var uid = that.getItem(that.cacheKey.complaints_uid);
					if (data.data.length <= 0) {
						if (_pullRefresh == "up" && scroll) {
							setTimeout(function() {
								scroll.pullImg.className = '';
								scroll.pullImg.src = '../images/pull_arrow.png';

							}, 500)
							scroll.scrollTo(0, -48, 400);
							scroll.refresh();
							scroll.pullDownLabel.innerHTML = "下拉可以刷新...";
							scroll.pullImg.className = 'touch';
						}
						that.isLoading[_index] = 0;
						mui.toast('暂时没有更新！');
						return;
					}
					that.db.transaction(function(tx) {
						for (var i = 0; i < data.data.length; i++) {
							that._saveBaoliaoToDb(tx, data.data[i], function(result) {
								//alert(JSON.stringify(result));
								if (("," + cid + ",").indexOf("," + result.id + ",") < 0 && ("," + uid + ",").indexOf("," + result.uid + ",") < 0) {
									var ul = document.createElement('div');
									ul.className = 'mui-table-view';
									ul.setAttribute("tid", result.id);
									ul.setAttribute("title", result.title);
									ul.innerHTML = that.getListHtmlForBBS(result);
									if (_pullRefresh == "up") {
										table.insertBefore(ul, table.firstChild);
									} else {
										table.appendChild(ul);
									}
								}
								if (result.id == data.data[data.data.length - 1].id) {
									if (_pullRefresh == "up") {
										if (scroll) {
											setTimeout(function() {
												scroll.pullImg.className = '';
												scroll.pullImg.src = '../images/pull_arrow.png';

											}, 500)
											scroll.scrollTo(0, -48, 400);
											scroll.refresh();
											scroll.pullDownLabel.innerHTML = "下拉可以刷新...";
											scroll.pullImg.className = 'touch';

										}

									} else {
										scroll.refresh();
										scroll.refreshing = false;
									}
									that.isLoading[_index] = 0;
									setTimeout(function() {
										that.checkLazyLoad(_index, 1);
									}, 200);
								}
							});
						}
					});


				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					mui.toast('发生网络错误，请稍后重试!');
					that.isLoading[_index] = 0;
					if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
						that.loadPageData(_index, 0);
					}
				}
			});
		},

		getTitleStyle: function(txtkey) {
			switch (txtkey) {
				case "大":
					return "a";
				case "小":
					return "c";
				default:
					return "b";
			}
		},
		/*获取列表模板*/
		getListHtml: function(data) {
			var that = window.page;
			var unixTimestamp = new Date(parseInt(data.inputtime) * 1000);
			var _html = "<a nid=\"" + data.id + "\" thumbs=\"" + data.thumbs + "\" cid=\"" + data.ncatid + "\" class=\"" + this.getTitleStyle(this.getFontSize().text) + "\">"
			if (data.showtype == "a") {
				if (data.images) {
					if (data.images.length > 2 && that.isMoreImg > 3) {
						console.log(that.isMoreImg);
						_html += "<h1 class=\"mui-media-body" + (data.readflag == 1 ? " readed" : "") + "\">";
						_html += data.title;
						_html += "</h1>";
						_html += "<div class=\"mui-media-body\">"
						for (var i = 0; i < 3; i++) {
							_html += "<img class=\"news-img-more" + (i <= 0 ? " nomargin" : "") + " noimage\" sid=\"" + data.id + "_" + i + "\" src=\"../images/default.png\" lazyload=\"" + data.images[i] + "\">";
						}
						_html += "</div>"
						_html += "<div class=\"mui-media-em\">" + (data.copyfrom == "" ? "网络" : data.copyfrom) + (parseInt(data.comment) > 0 ? ("<span class=\"mui-icon mui-icon-chatboxes news-chat\">" + data.comment + "</span>") : "") + "<span class=\"news-time\">" + unixTimestamp.format("yyyy-MM-dd hh:mm:ss") + "</span>"
						_html += "</div>"
						that.isMoreImg = 0;
					} else if (data.images.length > 0) {
						_html += "<img class=\"news-s-img mui-pull-right noimage\" src=\"../images/default.png\" sid=\"" + data.id + "_0\" lazyload=\"" + data.images[0] + "\">";
						_html += "<div class=\"mui-media-body\" style=\"min-height:70px\">"
						_html += "<h1 class=\"mui-media-body" + (data.readflag == 1 ? " readed" : "") + "\">";
						_html += data.title;
						_html += "</h1>";
						if (data.inputtime > 1431964800) {
							_html += "<p class='description'>" + data.description + "</p>"
						}
						_html += "<div class=\"mui-media-em\">" + (data.copyfrom == "" ? "网络" : data.copyfrom) + (parseInt(data.comment) > 0 ? ("<span class=\"mui-icon mui-icon-chatboxes news-chat\">" + data.comment + "</span>") : "") + "<span class=\"news-time\">" + unixTimestamp.format("yyyy-MM-dd hh:mm:ss") + "</span>"
						_html += "</div>"
						_html += "</div>"
						_html += "<div style=\"clear:both;width:100%;\"></div>"
						that.isMoreImg++;
					} else {
						_html += "<div class=\"mui-media-body\">";
						_html += "<h1 class=\"mui-media-body" + (data.readflag == 1 ? " readed" : "") + "\">";
						_html += data.title;
						_html += "</h1>";
						_html += "<p class='mui-ellipsis'>" + data.description + "</p>"
						_html += "</div>"
						_html += "<div class=\"mui-media-em\">" + (data.copyfrom == "" ? "网络" : data.copyfrom) + (parseInt(data.comment) > 0 ? ("<span class=\"mui-icon mui-icon-chatboxes news-chat\">" + data.comment + "</span>") : "") + "<span class=\"news-time\">" + unixTimestamp.format("yyyy-MM-dd hh:mm:ss") + "</span>"
						_html += "</div>"
						that.isMoreImg++;
					}
					//alert(data.images[0]);
				} else {
					_html += "<div class=\"mui-media-body\">";
					_html += "<h1 class=\"mui-media-body" + (data.readflag == 1 ? " readed" : "") + "\">";
					_html += data.title;
					_html += "</h1>";
					_html += "<p class='mui-ellipsis'>" + data.description + "</p>"
					_html += "</div>"
					_html += "<div class=\"mui-media-em\">" + (data.copyfrom == "" ? "网络" : data.copyfrom) + (parseInt(data.comment) > 0 ? ("<span class=\"mui-icon mui-icon-chatboxes news-chat\">" + data.comment + "</span>") : "") + "<span class=\"news-time\">" + unixTimestamp.format("yyyy-MM-dd hh:mm:ss") + "</span>"
					_html += "</div>"
					that.isMoreImg++;
				}
			} else {
				_html += "<h1 class=\"mui-media-body" + (data.readflag == 1 ? " readed" : "") + "\">";
				_html += data.title;
				_html += "</h1>";
				_html += "<img class=\"news-big-img noimage\" sid=\"" + data.id + "_0\" src=\"../images/default.png\"  lazyload=\"" + data.images[0] + "\">";
				_html += "<div class=\"mui-media-em\">" + (data.copyfrom == "" ? "网络" : data.copyfrom) + (parseInt(data.comment) > 0 ? ("<span class=\"mui-icon mui-icon-chatboxes news-chat\">" + data.comment + "</span>") : "") + "<span class=\"news-time\">" + unixTimestamp.format("yyyy-MM-dd hh:mm:ss") + "</span>"
				_html += "</div>"
				that.isMoreImg++;
			}
			_html += "</a>";
			return _html;
		},
		getListHtmlForWeiXin: function(data) {
			var that = window.page;
			var _html = "";
			if (data.showtype == "a") {
				_html += "<a nid=\"" + data.id + "\" title=\"" + data.title + "\" surl=\"" + data.url + "\" cid=\"" + data.ncatid + "\" class=\"" + this.getTitleStyle(this.getFontSize().text) + "\" >";
				_html += "<img sid=\"" + data.id + "_0\"  class=\"mui-media-object mui-pull-right noimage\" src=\"../images/default.png\" lazyload=\"" + (data.images ? data.images[0] : "") + "\" >"
				_html += "<div class=\"mui-media-body\">"
				_html += "	<p>" + data.title + "</p>"
				_html += "</div>"
				_html += "</a>";
			} else {
				_html += "<a nid=\"" + data.id + "\" title=\"" + data.title + "\" surl=\"" + data.url + "\" cid=\"" + data.ncatid + "\" class=\"" + this.getTitleStyle(this.getFontSize().text) + "\" style=\"position: relative; max-height: 130px;padding-top:0px; margin:7px;\">";
				_html += "<img src=\"../images/default.png\"  class=\"noimage\" sid=\"" + data.id + "_0\" style=\"width: 100%;\" lazyload=\"" + (data.images ? data.images[0] : "") + "\">";
				_html += "<p class='mui-ellipsis-first'>" + data.title + "</p>";
				_html += "</a>";
			}
			//console.log(_html);
			return _html;
		},
		getListHtmlForBaoZi: function(data, cid) {
			var that = window.page;
			var _html = "";
			var unixTimestamp = new Date(data.pubdate.replace(/-/g, "\/"));
			_html += "<a nid=\"" + data.pubdate + "\" cid=\"" + cid + "\" class=\"" + this.getTitleStyle(this.getFontSize().text) + "\" style=\"position: relative; margin:10px;\">";
			_html += "<img  sid=\"" + cid + data.pubdate + "_0\" style=\"width: 100%;\" src=\""+ that.epaper_server + data.PAGEIMGLINK +"\">";
			_html += "</a>";
			//console.log(_html);
			return _html;
		},
		getListHtmlForBBS: function(data) {
			var that = this;
			var _html = "";
			var unixTimestamp = new Date(parseInt(data.adddate) * 1000);
			_html += "<div class=\"topicBox threadList\" tid=\"" + data.id + "\" uid=\"" + data.uid + "\">";
			_html += "<a href=\"javascript:void(0)\" tid=\"" + data.id + "\" uid=\"" + data.uid + "\" class=\"praiseBtn bntComplaints\"  >";
			_html += "<i class=\"complaints\"></i>";
			_html += "<span></span>"
			_html += "</a>"
			_html += "<div class=\"topicCon\">";
			_html += "<p class=\"personImgDate\">";
			_html += "<span class=\"perImg db\">";
			_html += "<img data-original=\""+ that.jsonp_Server +"api/avatar.ashx?openid=" + data.uid + "&amp;size=small\" onerror=\"javascript:this.src='../cdn/discuz/images/personImg.jpg'\" class=\"bImg lazy\" width=\"35\" height=\"35\" uid=\"56767\" alt=\"头像\" src=\""+ that.jsonp_Server +"api/avatar.ashx?openid=" + data.uid + "&amp;size=small\" style=\"display: block;\">"
			_html += "<span class=\"timeT\">"
			_html += data.nickname
				/*
				if (data.stars && data.stars > 0) {
					_html += "<span class=\"gBg1\">LV" + data.stars + "</span>";
				}
				*/
			_html += "<i>" + that.getDateText(data.adddate) + "</i>";
			_html += "</span>";
			_html += "</span>";
			_html += "<span class=\"perPop\" style=\"display:none\"></span>";
			_html += "</p>";
			_html += "<div class=\"detailCon\">";
			_html += "<p>";
			_html += "<a href=\"javascript:;\" class=\"studioBtn db\">爆料</a> ";
			_html += data.title;
			if (data.photos && data.photos.length > 0) {
				_html += "<a class=\"photoInco db\" href=\"javascript:;\">图</a>";
			}
			_html += "</p>";
			if (data.photos && data.photos.length > 0) {
				_html += "<img class=\"attachment\" src=\""+that.jsonp_Server + data.photos[0] + "\" /><br/>";
			}
			_html += data.content;
			_html += "<span class=\"replyShare db fr\">";
			//_html += "<a class=\"topicadminMsg\" ></a>";
			//_html += "<a href=\"javascript:;\" class=\"praiseBtn\" >";
			//_html += "<i class=\"noPraise\"></i>";
			//_html += "<span></span>";
			//_html += "</a>";
			_html += "<a href=\"javascript:;\" class=\"incoRBtn\" ><i class=\"incoR spr\"></i>" + data.comment + "</a>";
			_html += "</span>";
			_html += "</div>";
			_html += "</div>";
			_html += "</div>"

			return _html;
		},

		getDateText: function(timespan) {
			var time = Math.round(new Date().getTime() / 1000) - parseInt(timespan);
			if (time < 60) {
				return "刚刚";
			}
			if (time < 60 * 60) {
				return Math.floor(time / 60) + "分前";
			}
			if (time < 60 * 60 * 24) {
				return Math.floor(time / 60 / 60) + "小时前";
			}
			if (time < 60 * 60 * 48) {
				return "昨天";
			}
			var unixTimestamp = new Date(parseInt(timespan) * 1000);
			return unixTimestamp.format("yyyy-MM-dd");
		},

		handleEvent: function(e) {
			try {
				var that = this,
					t = e.target;

				switch (e.type) {
					case "resume":
						that.onResume();
						return;
					case "pause":
						that.onPause();
						return;
					case "netchange":
						that.onNetChange();
						that.onResume();
						return;
					case 'MSPointerDown':
					case "touchstart":
						return;
					case 'MSPointerUp':
					case "touchend":
						return;
					case "click":
						return;
				}
				t = null;
			} catch (ex) {
				console.log(ex);
				//C.showErr(ex);
			}
		},
		scrollTouchEnd: function() {
			var that = this;
			var scroll = that.subScroll[that.showtype[that.activeTab]];
			if (scroll) {
				scroll.options.onTouchEnd.call(scroll);
			}
		},
		/// <summary>
		/// 程序从后台恢复到前台事件
		/// </summary>
		onResume: function() {
			var that = this;
			that.resumeTime = new Date().getTime();
			if (that.hasError) {
				that.hasError = false;
				if (!that.hasNetwork()) {
					that.hasError = true;
					that.alert("网络不给力", 2000);
					return;
				}
				that.pulldownRefresh()
			}
			//that.isPause = false;
		},
		/// <summary>
		/// 程序从前台恢复到后台事件
		/// </summary>
		onPause: function() {
			//var that = this;
			this.isPause = true;
			//plus.console.log("onPause");
		},
		/// <summary>
		/// 网络状态改变
		/// </summary>
		onNetChange: function() {
			var that = this;
			this.isNetChange = true;
			if (that.hasNetwork()) {
				that.pulldownRefresh();
			}
		},
		setSubScrollStatus: function(status) {
			var subScroll = this.subScroll;
			for (i in subScroll) {
				var _scroll = subScroll[i];
				if (!_scroll) continue;
				if (status) _scroll.enable();
				else {
					_scroll.disable();
					_scroll["vScrollbarIndicator"].style.display = "none";
				}
				_scroll = null;
			}
			subScroll = null;
		},
		setStatus: function(status, scroll) {
			if (!scroll) return;
			if (status) scroll.enable();
			else {
				scroll.disable();
				scroll["vScrollbarIndicator"].style.display = "none";
			}
		},
		setScrollStatus: function(status) {
			if (status) this.scroll.enable();
			else this.scroll.disable();
			//plus.console.log("setScrollStatus:" + this.scroll.enabled + "," + status);
		},
		/**
		 * @作者：
		 * @时间：2013/04/15 10:40:00
		 * @描述：绑定横向滚动条
		 */
		addScroll: function() {
			var that = this,
				categories = ["news", "industry", "cloud", "mobile", "sd"],
				width = window.innerWidth;
			width = plus.screen.resolutionWidth;
			console.log("width=" + width);
			if (that.scroll) return;
			that.scroll = new iScroll('wrapper', {
				snap: true,
				snapThreshold: width / 4,
				momentum: false,
				vScroll: false,
				hScrollbar: false,
				vScrollbar: false,
				onScrollMove: function() {
					var henable = that.henable,
						_this = this;

					if (henable) {
						if (Math.abs(_this.distX) > Math.abs(_this.distY)) { //如果是左右划就锁定下拉的滑动
							that.setSubScrollStatus(!henable);
							console.log("_this.distX=" + _this.x);

							//that.setStatus(!henable, that.subScroll[that.categoryId]);
						}
						that.henable = !henable;
					}
				},
				onScrollEnd: function() {
					//if(that.isShowUser) return;
					//解锁已经禁掉上下滑动
					var _this = this,
						henable = that.henable,
						category = that.categoryids[_this.currPageX],
						x = _this.x;


					if (Math.ceil(x) > 0) return;
					that.categoryId = category;
					that.activeTab = _this.currPageX;
					plus.statistic.eventTrig(that.categoryid);
					//that.setStatus(!henable, that.subScroll[that.categoryId]);
					that.setSubScrollStatus(!henable);
					that.henable = !henable;
					//that.subScrollMoved = false;
					if (!that.subScroll[category]) {
						that.pullupRefresh();
					}
					//alert(  _this.x);
					if (Math.abs(x) % width != 0 || _this.distX) {
						that.mainWebview.evalJS("slider.slider().gotoPage(" + that.activeTab + ");");
						_this.scroller.style["-webkit-transform"] = 'translate(-' + _this.currPageX * width + 'px,' + 0 + 'px)';
					}
				}
			});
		},
		/**
		 * @作者：
		 * @时间：2013/04/15 10:40:45
		 * @param lazyPath:css path
		 * @param  top:
		 * @描述：延迟加载图片
		 */
		checkLazyLoad: function(_index, top) {
			var that = this;
			if (that.isLoading[_index] == 1) return;
			if (that.lazyTimeout) clearTimeout(that.lazyTimeout);
			that.lazyTimeout = setTimeout(function() {
				try {
					var doc = document,
						_pl = doc.querySelectorAll(".ios-panel")[_index],
						lazyObjs = _pl.querySelectorAll("img[lazyload]"),
						len = lazyObjs.length,
						index = 0,
						winheight = window.innerHeight * 1.1;
					if (len <= 0) return;
					for (; index < len; index++) {
						var obj = lazyObjs[index];
						var o = jQuery(obj);
						var _top = o.offset().top - top;
						if (_top >= 0 && _top < winheight) {
							var srcImg = obj.getAttribute("lazyload");
							var dstImg = obj.getAttribute("sid") + srcImg.substr(srcImg.lastIndexOf("."));
							that.downLoadFile({
								"imgObj": obj,
								"folderPath": "ArticleImg/",
								"srcImg": srcImg,
								"dstImg": dstImg,
								"success": function(options, flag, d) {
									var imgObj = options.imgObj;
									imgObj.removeAttribute("lazyload");
									var url = that.fileSystemAPI.root.fullPath + (that.isIOS() ? "/" : "") + options.folderPath + options.dstImg;
									//alert(obj.getAttribute("sid"));
									//alert(url);
									imgObj.src = url;
									var o = jQuery(imgObj);
									if (that.showtype[_index] == "news" && o.attr("class").indexOf("news-big-img") < 0) {
										o.css("height", (o.width() / 4 * 3) + "px");
									}
									imgObj = null;
								},
								"error": function() {}
							});
						}
					}
					lazyObjs = null;
				} catch (ex) {
					//C.showErr(ex);
				}
			}, 600);
		},
		/**
		 * @作者：
		 * @时间：2013/04/15 10:41:32
		 * @param categoryid:
		 * @描述：添加横向指定栏目的竖向滚动条
		 */
		addSubScroll: function(categoryid) {
			var that = this,
				height = plus.screen.resolutionHeight - 140,
				scroll = that.subScroll[categoryid] = new iScroll('page_' + categoryid, {
					categoryid: "list_" + categoryid,
					topOffset: 0,
					pageNum: 1,
					hScroll: false,
					hScrollbar: false,
					checkDOMChanges: true,
					getVScroll: function() {
						return true;
					},
					getVScrollbar: function() {
						return true;
					},
					onInit: function() {
						var _this = this,
							pullDown = _this.pullDown = document.querySelector("#" + _this.options.categoryid + ">.pullDown"),
							pullUp = _this.pullUp = document.querySelector("#" + _this.options.categoryid + ">.pullUp");
						_this.pullDownLabel = pullDown.getElementsByClassName("pullDownLabel")[0];
						_this.pullImg = _this.pullImg = document.querySelector("#" + _this.options.categoryid + ">.pullDown img");
						_this.pullUpLabel = pullUp.getElementsByClassName("pullUpLabel")[0];
						pullDown.style.display = "none";
						pullUp.style.display = "block";
						_this.wrapper.style.position = "relative";
						_this.wrapper.style.height = height + "px";
						//_this.minScrollY = -48;
						//_this.scroller.style["-webkit-transform"] = 'translate(0px,-48px)';
					},
					onScrollMove: function(e) {
						try {
							e.preventDefault();
							that.mainWebview.evalJS("isScroll=true;")
							var _this = this,
								y = _this.y,
								venable = that.venable;
							_this["vScrollbarIndicator"].style.display = "block";

							_this.hasCancel = false;
							//console.log(" _this.y="+y);
							if (categoryid != "pindao") {
								if (y > 0 || _this.pullDownRefresh) {
									_this.pullDownRefresh = true;
									_this.pullDownLabel.innerHTML = "松开即可刷新...";
									_this.pullImg.className = 'pull';
									_this.pullDown.style.display = "block";
									_this.scrollerH = _this.scroller.offsetHeight;
									_this.minScrollY = 0;
								}
							}
							var type = typeof _this.oldY;

							if ((type == 'number' && _this.oldY != y || type != 'number' && y != -48) && !this.setStatus) {
								that.setScrollStatus(false);
								this.setStatus = true;
							}

						} catch (ex) {
							//C.showErr(ex);
						}
					},
					onScrollEnd: function() {
						var _this = this;
						that.mainWebview.evalJS("isScroll=false;")
						if (!that.noImage()) that.checkLazyLoad(that.activeTab, 0);
						_this["vScrollbarIndicator"].style.display = "none";
						//alert(_this.refreshing)
						if (categoryid != "pindao") {
							if (!_this.refreshing && Math.abs(_this.y) + _this.wrapperH + 10 >= _this.scrollerH && _this.y != -48) {
								//else _this.scrollerH = m.round(_this.scroller.offsetHeight + _this.minScrollY);
								_this.refreshing = true;
								//var num = this.options.pageNum + 1;
								//this.options.pageNum = num;
								//alert("onTouchEnd" + num);
								//向下加载数据
								//alert("123");
								that.pullupRefresh();
								//that.loadData(categoryid, _this.options.pageNum + 1);
							}
						}
						_this.oldY = _this.y;
					},
					onStartAni: function() {
						if (that.subMoving) {
							clearTimeout(that.subMoving);
						}
						that.subScrollMoved = true;
						that.subMoving = setTimeout(function() {

							that.subScrollMoved = false;
						}, 1200);

					},
					onTouchCancel: function(e) {
						this.hasCancel = true;
						that.mainWebview.evalJS("isScroll=false;")
					},
					onTransitionEnd: function() {
						that.subScrollMoved = false;
					},
					onTouchEnd: function(e) {
						try {

							var _this = this,
								venable = that.venable,
								categoryid = that.categoryId = _this.options.categoryid;
							console.log("onTouchEnd:1556");
							that.mainWebview.evalJS("isScroll=false;")
								//that.setScrollStatus(!venable);
							that.setScrollStatus(true);
							this.setStatus = false;
							that.venable = !venable;
							if (_this.pullDownRefresh) {
								_this.pullDownLabel.innerHTML = "正在加载资讯...";
								_this.pullImg.className = 'refresh';
								_this.pullImg.src = '../images/pull-refresh.png'
								_this.options.pageNum = 1;
								//向上更新数据
								that.pulldownRefresh();
								//that.loadData(categoryid, 1, 1);
								_this.pullDownRefresh = false;
							} else if (_this.y > -38) {
								//_this.options.onScrollMove.call(_this, e);
								if (_this.y > 0) {
									_this.minScrollY = -48;
								}
								_this._resetPos(400);
							}
							if (!that.subScrollMoved && !that.scrollMoved && !_this.hasCancel) {
								var t = e.target;
								if (t.tagName == "HTML") return;
								/*
								var articleid = t.getAttribute("articleid") ||
									t.parentNode.getAttribute("articleid") ||
									t.parentNode.parentNode.getAttribute("articleid");
								if (articleid)
									that.goShowPage(articleid);
								*/
								t = null;
							}
							_this.oldY = _this.y;
						} catch (ex) {
							console.log(ex);
						}
					}
				});
			scroll.scrollTo(0, 0, 0);

			scroll.refresh();
			scroll = null;
		},
		/*加载第一页*/
		loadPageData: function(index, inputtime, newsid) {
			console.log("loadPageData():1305");
			var that = this;
			switch (that.showtype[index]) {
				case "news":
					break;
				case "weixin":
					that.loadPageDataFoxWeiXin(index, inputtime, newsid);
					return;
				case "baozi":
					return;
				case "pindao":
					return;
					//that.loadPageDataFoxPindao(index);
					return;
				case "bbs":
					that.loadPageDataFoxBBS(index, inputtime, newsid);
					return;
			}

			var scroll = that.subScroll[that.showtype[index]];
			console.log("loadPageData():1324");
			that.loadCategoryByPageDB(that.categoryids[index], inputtime, newsid,
				function(data) {
					if (data) {
						console.log(JSON.stringify(data));
						if (that._page[index]) {
							if (parseInt(data.list[data.list.length - 1].inputtime) < that._page[index].MinInputtime || that._page[index].MinID == 0) {
								that._page[index].MinID = parseInt(data.list[data.list.length - 1].id);
								that._page[index].MinInputtime = parseInt(data.list[data.list.length - 1].inputtime);
							} else if (parseInt(data.list[data.list.length - 1].inputtime) == that._page[index].MinInputtime && parseInt(data.list[data.list.length - 1].id) < that._page[index].MinID) {
								that._page[index].MinID = parseInt(data.list[data.list.length - 1].id);
							}
							if (parseInt(data.list[0].inputtime) > that._page[index].MaxInputtime || that._page[index].MaxID == 0) {
								that._page[index].MaxID = parseInt(data.list[0].id);
								that._page[index].MaxInputtime = parseInt(data.list[0].inputtime);
							} else if (parseInt(data.list[0].inputtime) == that._page[index].MaxInputtime && parseInt(data.list[0].id) > that._page[index].MaxID) {
								that._page[index].MaxID = parseInt(data.list[0].id);
							}
							//that._page[index].MinID = (parseInt(data.list[data.list.length - 1].id) < that._page[index].MinID || that._page[index].MinID == 0) ? parseInt(data.list[data.list.length - 1].id) : that._page[index].MinID;
							//that._page[index].MaxID = parseInt(data.list[0].id) > that._page[index].MaxID ? parseInt(data.list[0].id) : that._page[index].MaxID;
						} else {
							that._page[index] = {
								MinID: parseInt(data.list[data.list.length - 1].id),
								MinInputtime: parseInt(data.list[data.list.length - 1].inputtime),
								MaxID: parseInt(data.list[0].id),
								MaxInputtime: parseInt(data.list[0].inputtime)
							}
						}
						if (jQuery(".mui-slider-item").eq(index).find(".content-loadding").length > 0) {
							jQuery(".mui-slider-item").eq(index).find(".content-loadding").remove();
						}
						if (!scroll) {
							that.addSubScroll(that.showtype[index]);
							scroll = that.subScroll[that.showtype[index]];
						}
						//var table = document.getElementById("container_news");
						var table = document.getElementById("news_list");
						for (var i = 0; i < data.list.length; i++) {
							var li = document.createElement('div');
							li.className = 'mui-table-view-cell';
							li.innerHTML = that.getListHtml(data.list[i]);
							//下拉刷新，新纪录插到最前面；
							table.appendChild(li);
						}
						//console.log(table.innerHTML);
						scroll.refresh();
						scroll.refreshing = false;
						that.checkLazyLoad(index, 0);
						if (data.list.length <= 0 && !that.isFirst) {
							mui.toast('没有数据了!');
						}
					} else {
						that._page[index] = {
								MinID: 0,
								MaxID: 0
							}
							//that.pullupRefresh();
							//mui.toast('没有数据了!');
					}
				},
				function() {});
		},
		//从数据库加载微信
		loadPageDataFoxWeiXin: function(_index, inputtime) {
			var that = this;
			var scroll = that.subScroll[that.showtype[_index]];
			that.loadCategoryByDBFoxWeiXin(inputtime,
				function(data) {
					if (data) {
						data = data.data;
						console.log(JSON.stringify(data));
						if (parseInt(data.fbdate) > 0) {
							if (that._page[_index]) {
								if (parseInt(data.fbdate) < that._page[_index].MinInputtime || that._page[_index].MinInputtime == 0) {
									that._page[_index].MinInputtime = parseInt(data.fbdate);
								}
								if (parseInt(data.fbdate) > that._page[_index].MaxInputtime || that._page[_index].MaxInputtime == 0) {
									that._page[_index].MaxInputtime = parseInt(data.fbdate);
								}
							} else {
								that._page[_index] = {
									MinID: 0,
									MinInputtime: parseInt(data.fbdate),
									MaxID: 0,
									MaxInputtime: parseInt(data.fbdate)
								}
							}
						}
						if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
							jQuery(".mui-slider-item").eq(_index).find(".content-loadding").remove();
						}
						if (!scroll) {
							that.addSubScroll(that.showtype[_index]);
							scroll = that.subScroll[that.showtype[_index]];
						}
						var table = document.getElementById("container_weixin");
						var h1 = document.createElement("h1");
						var h2_lzrb, h2_lzwb, h2_lbcm, h2_wbxjz, h2_lccb, h2_lbcmmmb, h2_lzm, ul_lzrb, ul_lzwb, ul_lbcm, ul_wbxjz, ul_lccb, ul_lbcmmmb, ul_lzm;
						if (data.data.lzrb.length > 0 || data.data.lzwb.length > 0 || data.data.lbcm.length > 0 || data.data.wbxjz.length > 0 || data.data.lccb.length > 0 || data.data.lbcmmmb.length > 0) {
							h1.innerHTML = that.getDateText(data.fbdate)
							if (data.data.lzrb.length > 0) {
								h2_lzrb = document.createElement("h2");
								//h2_lzrb.className = "lzrb";
								h2_lzrb.innerHTML = "来宾日报";
								ul_lzrb = document.createElement("div");
								ul_lzrb.className = "mui-table-view";
								for (var i = 0; i < data.data.lzrb.length; i++) {
									var li = document.createElement('div');
									li.className = 'mui-table-view-cell';
									li.innerHTML = that.getListHtmlForWeiXin(data.data.lzrb[i]);
									ul_lzrb.appendChild(li);
								}
							}
							if (data.data.lzwb.length > 0) {
								h2_lzwb = document.createElement("h2");
								//h2_lzwb.className = "lzwb";
								h2_lzwb.innerHTML = "柳州晚报微信";
								ul_lzwb = document.createElement("div");
								ul_lzwb.className = "mui-table-view";
								for (var i = 0; i < data.data.lzwb.length; i++) {
									var li = document.createElement('div');
									li.className = 'mui-table-view-cell';
									li.innerHTML = that.getListHtmlForWeiXin(data.data.lzwb[i]);
									ul_lzwb.appendChild(li);
								}
							}
							if (data.data.lbcm.length > 0) {
								h2_lbcm = document.createElement("h2");
								//h2_lbcm.className = "lbcm";
								h2_lbcm.innerHTML = "柳报微报微信";
								ul_lbcm = document.createElement("div");
								ul_lbcm.className = "mui-table-view";
								for (var i = 0; i < data.data.lbcm.length; i++) {
									var li = document.createElement('div');
									li.className = 'mui-table-view-cell';
									li.innerHTML = that.getListHtmlForWeiXin(data.data.lbcm[i]);
									ul_lbcm.appendChild(li);
								}
							}
							if (data.data.wbxjz.length > 0) {
								h2_wbxjz = document.createElement("h2");
								//h2_wbxjz.className = "wbxjz";
								h2_wbxjz.innerHTML = "晚报小记者微信";
								ul_wbxjz = document.createElement("div");
								ul_wbxjz.className = "mui-table-view";
								for (var i = 0; i < data.data.wbxjz.length; i++) {
									var li = document.createElement('div');
									li.className = 'mui-table-view-cell';
									li.innerHTML = that.getListHtmlForWeiXin(data.data.wbxjz[i]);
									ul_wbxjz.appendChild(li);
								}
							}

							if (data.data.lccb.length > 0) {
								h2_lccb = document.createElement("h2");
								//h2_wbxjz.className = "wbxjz";
								h2_lccb.innerHTML = "龙城财报微信";
								ul_lccb = document.createElement("div");
								ul_lccb.className = "mui-table-view";
								for (var i = 0; i < data.data.lccb.length; i++) {
									var li = document.createElement('div');
									li.className = 'mui-table-view-cell';
									li.innerHTML = that.getListHtmlForWeiXin(data.data.lccb[i]);
									ul_lccb.appendChild(li);
								}
							}
							if (data.data.lbcmmmb.length > 0) {
								h2_lbcmmmb = document.createElement("h2");
								//h2_wbxjz.className = "lbcmmb";
								h2_lbcmmmb.innerHTML = "柳报妈妈帮微信";
								ul_lbcmmmb = document.createElement("div");
								ul_lbcmmmb.className = "mui-table-view";
								for (var i = 0; i < data.data.lbcmmmb.length; i++) {
									var li = document.createElement('div');
									li.className = 'mui-table-view-cell';
									li.innerHTML = that.getListHtmlForWeiXin(data.data.lbcmmmb[i]);
									ul_lbcmmmb.appendChild(li);
								}
							}
							if (data.data.lzm.length > 0) {
								h2_lzm = document.createElement("h2");
								//h2_wbxjz.className = "lzm";
								h2_lzm.innerHTML = "柳州猫微信";
								ul_lzm = document.createElement("div");
								ul_lzm.className = "mui-table-view";
								for (var i = 0; i < data.data.lzm.length; i++) {
									var li = document.createElement('div');
									li.className = 'mui-table-view-cell';
									li.innerHTML = that.getListHtmlForWeiXin(data.data.lzm[i]);
									ul_lzm.appendChild(li);
								}
							}
							table.appendChild(h1);
							if (h2_lzwb) {
								table.appendChild(h2_lzwb);
								table.appendChild(ul_lzwb);
							}
							if (h2_lbcm) {
								table.appendChild(h2_lbcm);
								table.appendChild(ul_lbcm);
							}
							if (h2_wbxjz) {
								table.appendChild(h2_wbxjz);
								table.appendChild(ul_wbxjz);
							}
							if (h2_lzrb) {
								table.appendChild(h2_lzrb);
								table.appendChild(ul_lzrb);
							}
							if (h2_lzm) {
								table.appendChild(h2_lzm);
								table.appendChild(ul_lzm);
							}
							if (h2_lccb) {
								table.appendChild(h2_lccb);
								table.appendChild(ul_lccb);
							}
							if (h2_lbcmmmb) {
								table.appendChild(h2_lbcmmmb);
								table.appendChild(ul_lbcmmmb);
							}
							scroll.refresh();
							scroll.refreshing = false;
						} else {
							mui.toast('没有数据了!');
						}
					} else {
						that._page[index] = {
							MinID: 0,
							MaxID: 0
						}
					}
				},
				function() {});
		},
		//从数据库加载分类
		loadPageDataFoxPindao: function(_index) {
			var that = this;
			if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length <= 0) {
				return;
			}
			var scroll = that.subScroll[that.showtype[_index]];
			that.loadCategoryByDBFoxPindao(
				function(data) {
					if (data) {
						console.log(JSON.stringify(data));
						if (!that._page[_index]) {
							that._page[_index] = {
								MinID: 0,
								MinInputtime: parseInt(data.fbdate),
								MaxID: 0,
								MaxInputtime: parseInt(data.fbdate)
							}
						}
						if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
							jQuery(".mui-slider-item").eq(_index).find(".content-loadding").remove();
						}
						data = data.data;
						if (!scroll) {
							that.addSubScroll(that.showtype[_index]);
							scroll = that.subScroll[that.showtype[_index]];
						}
						var table = document.getElementById("container_pindao");
						for (var i = 0; i < data.length; i++) {
							if (data[i].list.length > 0) {
								var h2 = document.createElement("h2");
								h2.innerHTML = data[i].typeName;
								var a = document.createElement("a");
								a.innerHTML = "<span class=\"mui-icon mui-icon-more\"></span>";
								h2.appendChild(a);
								var ul = document.createElement("div");
								ul.className = "mui-table-view";
								for (var j = 0; j < data[i].list.length; j++) {
									var li = document.createElement('div');
									li.className = 'mui-table-view-cell';
									if (j == 0) {
										data[i].list[j].showtype = "b";
									}
									li.innerHTML = that.getListHtmlForWeiXin(data[i].list[j]);
									ul.appendChild(li);
								}
								table.appendChild(h2);
								table.appendChild(ul);

							}
						}
						scroll.refresh();
						scroll.refreshing = true;
					} else {}
				},
				function() {});
		},
		loadPageDataFoxBBS: function(index, inputtime, newsid) {
			var that = this;
			var scroll = that.subScroll[that.showtype[index]];
			that.loadBaoliaoDB(that.categoryids[index], inputtime, newsid,
				function(data) {
					if (data) {
						if (that._page[index]) {
							if (that._page[index].MinID == 0) {
								that._page[index].MinID = parseInt(data.list[data.list.length - 1].tid);
							} else if (parseInt(data.list[data.list.length - 1].tid) < that._page[index].MinID) {
								that._page[index].MinID = parseInt(data.list[data.list.length - 1].tid);
							}
							if (that._page[index].MaxID == 0) {
								that._page[index].MaxID = parseInt(data.list[0].tid);
							} else if (parseInt(data.list[0].tid) > that._page[index].MaxID) {
								that._page[index].MaxID = parseInt(data.list[0].tid);
							}
						} else {
							that._page[index] = {
								MinID: parseInt(data.list[data.list.length - 1].tid),
								MinInputtime: 0,
								MaxID: parseInt(data.list[0].tid),
								MaxInputtime: 0
							}
						}
						if (jQuery(".mui-slider-item").eq(index).find(".content-loadding").length > 0) {
							jQuery(".mui-slider-item").eq(index).find(".content-loadding").remove();
						}

						if (!scroll) {
							that.addSubScroll(that.showtype[index]);
							scroll = that.subScroll[that.showtype[index]];
						}
						var table = document.getElementById("container_bbs");
						var cid = that.getItem(that.cacheKey.complaints_baoliao_ID);
						var uid = that.getItem(that.cacheKey.complaints_uid);
						for (var i = 0; i < data.list.length; i++) {
							if (("," + cid + ",").indexOf("," + data.list[i].id + ",") < 0 && ("," + uid + ",").indexOf("," + data.list[i].uid + ",") < 0) {
								var ul = document.createElement('div');
								ul.className = 'mui-table-view';
								ul.setAttribute("tid", data.list[i].id);
								ul.setAttribute("title", data.list[i].title);
								ul.innerHTML = that.getListHtmlForBBS(data.list[i]);
								table.appendChild(ul);
							}
						}
						scroll.refresh();
						scroll.refreshing = true;
						if (data.list.length <= 0) {
							mui.toast('没有数据了!');
						}
					} else {
						that._page[index] = {
								MinID: 0,
								MaxID: 0
							}
							//mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
						mui.toast('没有数据了!');
					}
				},
				function() {});
		}

	});
	window.page = new page();
	if (window.plus) {
		window.page.OnReady();
		return;
	}
	//ipPage.OnReady()
	//setTimeout(function(){document.getElementById("rito").style.display = "none";}, 3000);
	document.addEventListener("plusready", function() {
		window.page.OnReady();
	});

})(lznews, lznews.basepage);