var templates = {};
var categoryid;
var isvideo = 0;
var getTemplate = function(name, listheader, content, loading) {
	var template = templates[name];
	if (!template) {
		if (categoryid == "406") {
			document.querySelector(".mui-bar").style.display = "block";
		}
		//预加载共用父模板；
		var headerWebview = plus.webview.currentWebview();
		//预加载共用父模板；
		var listheaderWebview = plus.webview.create(listheader, name + "-main", {
			top: '0px',
			bottom: categoryid == "406" ? "55px" : "0",
			zindex: 1,
			opacity: 1
		}, {
			mType: 'main'
		});
		//预加载共用子webview
		var subWebview = plus.webview.create(content,
			name + "-sub", {
				top: '0px',
				bounce: "vertical",
				zindex: 1,
				opacity: 1
			}, {
				mType: 'sub',
				categoryid: categoryid,
				isvideo: isvideo
			});
		listheaderWebview.append(subWebview);
		headerWebview.append(listheaderWebview);
		templates[name] = template = {
			name: name,
			listheader: listheaderWebview,
			content: subWebview,
			loaded: false,
			closeed: null
		};
	}
	return template;
};

(function(C, B) {
	var page = function() {}
	C.extend(page.prototype, B, {
		loginWebview: null,
		postWebview: null,
		showMyPageWebview: null,
		BeforeReady: function() {
			var that = this;
			that.mainWebview = plus.webview.getWebviewById("index");
			document.getElementById("bnt-post").addEventListener("tap", function() {
				that.showBaoliao();
			})
			document.getElementById("bnt-mytake").addEventListener("tap", function() {
				that.showMyPost();
			})
		},
		showLogin: function() {
			var that = this;
			that.mainWebview.evalJS("showotherPage('otherpage','home-login','user/home-login.html','会员登陆');");
		},
		showPost: function() {
			var that = this;
			that.mainWebview.evalJS("showotherPage('otherpage','apphongIndex','" + "http://weixin.lznews.gov.cn/apphong/index.php?token=" + that.getItem(that.cacheKey.access_uc_token) + "','福彩竞猜');");
		},
		showBaoliao: function() {
			var that = this;
			if (that.getItem(that.cacheKey.access_uc_token) && that.getItem(that.cacheKey.access_uc_token) != "") {
				that.showPost();
			} else {
				that.showLogin();
			}
		},
		showMyPost: function() {
			var that = this;
			if (that.getItem(that.cacheKey.access_uc_token) && that.getItem(that.cacheKey.access_uc_token) != "") {
				that.showMyPage();
			} else {
				that.showLogin();
			}
		},
		showMyPage: function() {
			var that = this;
			that.mainWebview.evalJS("showotherPage('otherpage','apphongmypage','http://weixin.lznews.gov.cn/apphong/show.php?token=" + that.getItem(that.cacheKey.access_uc_token) + "','我的竞猜');");
		}
	});
	window.page = new page();
	if (window.plus) {
		window.page.BeforeReady();
		return;
	}
	mui.plusReady(function() {
		categoryid = plus.webview.currentWebview().categoryid || 32;
		isvideo = plus.webview.currentWebview().isvideo || 0;
		window.page.BeforeReady();
		setTimeout(function() {
			var temp = getTemplate("news-more-" + categoryid, "page-news-more-header.html", "page-news-more.html", true);
		}, 250);
	})
})(lznews, lznews.basepage);