(function(C, B) {
	var page = function() {};
	C.extend(page.prototype, B, {
		activeTab: 0,
		categoryid: 0,
		isMoreImg: 0,
		isVideo: 0,
		_page: {
			MinID: 0,
			MinInputtime: 0,
			MaxID: 0,
			MaxInputtime: 0
		},
		scro: 0,
		isLoading: 0,
		noImageStatus: false,
		winHeight: 0,
		mainWebview: null,
		OnReady: function() {
			var that = this,
				doc = document,
				webview = plus.webview,
				cacheKey = that.cacheKey,
				tiro = cacheKey.tiro,
				selfWin = webview.currentWebview();
			//var wvs = plus.webview.all();
			that.mainWebview = plus.webview.getWebviewById("index");
			that.categoryid = selfWin.categoryid;
			that.isVideo = selfWin.isvideo || 0;
			that.width = plus.screen.resolutionWidth;
			//jQuery(".content-loadding").css("min-height", plus.screen.resolutionHeight)
			doc.onselectstart = function() {
					return false;
				}
				//初使化页面
			mui.init({
				swipeBack: false,
				pullRefresh: {
					container: '#pullrefresh',
					down: {
						callback: that.pulldownRefresh
					},
					up: {
						contentrefresh: '正在加载...',
						callback: that.pullupRefresh
					}
				},
				keyEventBind: {
					backbutton: false //关闭back按键监听
				},
				gestureConfig: {
					tap: true, //默认为true
					doubletap: false, //默认为false
					longtap: true, //默认为false
					swipe: true, //默认为true
					drag: true //默认为true
				}
			});

			Date.prototype.format = function(format) {
				var o = {
					"M+": this.getMonth() + 1, //month 
					"d+": this.getDate(), //day 
					"h+": this.getHours(), //hour 
					"m+": this.getMinutes(), //minute 
					"s+": this.getSeconds(), //second 
					"q+": Math.floor((this.getMonth() + 3) / 3), //quarter 
					"S": this.getMilliseconds() //millisecond 
				}
				if (/(y+)/.test(format)) {
					format = format.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
				}
				for (var k in o) {
					if (new RegExp("(" + k + ")").test(format)) {
						format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
					}
				}
				return format;
			}
			that.on('scroll', window);
			//绑定事件
			mui("#news").on("tap", "a", function() {
				var nid = this.getAttribute("nid");
				//var img = this.querySelector("img");
				var thumbs = this.getAttribute("thumbs");
				that.getNewsInfor(nid, function(data) {
					if (data) {
						var surl = data.list[0].url;
						var title = data.list[0].title;
						var content = data.list[0].description;
						that.mainWebview.evalJS("showNews(\"" + surl + "\",\"" + nid + "\",\"" + encodeURI(title) + "\",\"" + encodeURI(content) + "\",\"" + thumbs + "\");");
					}
				}, function() {});
				that.db.transaction(function(tx) {
					that._readNews(tx, nid, function() {});
				});
				jQuery(this).find("h1").addClass("readed");
			});
			that.init(function() {
				setTimeout(function() {
					that.networkStatus = that.hasNetwork();
					mui('#pullrefresh').pullRefresh().pullupLoading();
					//mui('#pullrefresh').pullRefresh().pullUp=false;
				}, 200);
			});
		},
		/**
		 * 下拉刷新具体业务实现
		 */
		pulldownRefresh: function() {
			var that = window.page;
			if (that._page) {
				that.loadNews(that._page.MaxInputtime, that._page.MaxID, "up");
			} else {
				that.loadNews(0, 0, "up");
			}
		},
		/**
		 * 上拉加载具体业务实现
		 */
		pullupRefresh: function() {
			var that = window.page;
			if (that.hasNetwork()) {
				if (that._page) {
					that.loadNews(that._page.MinInputtime, that._page.MinID, "dw");
				} else {
					that.loadNews(0, 0, "dw");
				}
			} else {
				if (that._page) {
					that.loadPageData(that._page.MinInputtime, that._page.MinID);
				} else {
					that.loadPageData(0, 0);
				}
			}
		},
		/**
		 * ajax加载信息
		 */
		loadNews: function(_inputtime, _newsid, _pullRefresh) {
			var that = window.page;
			if (that.isLoading == 1) {
				return;
			}
			that.isLoading = 1;
			var url =that.jsonp_Server + "api/mobileappapi.ashx?api=news&cid=" + that.categoryid + "&nid=" + _newsid + "&ntime=" + _inputtime + "&isvideo=" + that.isVideo + "&d=" + _pullRefresh;
			//alert(url);
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 60000, //超时时间设置为10秒；
				success: function(data) {
					//alert(data.data.length);
					//return;
					if (jQuery(".content-loadding").length > 0) {
						jQuery(".content-loadding").remove();
					}
					if (data.data.length > 0) {
						if (that._page) {
							if (parseInt(data.MinInputtime) < that._page.MinInputtime || that._page.MinID == 0) {
								that._page.MinID = parseInt(data.MinID);
								that._page.MinInputtime = parseInt(data.MinInputtime);
							} else if (parseInt(data.MinInputtime) == that._page.MinInputtime && parseInt(data.MinID) < that._page.MinID) {
								that._page.MinID = parseInt(data.MinID);
							}
							if (parseInt(data.MaxInputtime) > that._page.MaxInputtime || that._page.MaxID == 0) {
								that._page.MaxID = parseInt(data.MaxID);
								that._page.MaxInputtime = parseInt(data.MaxInputtime);
							} else if (parseInt(data.MaxInputtime) == that._page.MaxInputtime && parseInt(data.MaxID) > that._page.MaxID) {
								that._page.MaxID = parseInt(data.MaxID);
							}
						} else {
							that._page = {
								MinID: parseInt(data.MinID),
								MinInputtime: parseInt(data.MinInputtime),
								MaxID: parseInt(data.MaxID),
								MaxInputtime: parseInt(data.MaxInputtime)
							}
						}
					}
					if (data.data.length <= 0) {
						mui.toast('暂时没有更新！');
						if (_pullRefresh == "up") {
							mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
						} else {
							mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
						}
						that.isLoading = 0;
					}
					//存储到本地缓存中
					var table = document.getElementById("news");
					that.db.transaction(function(tx) {
						for (var i = 0; i < data.data.length; i++) {
							that._saveNewToDb(tx, data.data[i], 1, function(result) {
								//console.log("导入数据"+ JSON.stringify(result));
								var li = document.createElement('li');
								li.className = 'mui-table-view-cell';
								li.innerHTML = that.getListHtml(result);
								if (_pullRefresh == "up") {
									table.insertBefore(li, table.firstChild);
									if (data.data[data.data.length - 1].id == _result.id) {
										mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
										that.isLoading = 0;
										that.checkLazyLoad(0);
									}
								} else {
									table.appendChild(li);
									if (data.data[0].id == result.id) {
										mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
									} else if (data.data[data.data.length - 1].id == result.id) {
										that.isLoading = 0;
										that.checkLazyLoad(0);
									}
								}
							});
						}
					});
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					mui.toast('发生网络错误，请稍后重试!');
					mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
					that.isLoading = 0;
					if (jQuery(".mui-slider-item").eq(_index).find(".content-loadding").length > 0) {
						that.loadPageData(_index, 0);
					}
				}
			});
		},
		getTitleStyle: function(txtkey) {
			switch (txtkey) {
				case "大":
					return "a";
				case "小":
					return "c";
				default:
					return "b";
			}
		},
		/*获取列表模板*/
		getListHtml: function(data) {
			var that = window.page;
			var unixTimestamp = new Date(parseInt(data.inputtime) * 1000);
			var _html = "<a nid=\"" + data.id + "\" cid=\"" + data.ncatid + "\" class=\"" + this.getTitleStyle(this.getFontSize().text) + "\" thumbs=\"" + data.thumbs + "\">"
			if (data.showtype == "a") {
				if (data.images) {
					if (data.images.length > 2 && that.isMoreImg > 3) {
						console.log(that.isMoreImg);
						_html += "<h1 class=\"mui-media-body" + (data.readflag == 1 ? " readed" : "") + "\">";
						_html += data.title;
						_html += "</h1>";
						_html += "<div class=\"mui-media-body\">"
						for (var i = 0; i < 3; i++) {
							_html += "<img class=\"news-img-more" + (i <= 0 ? " nomargin" : "") + " noimage\" sid=\"" + data.id + "_" + i + "\" src=\"../images/default.png\" lazyload=\"" + data.images[i] + "\">";
						}
						_html += "</div>"
						_html += "<div class=\"mui-media-em\">" + (data.copyfrom == "" ? "网络" : data.copyfrom) + (parseInt(data.comment) > 0 ? ("<span class=\"mui-icon mui-icon-chatboxes news-chat\">" + data.comment + "</span>") : "") + "<span class=\"news-time\">" + unixTimestamp.format("yyyy-MM-dd hh:mm:ss") + "</span>"
						_html += "</div>"
						that.isMoreImg = 0;
					} else if (data.images.length > 0) {
						_html += "<img class=\"news-s-img mui-pull-right noimage\" src=\"../images/default.png\" sid=\"" + data.id + "_0\" lazyload=\"" + data.images[0] + "\">";
						_html += "<div class=\"mui-media-body\">"
						_html += "<h1 class=\"mui-media-body" + (data.readflag == 1 ? " readed" : "") + "\">";
						_html += data.title;
						_html += "</h1>";
						if (data.inputtime > 1431964800) {
							_html += "<p class='description'>" + data.description + "</p>"
						}
						_html += "<div class=\"mui-media-em\">" + (data.copyfrom == "" ? "网络" : data.copyfrom) + (parseInt(data.comment) > 0 ? ("<span class=\"mui-icon mui-icon-chatboxes news-chat\">" + data.comment + "</span>") : "") + "<span class=\"news-time\">" + unixTimestamp.format("yyyy-MM-dd hh:mm:ss") + "</span>"
						_html += "</div>"
						_html += "</div>"
						that.isMoreImg++;
					} else {
						_html += "<div class=\"mui-media-body\">";
						_html += "<h1 class=\"mui-media-body" + (data.readflag == 1 ? " readed" : "") + "\">";
						_html += data.title;
						_html += "</h1>";
						_html += "<p class='mui-ellipsis'>" + data.description + "</p>"
						_html += "</div>"
						_html += "<div class=\"mui-media-em\">" + (data.copyfrom == "" ? "网络" : data.copyfrom) + (parseInt(data.comment) > 0 ? ("<span class=\"mui-icon mui-icon-chatboxes news-chat\">" + data.comment + "</span>") : "") + "<span class=\"news-time\">" + unixTimestamp.format("yyyy-MM-dd hh:mm:ss") + "</span>"
						_html += "</div>"
						that.isMoreImg++;
					}
					//alert(data.images[0]);
				} else {
					_html += "<div class=\"mui-media-body\">";
					_html += "<h1 class=\"mui-media-body" + (data.readflag == 1 ? " readed" : "") + "\">";
					_html += data.title;
					_html += "</h1>";
					_html += "<p class='mui-ellipsis'>" + data.description + "</p>"
					_html += "</div>"
					_html += "<div class=\"mui-media-em\">" + (data.copyfrom == "" ? "网络" : data.copyfrom) + (parseInt(data.comment) > 0 ? ("<span class=\"mui-icon mui-icon-chatboxes news-chat\">" + data.comment + "</span>") : "") + "<span class=\"news-time\">" + unixTimestamp.format("yyyy-MM-dd hh:mm:ss") + "</span>"
					_html += "</div>"
					that.isMoreImg++;
				}
			} else {
				_html += "<h1 class=\"mui-media-body" + (data.readflag == 1 ? " readed" : "") + "\">";
				_html += data.title;
				_html += "</h1>";
				_html += "<img class=\"news-big-img noimage\" sid=\"" + data.id + "_0\" src=\"../images/default.png\"  lazyload=\"" + data.images[0] + "\">";
				_html += "<div class=\"mui-media-em\">" + (data.copyfrom == "" ? "网络" : data.copyfrom) + (parseInt(data.comment) > 0 ? ("<span class=\"mui-icon mui-icon-chatboxes news-chat\">" + data.comment + "</span>") : "") + "<span class=\"news-time\">" + unixTimestamp.format("yyyy-MM-dd hh:mm:ss") + "</span>"
				_html += "</div>"
				that.isMoreImg++;
			}
			_html += "</a>";
			return _html;
		},
		getDateText: function(timespan) {
			var time = Math.round(new Date().getTime() / 1000) - parseInt(timespan);
			if (time < 60) {
				return time + "刚刚"
			}
			if (time < 60 * 60) {
				return Math.floor(time / 60) + "分前"
			}
			if (time < 60 * 60 * 24) {
				return Math.floor(time / 60 / 60) + "小时前"
			}
			if (time < 60 * 60 * 48) {
				return "昨天"
			}
			var unixTimestamp = new Date(parseInt(timespan) * 1000);
			return unixTimestamp.format("yyyy-MM-dd");
		},
		/**
		 * @作者：
		 * @时间：2013/04/15 10:40:45
		 * @param lazyPath:css path
		 * @param  top:
		 * @描述：延迟加载图片
		 */
		checkLazyLoad: function(top) {
			var that = this;
			if (that.isLoading == 1) return;
			if (that.lazyTimeout) clearTimeout(that.lazyTimeout);
			that.lazyTimeout = setTimeout(function() {
				try {
					var doc = document,
						_pl = doc.getElementById("news"),
						lazyObjs = _pl.querySelectorAll("img[lazyload]"),
						len = lazyObjs.length,
						index = 0,
						winheight = window.innerHeight * 1.1;
					if (len <= 0) return;
					for (; index < len; index++) {
						var obj = lazyObjs[index];
						var o = jQuery(obj);
						var _top = o.offset().top - top;
						if (_top >= 0 && _top < winheight) {
							var srcImg = obj.getAttribute("lazyload");
							var dstImg = obj.getAttribute("sid") + srcImg.substr(srcImg.lastIndexOf("."));
							//console.log("图片地址："+ dstImg);
							that.downLoadFile({
								"imgObj": obj,
								"folderPath": "ArticleImg/",
								"srcImg": srcImg,
								"dstImg": dstImg,
								"success": function(options, flag, d) {
									var imgObj = options.imgObj;
									imgObj.removeAttribute("lazyload");
									var url = that.fileSystemAPI.root.fullPath + (that.isIOS() ? "/" : "") + options.folderPath + options.dstImg;
									//alert(obj.getAttribute("sid"));
									//alert(url);
									imgObj.src = url;
									//console.log("成功加载图片："+ url);
									var o = jQuery(imgObj);
									if (o.attr("class").indexOf("news-big-img") < 0) {
										o.css("height", (o.width() / 4 * 3) + "px");
									}
									imgObj = null;
								},
								"error": function() {
									console.log("加载图片出错：" + _index);
								}
							});
						}
					}
					lazyObjs = null;
				} catch (ex) {
					C.showErr(ex);
				}
			}, 600);
		},
		handleEvent: function(e) {
			try {
				var that = this,
					t = e.target;
				switch (e.type) {
					case "scroll":
						if (that.scrollTimer) clearTimeout(that.scrollTimer);
						that.scrollTimer = setTimeout(function() {
							var w = window,
								pageYOffset = w.pageYOffset;
							var diffY = that._scrollY - pageYOffset;
							that._scrollY = pageYOffset;
							var scrollY = document.documentElement.scrollTop || window.scrollY;
							var scrollH = Math.max(document.body.scrollHeight, document.documentElement.scrollHeight);
							jQuery("#news > li.mui-table-view-cell").each(function(i, item) {
								var _item = jQuery(item);
								var p = _item.offset();
								if (scrollY > parseInt(p.top) + parseInt(w.innerHeight) * 1.5 || scrollY + parseInt(w.innerHeight) * 2 < parseInt(p.top)) {
									_item.css({
										"opacity": 0
									});
								} else {
									_item.css({
										"opacity": 1
									});
								}
							});
							that.checkLazyLoad(window.pageYOffset);
						}, 600);
						break;
					case "resume":
						that.onResume();
						break;
					case "netchange":
						//that.onNetChange();
						that.networkStatus = that.hasNetwork();
						that.onResume();
						break;
					case "touchstart":
						break;
					case "touchmove":
						//						that.touchmoved = true;
						//that.on('scroll', window);
						break;
						//					case "touchcancel":
					case "touchend":
						break;
					case 'click':
						break;
				}
				t = null;
			} catch (ex) {
				C.showErr(ex, 'handelevent');
			}
		},
		/*加载第一页*/
		loadPageData: function(inputtime, newsid) {
			var that = this;
			that.loadCategoryByPageDB(that.categoryid, inputtime, newsid,
				function(data) {
					if (data) {
						if (that._page) {
							if (parseInt(data.list[data.list.length - 1].inputtime) < that._page.MinInputtime || that._page.MinID == 0) {
								that._page.MinID = parseInt(data.list[data.list.length - 1].id);
								that._page.MinInputtime = parseInt(data.list[data.list.length - 1].inputtime);
							} else if (parseInt(data.list[data.list.length - 1].inputtime) == that._page.MinInputtime && parseInt(data.list[data.list.length - 1].id) < that._page.MinID) {
								that._page.MinID = parseInt(data.list[data.list.length - 1].id);
							}
							if (parseInt(data.list[0].inputtime) > that._page.MaxInputtime || that._page.MaxID == 0) {
								that._page.MaxID = parseInt(data.list[0].id);
								that._page.MaxInputtime = parseInt(data.list[0].inputtime);
							} else if (parseInt(data.list[0].inputtime) == that._page.MaxInputtime && parseInt(data.list[0].id) > that._page.MaxID) {
								that._page.MaxID = parseInt(data.list[0].id);
							}
						} else {
							that._page = {
								MinID: parseInt(data.list[data.list.length - 1].id),
								MinInputtime: parseInt(data.list[data.list.length - 1].inputtime),
								MaxID: parseInt(data.list[0].id),
								MaxInputtime: parseInt(data.list[0].inputtime)
							}
						}
						if (jQuery(".content-loadding").length > 0) {
							jQuery(".content-loadding").remove();
						}
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
						that.showData(data.list, index);
						if (data.list.length <= 0) {
							mui.toast('没有数据了!');
						}
					} else {
						that._page = {
							MinID: 0,
							MaxID: 0
						}
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
						mui.toast('没有数据了!');
					}
				},
				function() {});
		},
		showData: function(data, index) {
			var that = this;
			if (jQuery(".content-loadding").length > 0) {
				jQuery(".content-loadding").remove();
			}
			var table = document.getElementById(that.showtype[index]);
			var ul = document.createElement("ul");
			ul.className = "mui-table-view";
			var h1 = document.createElement("h1");
			for (var i = 0; i < data.length; i++) {
				var li = document.createElement('li');
				li.className = 'mui-table-view-cell';
				li.innerHTML = that.getListHtml(data[i]);
				table.appendChild(li);
				//下拉刷新，新纪录插到最前面；
			}
			that.checkLazyLoad(index, 1);
		}
	});
	window.page = new page();
	if (window.plus) {
		window.page.OnReady();
		return;
	}
	document.addEventListener("plusready", function() {
		window.page.OnReady();
	});
})(lznews, lznews.basepage);

function setListFonSize() {
	jQuery(".mui-table-view a").attr("class", window.page.getTitleStyle(window.page.getFontSize().text))
}